2015-03-11  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb/GSWConstants.m
	  downcase Header keys
2015-03-11  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb/GSWHTTPIO.m
	  force header keys to lowercase
2014-07-04  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb/GSWBody.m
	  fix initWithName:...
2014-07-01  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb/GSWHyperlink.m
	  fix -appendAttribute:... for nil href value
2014-06-11  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb/GSWAssociation.m
	  fix EOValidatedObjectUserInfoKey value	
2014-05-30  Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>
	* nearly every file
	  get rid of RCS_ID
2014-05-30  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb/GSWRadioButtonList.m
	  Remove escapeHTML association assign (done in GSWInput)
	* GSWeb/GSWCheckBoxList.m
	  Remove escapeHTML association assign (done in GSWInput)
	* GSWeb.framework/GSWInput.m
	  Fix -init...
2014-05-29  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWDatabase/GSWHTMLDynamicElement.[hm]
	  add -hasNonURLAttributes
	  add -hasURLAttributes
	  add -hasConstantAttributes
	* GSWeb/GSWRadioButtonList.m
	  handle disabled association
	  handle other associations (like id, onChange, etc)
	* GSWeb/GSWCheckBoxList.m
	  handle disabled association
	  handle other associations (like id, onChange, etc)
2014-05-29  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWDatabase/WODisplayGroup.m
	  add NSArray -objectsAtIndexesArray:
	  add NSArray -isEqualByObjectPointer:
	  fix -setSelectionIndexes:
2014-05-29  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb/GSWConstants.[hm]
	  add GSWClassName_Component
	* GSWeb/GSWComponentDefinition.m
	  fix -componentClass to use GSWClassName_Component
2014-05-29  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWDatabase/WODisplayGroup.m
	  respect GNUstep coding standard (curly brackets placement, indentation)
	  fix _deleteObject: (undo selectors)
	  fix _insertObjectWithObjectAndIndex: (NSAssert)
	  fix insertObject:atIndex: (undo selectors)
2014-05-22  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb/GSWAssociation.h
	  replace logTakeValue: by _logPullValue:inComponent:
	  replace logSetValue: by logPushValue:inComponent:
	* GSWeb/GSWAssociation.m
	  replace logTakeValue: by _logPullValue:inComponent:
	  replace logSetValue: by logPushValue:inComponent:
	  respect GNUstep coding standard (curly brackets placement, etc.)
	  implement -debugDescription
	* GSWeb/GSWConstantValueAssociation.m
	  replace logTakeValue: by _logPullValue:inComponent:
	  replace logSetValue: by logPushValue:inComponent:
	  fix -debugDescription
	* GSWeb/GSWKeyValueAssociation.m
	  replace logTakeValue: by _logPullValue:inComponent:
	  replace logSetValue: by logPushValue:inComponent:
	  simplify -description
	* GSWeb/GSWKeyValueAssociation.h
	  remove unneedded declarations
	* GSWeb/GSWConstantValueAssociation.m
	  remove unneedded declarations
2014-05-22  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb/GSWUtils.m
	  fix rangeOfData:range:
	* GSWExtensions/GSWCollapsibleComponentContent.gswc/GSWCollapsibleComponentContent.gswd
	  set framework binding
	* GSWExtensions/GSWCollapsibleComponentContent.[hm]
	  handle framework binding
	* GSWExtensions/GSWPageRestorationErrorPage.gswc/GSWPageRestorationErrorPage.gswd
	  set framework binding
	* GSWExtensions/GSWSessionCreationErrorPage.gswc/GSWSessionCreationErrorPage.gswd
	  set framework binding
	* GSWExtensions/GSWSessionRestorationErrorPage.gswc/GSWSessionRestorationErrorPage.gswd
	  set framework binding
	* GSWeb/GSWApplication.[hm]
	  add -frameworkNameGSWExtensions
	* GSWeb/GSWPasswordField.m
	  respect GNUstep coding standard (curly brackets placement, etc.)
	* GSWeb/GSWPasswordField.h
	  remove unneeded declarations
	* GSWeb/GSWHiddenField.m
	  fix
	* GSWeb/GSWHiddenField.h
	  remove unneeded declarations
	* GSWeb/GSWString.m
	  fix appendToResponse:inContext: when formattedValue is nil
	  respect GNUstep coding standard (curly brackets placement, etc.)
	* GSWeb/GSWTemplateParser.m:
	  fix exception error messages
	* GSWeb/GSWPopUpButton.m	
	  use GSWAssignAndRemoveAssociation() in initWithName:associations:template:
	  clean code
	* GSWeb/GSWRepetition.m
	  respect GNUstep coding standard (curly brackets placement, etc.)
	  reimplement startIndex and stopIndex bindings
	  clean code
	* GSWeb/GSWCheckBoxList.m
	  fix -initWithName:...: prefix__Key duplicate, _value
	* GSWeb.framework/GSWRadioButtonList.m
	  respect GNUstep coding standard (curly brackets placement, etc.)
	  use GSWAssignAndRemoveAssociation() in initWithName:associations:template:
	  Fix bug in -initWithName (valueAssoc)
	  Fix bug in _slowTakeValuesFromRequest: (call NSStringWithObject())
	* GSWeb/GSWTextField.m
	  respect GNUstep coding standard (curly brackets placement, etc.)
	  use GSWAssignAndRemoveAssociation() in initWithName:associations:template:
	  Fix bug (call NSStringWithObject())
	* GSWeb/GSWText.m
	  respect GNUstep coding standard (curly brackets placement, etc.)
	  clean code
	  use GSWAssignAndRemoveAssociation() in initWithName:associations:template:
	  Fix bug (call NSStringWithObject())
	* GSWeb/GSWCheckBox.m
	  respect GNUstep coding standard (curly brackets placement, etc.)
	  clean code
	  use GSWAssignAndRemoveAssociation() in initWithName:associations:template:
	* GSWeb/GSWRadioButton.m
	  respect GNUstep coding standard (curly brackets placement, etc.)
	  clean code
	  use GSWAssignAndRemoveAssociation() in initWithName:associations:template:
	* GSWeb.framework/GSWInput.h
	  remove  initWithName:associations:contentElements:
	* GSWeb.framework/GSWInput.m
	  respect GNUstep coding standard (curly brackets placement, etc.)
	  use GSWAssignAndRemoveAssociation() in initWithName:associations:template:
	  ensure name is a string in -nameInContext:
	  fix name escaping in -_appendNameAttributeToResponse:
	  ensure value is a string in _appendValueAttributeToResponse:
	  remove initWithName:associations:contentElements:
	* GSWeb/GSWHTMLDynamicElement.m
	  respect GNUstep coding standard (curly brackets placement, etc.)
	  ensure string conversion in -_finishInitialization
	  rename variables to make code understandable
	* GSWeb/GSWConditional.m
	  respect GNUstep coding standard (curly brackets placement, etc.)
	* GSWeb/GSWActionImage.m
	  respect GNUstep coding standard (curly brackets placement, etc.)
	  fix secure stuff
	  ensure string conversion
	* GSWeb/GSWActionURL.m
	  respect GNUstep coding standard (curly brackets placement, etc.)
	  ensure string conversion
	* GSWeb/GSWBody.h
	  remove uneeded declarations
	* GSWeb/GSWBody.m
	  remove uneeded stuff
	  fix initWithName:...
	* GSWeb.framework/GSWBrowser.m
	  respect GNUstep coding standard (curly brackets placement, etc.)
	  use GSWAssignAndRemoveAssociation() in initWithName:associations:template:
	  clean code
	  rename variables to make code understandable
	  Fix bugs
	* GSWeb.framework/GSWFileUpload.m
	  respect GNUstep coding standard (curly brackets placement, etc.)
	  use GSWAssignAndRemoveAssociation() in initWithName:associations:template:
	* GSWeb/GSWFrame.h
	  remove uneeded declarations
	* GSWeb/GSWFrame.m
	  respect GNUstep coding standard (curly brackets placement, etc.)
	  clean code
	* GSWeb/GSWGenericContainer.h
	  remove uneeded declarations
	  change inheritence
	* GSWeb/GSWGenericContainer.m
	  respect GNUstep coding standard (curly brackets placement, etc.)
	  clean code
	* GSWeb/GSWGenericElement.h
	  remove uneeded declarations
	  change inheritence
	* GSWeb/GSWGenericElement.m
	  respect GNUstep coding standard (curly brackets placement, etc.)
	  clean code
	* GSWeb/GSWForm.h
	  remove uneeded declarations
	* GSWeb/GSWForm.m
	  respect GNUstep coding standard (curly brackets placement, etc.)
	  use GSWAssignAndRemoveAssociation() in initWithName:associations:template:
	  clean code
	  ensure string conversion
	* GSWeb/GSWHTMLURLValuedElement.m
	  respect GNUstep coding standard (curly brackets placement, etc.)
	  use GSWAssignAndRemoveAssociation() in initWithName:associations:template:
	  clean code
	  ensure string conversion
	  finish appendAttributesToResponse:inContext implementation
	* GSWeb/GSWHyperlink.m
	  respect GNUstep coding standard (curly brackets placement, etc.)
	  use GSWAssignAndRemoveAssociation() in initWithName:associations:template:
	  clean code
	  ensure string conversion
	* GSWeb/GSWImage.m
	  respect GNUstep coding standard (curly brackets placement, etc.)
	  use GSWAssignAndRemoveAssociation() in initWithName:associations:template:
	  clean code
	* GSWeb/GSWClientSideScript.h
	  remove uneeded declarations
	  change inheritence
	  add -setLanguage	  
	* GSWeb/GSWJavaScript.m
	  clean and update code
	* GSWeb/GSWSubmitButton.m
	  respect GNUstep coding standard (curly brackets placement, etc.)
	  use GSWAssignAndRemoveAssociation() in initWithName:associations:template:
	  clean code
	* GSWeb/GSWImageButton.m
	  respect GNUstep coding standard (curly brackets placement, etc.)
	  use GSWAssignAndRemoveAssociation() in initWithName:associations:template:
	* GSWeb/GSWSwitchComponent.m
	  clean and update code
	* GSWeb/GSWJavaScript.m
	  clean and update code
	* GSWeb/GSWContext.m
	  clean & fix -computeQueryDictionaryWithPath:queryDictionary:otherQueryDictionary:
	  fix componentActionURL... methods	  
	* GSWeb/GSWHTTPIO.m:	
	  use GSWeb_appendStringWithImpPtr()
	* GSWeb/GSWActionURL.h
	  remove uneeded declarations
	* GSWeb/GSWPrivate.h
	  add GSWeb_objectAtIndexWithImpPtr
	* GSWDatabase/WODisplayGroup.m
	  Don't raise validation exceptions in _qualifierForKey:value:operatorSelector:
2014-05-06  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb/GSWCheckBoxList.m
	  fix appendToResponse:inContext:
	  respect GNUstep coding standard (curly brackets placement, etc.)
	  use GSWAssignAndRemoveAssociation() in initWithName:associations:template:
	* GSWeb/GSWElement.[hm]
	  add GSWAssignAndRemoveAssociation() to make controls code simplier
w2014-04-29  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb/GSWApplication.m:
	  fix -baseURL
	* GSWeb/GSWResourceManager.m:
	  fix urlForResourceNamed:... when using web server
2014-04-17  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb/GSWPopUpButton.m	
	  fix _slowTakeValuesFromRequest:inContext: 
	    (convert valueValue before isEqual:)
	  replace while loop by a simplier for loop
	  respect GNUstep coding standard (curly brackets placement)
	  rename variable to make code more understandable
	* GSWeb/GSWComponent.m
	  respect GNUstep coding standard (curly brackets placement)
	  fix validateTakeValue:forKeyPath: (set value if only if different)
	  remove non standard and unused methods validation stuff:
	    -setValidationFailureMessage:forElement:
	    -validationFailureMessageForElement:
	    -handleValidationExceptionDefault
	    -isValidationFailure
	    -validationFailureMessages
	    -allValidationFailureMessages
	  fix -path 
	  remove context -setIsValidate: calls
	  remove _uniqueID
	  clean code
	* GSWeb/GSWComponent.h
	  remove _validationFailureMessages
	  remove non standard and unused methods validation stuff
	  remove _uniqueID
	* GSWeb/GSWUtils.[hm]
	  remove non standard -isValidationException
	  remove -ValidationExceptionRaise*
	* GSWeb/GSWContext.[hm]
	  remove -setValidate
	  remove -isValidate
	* GSWeb/GSWApplication.m
	  remove context -setIsValidate: calls	
2014-04-11  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb/GSWHyperlink.m
	  fix generateRelativeURLs/generateRelativeURLs
	  rename variables to make code easier to understand
	  respect GNUstep coding standard (curly brackets placement)
	* GSWeb/GSWApplication.m
	  set _isMultiThreaded when adaptor dispatchesRequestsConcurrently
	  remove -lockRequestHandling
	  remove -lockedDecrementActiveSessionCount
	  remove -lockedIncrementActiveSessionCount
	* GSWeb/GSWApplication.h
	  remove -lockRequestHandling
	  remove _globalLockn
	  remove _globalLock_thread_id
	  remove -dealloc
	  remove -init
	  remove duplicate declarations
	  remove -lockedDecrementActiveSessionCount
	  remove -lockedIncrementActiveSessionCount
	* GSWeb/GSWActionRequestHandler.m
	  copy lock code from GSWComponentRequestHandler
	* GSWeb/GSWSessionTimeOutManager.m
	  use -requestHandlingLock instead of -lockRequestHandling
	  
2014-04-11  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWDatabase/WODisplayGroup.m
	  remove -objectsAtIndexes: (implemented in core/NSArray)
	* GSWeb/GSWComponent.m
	  implement -baseURL
	* GSWeb/GSWComponentDefinition.m
	  comment unused defaultFileManager
	* GSWeb/GSWUtils.m
	* GSWeb/GSWMessage.m
	  fix encoding output in logs/messages
	* GSWeb/GSWString.[hm]
	  fix -initWithName:associations:template: definition
	* GSWeb/GSWRequest.m
	  fix misnaming (s/WODynamicURLString/GSWDynamicURLString/)
	  fix encoding output in logs/messages
	* GSWeb/GSWRadioButton.m
	  remove [_value isValueSettable] test: this value is not set
	* GSWeb/GSWImage.m
	  fix framework name computing
	* GSWeb/GSWHTTPIO.m
	  allow custom request class
	  fix warning
	* GSWeb/GSWApplication.m
	  fix GSWFPutSL (there was no \0 at end of string)
	  fix -sessionIdKey
	  fix -instanceIdKey
	  remove unused -createRequestWithMethod:...
	* GSWeb/GSWApplication.h
	  remove unused -createRequestWithMethod:...
	* config.mak.in
	  define EOCONTROL_LIBRARY_NAME and EOACCESS_LIBRARY_NAME
	* GSWeb/GSWConstants.[hm]
	  add GSWKey_QuestionMarkSessionID
	  add border__Key
	* GSWeb/GSWActiveImage.h
	  add _border association
	* GSWeb/GSWActiveImage.m
	  fix SessionID stuff in initWithName:...
	  add _border association
	  fix associations tests
	  respect GNUstep coding standard (curly brackets placement)
	* GSWeb/GSWContext.m
	  fix -sessionID
	* GSWeb/GSWForm.m
	  fix _appendHiddenFieldsToResponse:inContext: (convert value to string)
	* GSWeb/GSWHTMLDynamicElement.m
	  fix _frameworkNameForAssociation:inComponent:
	  fix computeQueryDictionaryWithActionClassAssociation: (wosid hadcoding and 
	  other values tests)
	  respect GNUstep coding standard (curly brackets placement)
	  rename variables to make code easier to understand
	  fix _appendAttributesFromAssociationsToResponse:
	* GSWeb/GSWHTMLRawParser.m
	  fix warning
	* GSWExtensions/GNUmakefile
	  fix FRAMEWORK_NAME for gswnames=gsw
	* GSWExtensionsGSW/GSWFileUploadComponent.m
	  removed uneeded method
	* GSWExtensionsGSW/GSWFileUploadComponent.gswc/GSWFileUploadComponent.gswd
	  quick fix FileLinkWithPath (investigate this later)
	* config.mak.in
	  fix gswnames problem for ./configure --with-gswnames=gsw
	* README
	  add original developper name

2013-12-21: Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>
	* GSWeb/GSWSession.m
	  do not include linux/sys.h
	  patch by Graham Lee

2013-06-22: Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>
	* GSWeb/GSWComponentRequestHandler.m
	* GSWeb/GSWComponent.m
	* GSWeb/GSWConstants.[h|m]
	* GSWeb/GSWFileUpload.m
	* GSWeb/GSWRequest.m
	* GSWeb/GSWResourceRequestHandler.m
	* GSWeb/GSWResponse.m
	introduce some new string constants to GSWConstants
	and use them more consistently

2013-06-12: David Wetzel <dave@turbocat.de>
	* GSWAdaptors/Apache2/mod_gsw.c
	  use strncasecmp to be more tolerant with header case
	  update x-webobjects-adaptor-version (old WO uses lowercase, I think) 

2013-06-11: David Wetzel <dave@turbocat.de>
	* GSWAdaptors/Apache2/mod_gsw.c
	  print 'never' and not the epoch time if there was never a response

2013-06-09: Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>
	* GSWAdaptors/Apache/mod_gsweb.c
	* GSWAdaptors/common/GNUmakefile
	* GSWAdaptors/common/GSWConfig.[h|c]
	* GSWAdaptors/common/GSWLock.h
	* GSWAdaptors/common/GSWStats.c
	* GSWAdaptors/common/GSWUtil.[h|c]
	* GSWAdaptors/common/config.h
	  remove #ifdefs of Netscape, Apache and Apache2, only
	  leave parts of Apache
	* GSWAdaptors/Apache/GNUmakefile.in
	* GSWAdaptors/Apache/mod_gsweb.c
	  do not reference the common directory anymore
	* move files needed by the Apache adaptor from
	  common into the Apache directory
	* remove GSWAdaptors/common and remaining stuff in there
	* GSWeb/GSWUtils.m
	  do not use deprecated method, replace as suggested by warning
	* GSWeb/GSWApplication+Defaults.m
	* GSWeb/GSWApplication.h
	  make the defaultUndoStackLimit NSUInteger

2013-06-06: Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>
	* GSWAdaptors/common/GSWAppConnectSocket.c
	* GSWAdaptors/common/GSWUtil.c
	  make the old Apache Adaptor work on OpenBSD
	* GSWAdaptors/Apache/mod_gsweb.c
	* GSWAdaptors/Apache/GNUmakefile-Apache[1|2]x
	  remove all #ifdef Apache2, and remove old GNUmakefiles
	* GSWAdaptors/README.txt
	  note about Apache adaptor to work with OpenBSD Apache
	  delete GSWAdaptors/netscape
	
2013-06-02: David Wetzel <dave@turbocat.de>
	* GSWeb/GSWMessage.m
	  Remove warning
	* README
	  Change maintainer

2013-05-31: Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>
	* GSWeb/GSWMessage.[h|]
	  get rid of bogus #ifndef NO_GNUSTEP
	* GSWeb/GSWHTTPIO.m
	  use the file handle in non-blocking mode in GNUstep
	  environment, uses a private GSFileHandle class
	* GSWeb/GSWApplication.[h|m]
	* GSWeb/GSWComponentRequestHandler.m
	  make _globalLock a NSRecursiveLock to fix problem
	  I introduced with SVN rev 36250, fixes bug 39092
	* GSWeb/GSWMultiKeyDictionary.m
	  Explicitly create a NSMutableDicitonary, see bug
	  39088
	* GSWeb/GSWProcFS.m
	  fix a format string
	* GSWDatabase/WODisplayGroup.m
	  uncomment the right method, and use an NSIndexSet
	  where needed instead of NSArray
	* GSWAdaptors/Apache/INSTALL
	  add a missing semicolon, and remove deprecated documentation
	* GSWAdaptors/Apache/mod_gsweb.c
	  make it compile with OpenBSD Apache 1.X
	* GSWAdaptors/common/GSWConfig.c
	  fix output

2013-05-30: Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>
	* GSWeb/GSWElement.h
	  @class not needed after including full header of that class

2013-05-30: Graham Lee <iamleeg@gmail.com>
	* GSWeb/GSWContext.m
	  remove useless comparison
	* GSWeb/GSWDeclarationParser.m
	  fix some format strings and variables used in there
	* Add method to interface and remove a cast
	  from bug report 39088

2013-05-29: Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>
	* GSWeb/GNUmakefile
	* GSWeb/GSWProcFS.m
	* GSWeb/GSWUtils.m
	* GSWeb/GSWHTMLStaticElement.m
	* GSWeb/GSWRecording.m
	* GSWeb/NSString+HTML.m
	* GSWeb/GSWMessage.m
	* GSWeb/GSWRequest.m
	* GSWeb/WOKeyValueUnarchiver.m
	* GSWeb/GSWMultiKeyDictionary.m
	* GSWeb/GSWTemporaryElement.m
	  fix some format strings, patch based on submission from
	  Graham Lee to bug report 39087

2013-05-27: Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>
	* GSWeb/NSString+HTML.m
	* GSWeb/GSWDeclarationParser.m
	  make inline functions static to please clang

2013-03-04  David Wetzel <dave@turbocat.de>
	* GSWExtensions/GSWLongResponsePage.m
	* GSWDatabase/WODisplayGroup.m
	* GSWeb/GSWHTMLStaticElement.m
	* GSWeb/GSWDynamicURLString.m
	fix some warnings

2013-03-03 Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>
	* GSWDatabase/WODisplayGroup.h
	* GSWDatabase/WODisplayGroup.m
	* GSWExtensions/GSWCollapsibleComponentContent.h
	* GSWExtensions/GSWCollapsibleComponentContent.m
	* GSWExtensions/GSWDictionaryRepetition.m
	* GSWeb/GSWRequest.m
	  make the methods in the interface match the 
	  methods in the implementation

2013-03-02 Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>
	* GSWeb/GSWSessionTimeOutManager.h
	  GSWSessionTimeOutManager conforms to NSLocking protocol
	* GSWeb/GSWComponentDefinition.m
	* GSWeb/GSWComponentReference.m
	* GSWeb/GSWContext.m
	* GSWeb/GSWHTMLDynamicElement.m
	* GSWeb/GSWHyperlink.m
	* GSWeb/GSWResourceManager.m
	* GSWeb/GSWResourceRequestHandler.m
	  get rid of extaneous parentheses on equality tests
	* GSWeb/GSWUtils.m
	  NS(U)Integer conversions
	* GSWeb/GSWResourceManager.m
	* GSWeb/GSWHTMLStaticElement.m
	  do not use redundant stringWithString:
	* GSWeb/GSWContext.m
	  move @interface before @implementation
	* GSWDatabase/WODisplayGroup.[h|m]
	* GSWeb/GSWUtils.[h|m]
	  no need for categories to reimplement things
	  already defined in their primary class
	* GSWeb/GSWPngImageInfo.m
	  remove useless #warning
	* GSWeb/GSWApplication.m
	  _globalLock is NSLock, not NSRecursiveLock

2013-03-02 Sebastian Reitenbach <sebastia@l00-bugdead-prods.de>
	* regenerate configure from configure.ac

2013-03-02  David Wetzel <dave@turbocat.de>
	add GSWDatabase/Makefile.preamble patch from Sebastian Reitenbach
	
2013-03-01  David Wetzel <dave@turbocat.de>
	* configure.ac
	* GSWeb/GSWUtils.m
	* GSWeb/GSWApplication+Defaults.m
	* GSWeb/GSWHTTPIO.m
	
	Fixed for non-Apple platforms, patch from Sebastian Reitenbach.

2013-02-26  David Wetzel <dave@turbocat.de>
	* added GSWeb/GSWApplication+Defaults.h
	* GSWeb/GNUmakefile: use -Werror
	* GSWeb/GSWFileUpload.* added multiple file support
	* Testing/DynamicElements/FileUpload1Page.wo added multiple file support
	* GSWeb/* fixed warnings on Mountain Lion

2011-05-13  David Wetzel <dave@turbocat.de>
	* GSWAdaptors/Apache2/mod_gsw.c
	modified find_app_by_name() wen dealing with single instances
	include image
	include some css

2010-10-24  David Wetzel <dave@turbocat.de>
	* GSWeb/GSWContext.h
	add @class GSWResourceManager
	add WOMarkupType
	add _markupType;
	reformat
	* GSWeb/GSWContext.m
	add - (WOMarkupType) markupType
	* GSWeb/GSWComponent.h
	add - (WOMarkupType) markupType
	* GSWeb/GSWComponent.m
	add - (WOMarkupType) markupType
	
2010-06-25  David Wetzel <dave@turbocat.de>
	* GSWeb/GSWResourceManager.m
	+ GSLanguageFromISOLanguage:
	use 2 steps to find language, first supplied one 'ja-jp'
	if that fails, use 'ja'
	
2010-06-23  David Wetzel <dave@turbocat.de>
	* GSWeb/GSWResourceManager.m
	reformat statics, add TheStringsTableLock
	add _cachedStringsTable()
	add _cachedStringForKey()
	rewrote -stringForKey:inTableNamed:withDefaultValue:inFramework:languages:
	use NONESTR, not @"NONE"
	* Testing/DynamicElements/ImagePage.h
	* Testing/DynamicElements/Resources/Chinese.lproj/Localizable.strings
	* Testing/DynamicElements/Resources/Russian.lproj/Localizable.strings
	* Testing/DynamicElements/Resources/French.lproj/Localizable.strings
	* Testing/DynamicElements/Resources/English.lproj/Localizable.strings
	* Testing/DynamicElements/Resources/German.lproj/Localizable.strings
	* Testing/DynamicElements/ImagePage.m
	* Testing/DynamicElements/ImagePage.wo
	add test for GSWResourceManager's -stringForKey:inTableNamed:withDefaultValue:inFramework:languages:
	* Testing/DynamicElements/DynamicElements.m
	set UTF8 encoding
	* Testing/DynamicElements/GNUmakefile
	add new files

2010-06-22  David Wetzel <dave@turbocat.de>
	* GSWeb/GSWResponse.m
	* GSWeb/GSWHTTPIO.m
	do not add ETag
	* GSWeb/GSWResourceRequestHandler.h
	add request: argument to _responseForDataAtPath:
	* GSWeb/GSWResourceRequestHandler.m
	add request: argument to _responseForDataAtPath:
	_responseForDataAtPath:request:
	generate Last-Modified header
	generate ETag header
	use hash of modification date and size
	(faster than over a large NSData object)
	check for if-none-match header
	
2010-06-22  David Wetzel <dave@turbocat.de>
	* GSWeb/GSWResourceManager.m
	make url prefix dynamic based on [request _applicationURLPrefix]

2010-06-22  David Wetzel <dave@turbocat.de>
	* GSWExtensions/Resources/Info-gnustep.plist
	delete
	* GSWExtensions/GNUmakefile
	let makefiles generate Info-gnustep.plist

2010-06-22  David Wetzel <dave@turbocat.de>
	* GSWExtensions/Resources/Info-gnustep.plist
	* GSWExtensions/GNUmakefile
	fix framework name to be able to load files from the right bundle

2010-06-22  David Wetzel <dave@turbocat.de>
	* GSWeb/GSWResourceManager.m
	split names into pathExtension and name before feeding it into NSBundle.
	This is not needed on OSX, but on current -base
	
2010-06-22  David Wetzel <dave@turbocat.de>
	* GSWeb/GSWResourceManager.h
	* GSWeb/GSWComponent.h
	disable GS_ATTRIB_DEPRECATED until a solution is found

2010-06-21  David Wetzel <dave@turbocat.de>
	* GSWExtensions/GSWPageRestorationErrorPage.gswc/GSWPageRestorationErrorPage.gswd
	* GSWExtensions/GSWSessionCreationErrorPage.gswc/GSWSessionCreationErrorPage.gswd
	* GSWExtensions/GNUmakefile
	* GSWExtensions/GSWSessionRestorationErrorPage.gswc/GSWSessionRestorationErrorPage.gswd
	* GSWExtensions/GSWExceptionPage.gswc/GSWExceptionPage.gswd
	use exclamation.png. exclamation.svg is not displayed inline in mozilla 
	due to a bug in mozilla.
	* GSWExtensions/WebServerResources/exclamation.png
	* GSWExtensions/WebServerResources/exclamation.svg
	new file
	* GSWExtensions/GSWSessionRestorationErrorPage.gswc/GSWSessionRestorationErrorPage.html
	* GSWExtensions/GSWExceptionPage.gswc/GSWExceptionPage.html
	better web design
	* GSWeb/GSWApplication.m
	-path
	get path from _resourceManager
	_resetCache
	do not call _clearCache, maybe we should trash the _componentDefinitionCache?
	_finishInitializingSession:
	make empty, still seems to work
	+_applicationClass
	don not use _applicationGSWBundle
	* GSWeb/GSWResourceManager.h
	* GSWeb/GSWResourceManager.m
	major redesign with WO 4.5 docs in mind.
	* GSWeb/GSWImageButton.m
	refactor resourceManager code
	* GSWeb/GSWeb.h
	remove GSWBundle class
	* Testing/DynamicElements
	added Image test.

2010-06-18  David Wetzel <dave@turbocat.de>
	* GSWeb/GSWContext.m
	- computeQueryDictionaryWithPath:queryDictionary:otherQueryDictionary
	use boolValue.
	This fixes ?wosid in links where it not has to be.
	* GSWeb/GSWMessage.h
	remove _contentEncodingIMP, GSWMessage_contentEncoding
	* GSWeb/GSWMessage.m
	remove contentEncodingSEL, GSWMessage_contentEncoding()
	* GSWeb/GSWUtils.h
	remove NSStringEncoding
	remove + encodingNamed:
	* GSWeb/GSWUtils.m
	remove encodingsByName
	remove + encodingNamed:
	* GSWeb/GSWResponse.h
	remove GSWResponse_contentEncoding
	* GSWeb/GSWBundle.m
	use [GSMimeDocument encodingFromCharset:encodingObject]
	not + encodingNamed (which we trashed above)
	* GSWeb/NSDictionary+HTML.m
	use [GSMimeDocument encodingFromCharset:]
	
2010-06-17  David Wetzel <dave@turbocat.de>
	* GSWAdaptors/Apache2/mod_gsw.c
	minor cleanups, avoid missing filename message to logs
	
2010-06-16  David Wetzel <dave@turbocat.de>
	* GSWeb/Resources/languages.plist
	add more languages
	* GSWeb/GSWHyperlink.m
	_appendQueryStringToResponse:inContext:requestHandlerPath:htmlEscapeURL:
	use encodeAsCGIFormValuesEscapeAmpersand: not encodeAsCGIFormValues
	appendAttributesToResponse:inContext:
	use _appendQueryStringToResponse:inContext:requestHandlerPath:htmlEscapeURL: 
	not _appendQueryStringToResponse:inContext:
	* GSWeb/GSWSession.m
	do not dealloc _autoreleasePool in dealloc
	This seems to fix 
	* GSWeb/NSDictionary+HTML.h
	* GSWeb/NSDictionary+HTML.m
	fix typo in method name encodeAsCGIFormValuesEscapeAmpersand
	* GSWeb/GSWActionURL.m
	use _appendQueryStringToResponse:inContext:requestHandlerPath:htmlEscapeURL: 
	not _appendQueryStringToResponse:inContext:
	* GSWeb/GSWDynamicURLString.m
	disable NSLog
	* GSWeb/GSWSessionStore.m
	_checkInSessionForContext:
	enable [session _releaseAutoreleasePool]
	add comment

2010-06-13  David Wetzel <dave@turbocat.de>
	* GSWeb/GSWDeployedBundle.m
	remove local NSAutoreleasePool
	* configure.ac
	GSWeb.framework -> GSWeb
	* configure
	regenerate
	
2010-06-13  David Wetzel <dave@turbocat.de>
	rename all *.framework top level directories to their basename.
	* GSWDatabase/WODisplayGroup.m
	remove local NSAutoreleasePool
	adjust makefiles
	
2010-06-13  David Wetzel <dave@turbocat.de>
	* Examples/hello/Main.m
	add DirectAction to avoid error messages
	* GSWeb.framework/GSWEmbeddedObject.m
	include NSObject+GNUstepBase.h
	* GSWeb.framework/GSWConfig.h
	remove GSWOPTVALUE_AcceptedContentEncoding
	* GSWeb.framework/GSWResponse.h
	remove acceptedEncodings
	add + compressableContentTypes
	add + setCompressableContentTypes:
	remove usesless @interface/@end 
	* GSWeb.framework/GSWResponse.m
	add compressableContentTypesCache
	add + compressableContentTypes
	add + setCompressableContentTypes:
	remove acceptedEncodings
	remove usesless @implementation/@end 
	add _browserSupportsCompression:
	refactor _finalizeContentEncodingInContext:
	* GSWeb.framework/GSWConstants.h
	* GSWeb.framework/GSWConstants.m
	remove GSWOPT_AcceptedContentEncoding
	* GSWeb.framework/GSWComponent.m
	do not call setAcceptedEncodings on response.
	* GSWeb.framework/GSWApplication.h
	* GSWeb.framework/GSWApplication+Defaults.m
	remove + acceptedContentEncoding
	remove + acceptedContentEncodingArray
	remove + setAcceptedContentEncoding:
	
2010-06-11  David Wetzel <dave@turbocat.de>
	* Testing/DynamicElements
	Ported to WO names.
	
2010-06-10  David Wetzel <dave@turbocat.de>
	* GSWeb.framework/GNUmakefile
	* GSWeb.framework/WOKeyValueUnarchiver.m/h
	add WOKeyValueUnarchiver
	* GSWeb.framework/GSWComponentDefinition.m
	add check, reformat
	* GSWeb.framework/GSWBundle.m
	add WOKeyValueUnarchiver
	initializeObject: fromArchive:
	use WOKeyValueUnarchiver to create objects
	* GSWeb.framework/GSWComponent.m
	validateTakeValue:forKeyPath:
	fix path problem on multiple "." like foo.bar.test
	add unarchiver: objectForReference:
	* Examples/WebBookStore1/Main.wo/Main.woo
	fix class of authorDG WODisplayGroup

2010-06-09  David Wetzel <dave@turbocat.de>
	* GSWDatabase/WODisplayGroup.m
	compiles without warning
	cleanup, removed logs,
	added exceptions
	* GSWDatabase/WODisplayGroup.h
	cleanup includes
	* Examples/WebBookStore1/Main.m
	removed create and drop tables.
	* Examples/WebBookStore1/WebBookStore1_main.m
	adapt to WO naming
	* Examples/WebBookStore1/Main.gswc -> Main.wo
	* Examples/WebBookStore1/GNUmakefile
	updated
	* Examples/WebBookStore1/Application.h
	* Examples/WebBookStore1/DirectAction.h
	* Examples/WebBookStore1/DirectAction.m
	* Examples/WebBookStore1/Session.h
	* Examples/WebBookStore1/Main.h
	WO naming
	* Examples/WebBookStore1/README
	new file
	* Examples/WebBookStore1/BookStore.eomodeld/index.eomodeld
	added more sample data to connection dictionary
	* GNUmakefile
	add GSWDatabase to main project makefile

2010-06-09  David Wetzel <dave@turbocat.de>
	* Examples/hello/Main.m
	GSW* -> WO*
	* Examples/hello/HelloPage.h
	* Examples/hello/Main.h
	wrap headers in #ifdef
	
2010-06-07  David Wetzel <dave@turbocat.de>
	* GSWeb.framework/GSWComponent.m
	validateTakeValue: forKeyPath:
	fix for paths where an object in the path is nil

2010-06-05  David Wetzel <dave@turbocat.de>
	* GSWeb.framework/GSWApplication.m
	fixed typo in include
	* GSWeb.framework/GSWString.m
	removed unused IMP caching
	
2010-06-05  David Wetzel <dave@turbocat.de>
	* GSWExtensionsGSW.framework/GSWFileUploadComponent.m
	* GSWExtensionsGSW.framework/GSWLogin.m
	removed logs
	* GSWExtensionsGSW.framework/GNUmakefile
	added ADDITIONAL_OBJCFLAGS = -Werror-implicit-function-declaration
	* GSWExtensionsGSW.framework/GSWCacheElement.m
	removed logs, use object_getClassName
	* GSWExtensionsGSW.framework/GSWValidationFailureComponent.m
	* GSWExtensionsGSW.framework/GSWTabComponent.m
	* GSWExtensionsGSW.framework/GSWFileUploadFormComponent.m
	* GSWExtensionsGSW.framework/GSWSimpleFormComponent.m
	* GSWeb.framework/GSWApplication.m
	removed logs, _validateAPI
	ClassIsKindOfClass -> GSObjCIsKindOf
	* GSWeb.framework/GSWAction.m
	include <GNUstepBase/NSObject+GNUstepBase.h>
	removed logs and unused (commented) code
	* GSWeb.framework/GSWResourceManager.h
	removed _validateAPI
	* GSWeb.framework/GSWImageButton.m
	added #include <GNUstepBase/NSObject+GNUstepBase.h>
	removed logs and unused (commented) code
	* GSWeb.framework/NSString+HTML.h
	changed int to NSUInteger / NSInteger
	* GSWeb.framework/GSWResourceManager.m
	removed logs, _validateAPI
	* GSWeb.framework/GSWContext.m 
	LOGObjectFnNotImplemented(); -> [self notImplemented: _cmd];
	* GSWeb.framework/GSWRequestHandler.m
	include <GNUstepBase/NSObject+GNUstepBase.h>
	LOGObjectFnNotImplemented(); -> [self notImplemented: _cmd];
	* GSWeb.framework/NSString+HTML.m
	include <GNUstepBase/NSString+GNUstepBase.h>
	changed int to NSUInteger
	use memmove in GSWMemMove macro
	disabled testStringByConvertingHTML
	removed logs
	fixed warnings
	* GSWeb.framework/GSWMultiKeyDictionary.m
	removed logs
	* GSWeb.framework/GSWVBScript.m
	removed logs
	* GSWeb.framework/NSNonBlockingFileHandle.m
	removed logs
	* GSWeb.framework/GSWStatisticsStore.h
	removed useless @interface / @end for the same class
	* GSWeb.framework/GSWLifebeatThread.m
	removed include <GNUstepBase/GSCategories.h>
	removed logs
	* GSWeb.framework/GSWStatisticsStore.m
	removed logs
	include <GNUstepBase/NSObject+GNUstepBase.h>
	include <GNUstepBase/NSString+GNUstepBase.h>
	implement _purgePathsStatistics, _updatePathsStatisticsWithPaths
	removed useless @implementation / @end for the same class
	* GSWeb.framework/GSWCookie.m
	removed logs
	* GSWeb.framework/GNUmakefile
	added ADDITIONAL_OBJCFLAGS = -Werror-implicit-function-declaration
	* GSWeb.framework/GSWRecording.m
	removed logs
	* GSWeb.framework/GSWToggle.m
	removed logs
	* GSWeb.framework/GSWMessage.m
	include <GNUstepBase/NSObject+GNUstepBase.h>
	globalDefaultEncoding = [NSString defaultCStringEncoding];
	(see http://wiki.gnustep.org/index.php/GSWebFAQ )
	use NSUInteger for index
	LOGObjectFnNotImplemented(); -> [self notImplemented: _cmd];
	* GSWeb.framework/GSWDefaultAdaptor.m
	include <GNUstepBase/NSObject+GNUstepBase.h>
	LOGObjectFnNotImplemented(); -> [self notImplemented: _cmd];
	* GSWeb.framework/GSWJavaScript.m
	* GSWeb.framework/GSWClientSideScript.m
	removed logs
	* GSWeb.framework/GSWNestedList.m
	removed logs
	LOGObjectFnNotImplemented(); -> [self notImplemented: _cmd];
	* GSWeb.framework/GSWEmbeddedObject.m	
	LOGObjectFnNotImplemented(); -> [self notImplemented: _cmd];
	* GSWeb.framework/GSWRequest.h
	removed _validateAPI
	* GSWeb.framework/GSWRequest.m
	add includes
	removed _validateAPI
	removed logs
	LOGObjectFnNotImplemented(); -> [self notImplemented: _cmd];
	* GSWeb.framework/GSWUtils.h
	unsigned int -> NSUInteger
	* GSWeb.framework/Resources/languages.plist
	added languages
	* GSWeb.framework/GSWUtils.m
	add includes
	unsigned int -> NSUInteger
	removed logs
	* GSWeb.framework/GSWComponentReference.m	
	removed logs
	* GSWeb.framework/GSWGeometricRegion.m
	add includes
	removed logs
	* GSWeb.framework/GSWKeyValueAssociation.m
	add includes
	removed logs
	LOGObjectFnNotImplemented(); -> [self notImplemented: _cmd];
	* GSWeb.framework/GSWHiddenField.m
	removed logs
	* GSWeb.framework/GSWParam.m
	add includes
	removed logs
	LOGObjectFnNotImplemented(); -> [self notImplemented: _cmd];
	* GSWeb.framework/NSString+Trimming.h
	* GSWeb.framework/NSString+Trimming.m
	removed longValue, ulongValue, longLongValue;
	removed logs
	* GSWeb.framework/GSWStaticResourceRequestHandler.m
	removed logs
	* GSWeb.framework/GSWURLValuedElementData.m
	removed logs
	* GSWeb.framework/GSWDirectAction.m
	takeValue -> setValue
	removed logs
	int -> NSUInteger
	* GSWeb.framework/GSWComponentDefinition.m
	add includes
	removed logs
	LOGObjectFnNotImplemented(); -> [self notImplemented: _cmd];
	* GSWeb.framework/GSWAssociation.m
	add includes
	LOGObjectFnNotImplemented(); -> [self notImplemented: _cmd];
	removed logs
	* GSWeb.framework/GSWSession.h
	* GSWeb.framework/GSWSession.m
	unsigned int-> NSUInteger
	add includes
	LOGObjectFnNotImplemented(); -> [self notImplemented: _cmd];
	removed logs
	David Ayers: pls check sleepInContext!
	removed _validateAPI, __setContextCounterIncrementingEnabled, __counterIncrementingEnabledFlag
	* GSWeb.framework/GSWFileUpload.m
	removed logs
	* GSWeb.framework/GSWApplet.m
	add includes
	LOGObjectFnNotImplemented(); -> [self notImplemented: _cmd];
	* GSWeb.framework/GSWGenericElement.m
	removed logs
	GSWeb.framework/GSWTemplateParser.m
	add includes
	* GSWeb.framework/GSWTemporaryElement.m		
	removed logs
	* GSWeb.framework/GSWResponse.m
	add include
	removed docStructure checks
	removed logs
	* GSWeb.framework/GSWProjectBundle.m
	add include
	LOGObjectFnNotImplemented(); -> [self notImplemented: _cmd];
	removed logs
	* GSWeb.framework/GSWWorkerThread.m
	added - drain
	removed NSLog
	* GSWeb.framework/GSWApplication+Defaults.m
	add include			
	LOGObjectFnNotImplemented(); -> [self notImplemented: _cmd];
	removed logs
	* GSWeb.framework/GSWActiveImage.m
	* GSWeb.framework/GSWDirectActionRequestHandler.m
	* GSWeb.framework/GSWConstantValueAssociation.m
	* GSWeb.framework/NSData+Compress.m
	removed logs
	* GSWeb.framework/GSWHTMLStaticElement.m	
	add includes
	LOGObjectFnNotImplemented(); -> [self notImplemented: _cmd];
	removed logs
	* GSWeb.framework/GSWServerSessionStore.m
	removed logs
	* GSWeb.framework/GSWAdaptor.m
	add includes
	LOGObjectFnNotImplemented(); -> [self notImplemented: _cmd];
	* GSWeb.framework/GSWDeployedBundle.m
	removed logs
	add includes
	* GSWeb.framework/GSWSubmitButton.m
	removed logs
	* GSWeb.framework/GSWDeclarationParser.m
	add includes
	removed logs
	* GSWeb.framework/GSWBundle.m
	add includes
	removed logs
	clearCache
	* GSWeb.framework/GSWWOCompatibility.h
	fixed typo in WOMessage
	* GSWeb.framework/GSWSessionTimeOut.m
	removed logs
	* GSWeb.framework/GSWPopUpButton.m	
	add includes
	* GSWeb.framework/GSWComponent.m
	add includes
	LOGObjectFnNotImplemented(); -> [self notImplemented: _cmd];
	* GSWeb.framework/GSWHTTPIO.m
	add include
	* GSWeb.framework/GSWBindingNameAssociation.m
	takeValue -> setValue
	* GSWeb.framework/GSWHTMLTemplateParser.m
	removed logs
	* GSWeb.framework/GSWResetButton.m
	removed logs
	* GSWeb.framework/GSWDebug.h/m
	disabled log funtions
	* GSWeb.framework/GSWActionRequestHandler.m
	add includes
	removed logs
	* GSWeb.framework/GSWSwitchComponent.m
	* GSWeb.framework/GSWSessionTimeOutManager.m
	removed logs
	* GSWeb.framework/GSWMailDelivery.m
	add includes
	removed logs
	* GSWeb.framework/GSWDynamicURLString.h
	* GSWeb.framework/GSWDynamicURLString.m
	unsigned int -> NSUInteger
	removed checkURL
	add includes
	* GSWeb.framework/GSWProcFS.m		
	removed logs
	* GSWeb.framework/GSWApplication.h
	removed _validateAPI
	* GSWeb.framework/GSWResourceRequestHandler.m
	add include
	removed logs
	LOGObjectFnNotImplemented(); -> [self notImplemented: _cmd];
	* GSWeb.framework/GSWSessionStore.h
	removed _validateAPI
	* GSWeb.framework/GSWSessionStore.m
	add include
	removed _validateAPI
	removed logs
	* GSWExtensions.framework/GSWLongResponsePage.m
	* GSWExtensions.framework/GSWExceptionPage.m
	* GSWExtensions.framework/GSWMetaRefresh.m
	* GSWExtensions.framework/GSWCollapsibleComponentContent.m
	removed logs
	* GSWExtensions.framework/GNUmakefile
	added ADDITIONAL_OBJCFLAGS = -Werror-implicit-function-declaration
	* GSWExtensions.framework/GSWStatsPage.m
	removed logs
	unsigned int -> NSUInteger
	* Examples/hello/HelloPage.wo/HelloPage.html
	* Examples/hello/Main.wo/Main.html
	* Examples/hello/Hello.m
	convert to UTF8
	
	The change of
	LOGObjectFnNotImplemented(); -> [self notImplemented: _cmd];
	will show where we need to implement functionality.
	Please send bug reports! -- dw
    
2010-05-04  David Wetzel <dave@turbocat.de>
	* Examples/hello/GNUmakefile
	check for platform and use frameworks or libs
	
2010-05-03  David Wetzel <dave@turbocat.de>
        * config.h.in
        changed RCS_ID to avoid warnings
        * GSWeb.framework/WebObjects/WebObjects.h
        * GSWeb.framework/WebObjects/WebObjects.h
        check if GSWEB_WONAMES was defined before
        * GSWeb.framework/GSWResponse.m
        fix typo
        * GSWeb.framework/GSWDeclarationParser.m
        remove non-existing header file

2010-04-24  David Ayers  <ayers@fsfe.org>

	* GSWeb.framework/GSWMultiKeyDictionary.h/m:
	Adapt API to current NSDictionary API.

2010-04-23  David Wetzel <dave@turbocat.de>

	* Examples/hello/INSTALL:
	updated to flags really needed
    
2010-04-16  David Wetzel <dave@turbocat.de>

	* GSWApplication.*:
	use [[NSThread currentThread] threadDictionary]
	* GSWMultiKeyDictionary.m: fix format
	* GSWRequest.m: fix potential double release
	* GSWComponentRequestHandler.*:  add comments for rejectFavicon
	* GSWSessionTimeOutManager.m: fix index
	* NSString+HTML.m, GSWBaseParser.m, GSWDeclarationParser.m,
	* GSWHTMLRawParser.m: use NSZoneMalloc()
	* GSWMultiKeyDictionary.m: fixed description

2010-04-16  David Wetzel <dave@turbocat.de>

	* fixed memory leak
	* ported to OS X (beta)
	* depricated GSW naming
    
2010-04-16  David Wetzel <dave@turbocat.de>

	* GSWeb.framework: Many warnings fixed.
	Removed GDL dependency.
	* NSKeyValueCoding is now MacOS X compatible.
         
2010-04-15  David Wetzel <dave@turbocat.de>

	* new GSWDatabase Framework for EOF/GDL based applications
	not tested yet!
	* GSWeb.framework:
	* Moved WODisplayGroup.? to GSWDatabase
	changed: GNUmakefile GSWeb.h GSWWOCompatibility.h
	* GSWApplication: removed EOF
	* small cleanups
	* GSWUtils.m EONull -> NSNull
	* GSWApplication+Defaults.m, GSWPrivate.h additions for Monitoring
	* added NSObject+XML.?

2010-04-14  David Wetzel <dave@turbocat.de>
	
	* Apache2/GNUmakefile.in: changed flags, clean now

2010-01-20  David Wetzel <dave@turbocat.de>

	* GSWeb.framework/GSWApplication.m:
	added _setHostAddress:, hostAddress 

	* GSWeb.framework/GSWRequest.h:
	added _originatingAddress, _originatingPort

	* GSWeb.framework/GSWDisplayGroup.h:
	changed undoManager to be id as compile fix for TCSDB.
    
	* GSWeb.framework/GSWApplication+Defaults.m:
	added hostAddress
    
	* GSWeb.framework/GSWHTTPIO.h:
	added _setAlwaysAppendContentLength
    
	* GSWeb.framework/GSWHTTPIO.m:
	added _alwaysAppendContentLength
	added + (void) _getConnectionInfoFromHandle:remoteAddress:remotePort:
	set originatingAddress and port to request now.

	* GSWeb.framework/GSWApplication.h:
	added _hostAddress, hostAddress, _setHostAddress
	removed lots of @interface lines.

2009-06-12  David Wetzel <dave@turbocat.de>

	* GSWAdaptors/Apache2/GNUmakefile.in:
	added -g to include debug info as default

2009-06-12  David Wetzel <dave@turbocat.de>

	* GSWAdaptors/Apache2/mod_gsw.c:
	removed unused read_sock()
	reformated read_sock_line()

2009-04-14  David Ayers  <ayers@fsfe.org>

	* configure.ac: Warn if GDL2 isn't found.
	* configure: Regenerate.
	
2009-04-07  David Ayers  <ayers@fsfe.org>

	* GSWeb.framework/GSWeb.h (GSWImageInfo): Foward declare.
	* GSWeb.framework/GSWHTMLDynamicElement.h/m
	(-/+[_frameworkNameForAssociation:inComponent:]): Convert to class
	method.  Cleanup implementation.
	* GSWeb.framework/GSWImage.m
	(+[_appendFilenameToResponse:inContext:framework:filename:width:height:]):
	Add handling for image url and cleanup implementation.
	(-[_appendFilenameToResponse:inContext:]): Delegate to class method.
	* GSWeb.framework/GSWResourceManager.h/m
	(-[_imageInfoForUrl:fileName:framework:languages:]): New method.
	(-[errorMessageUrlForResourceNamed:inFramework:]): Reformat.
	(-[_cacheData:]): Ditto.

	* Examples/WebBookStore1/BookStore.eomodeld/index.eomodeld:
	Update adaptor name.

	* configure.ac: Add check for zlib and libpng.  Do not clobber LIBS
	and AUX_LIBS for libwrap check.
	* configure: Regenerate.
	* config.h.in (HAVE_LIBZ,HAVE_ZLIB): Update autoconf test to canonical
	name.
	(HAVE_LIBPNG): Add new test for libpng.
	* GSWeb.framework/GSWPngImageInfo.h/m: New files.
	* GSWeb.framework/GSWeb.h (GSWPngImageInfo): Add declaration and include.
	* GSWeb.framework/GNUmakefile (GSWPngImageInfo.h/m): Add files.
	* GSWeb.framework/GSWImageInfo.m (GSWPngImageInfo): Remove reference to
	class.
	* GSWeb.framework/GSWResponse.m (HAVE_LIBZ,HAVE_ZLIB): Update references.
	* GSWeb.framework/NSData+Compress.h/m (HAVE_LIBZ,HAVE_ZLIB): Ditto.

	
2009-04-05  David Ayers  <ayers@fsfe.org>

	* GSWeb.framework/GSWImageInfo.h/m: New files.
	* GSWeb.framework/GNUmakefile: Include new files.
	* GSWeb.framework/GSWWOCompatibility.h: Include new files.
	* GSWeb.framework/GSWeb.h: Include new header.
	
2008-10-24  David Ayers  <ayers@fsfe.org>

	* GSWeb.framework/GSWDisplayGroup.h (HAVE_GDL2):
	Remove fallback to obsolete gnustep-db and default
	to GDL2 headers.
	([GSWDisplayGroup-undoManager]): Expect GDL2 class.
	
	* GSWeb.framework/GSWUtils.m (GSWInitializeAllMisc)
	(NSStringWithObject): Remove special NSNull handling as
	EONull must always map to NSNull anyway.

2008-08-28  David Wetzel  <dave@turbocat.de>
	
        * bug #24006 keep-alive is not implemented.
	announce close connections for now
 
2008-08-20  David Wetzel  <dave@turbocat.de>
	
	* GSWeb.framework:
	fixed many warnings

2008-07-14  David Wetzel  <dave@turbocat.de>
	
	* GSWeb.framework/GSWDirectActionRequestHandler.m:
	set status code in generateNullResponse, reformat, remove some logs

2008-04-20  David Wetzel  <dave@turbocat.de>
	
	* GSWeb.framework/GSWApplication.m,
	* GSWeb.framework/GSWComponentRequestHandler.m,
	* GSWeb.framework/GSWServerSessionStore.m,
	* GSWeb.framework/GSWSessionStore.m:
	fixed session (re)creation bug
	code cleanups

2008-05-25  Sebastian Reitenbach  <sebastia@l00-bugdead-prods.de>

	* GSWeb.framework/stacktrace.m (PLATFORM_UNIX): Define
	PLATFORM_UNIX for OpenBSD.

2008-04-20  David Wetzel <dave@turbocat.de>
	
	* GSWeb.framework/GSWApplication.m: cleanups

2008-04-17  David Wetzel <dave@turbocat.de>
	
	* GSWeb.framework/GSWConstants.m: remove comment

2008-04-15  David Wetzel <dave@turbocat.de>
	
	* GSWeb.framework/GSWConstants.m,
	* GSWExtensions.framework/GSWExtWOCompatibility.h
	make WOSessionCreationError work with WO names 
 
2008-04-09  David Wetzel <dave@turbocat.de>
	
	* GSWAdaptors/Apache2/mod_gsw.c: small cleanups
        copy all non-private headers to user

        * GSWeb.framework/GSWBindingNameAssociation.m
        remove unused code

2008-03-31  David Wetzel <dave@turbocat.de>
	
        * GSWAdaptors/Apache2/mod_gsw.c
        make load-balancing work
        add refusing to app status

        * GSWeb.framework/GSWApplication.m
        * GSWeb.framework/GSWRequestHandler.h
        * GSWeb.framework/GSWComponentRequestHandler.h
        * GSWeb.framework/GSWComponentRequestHandler.m
        * GSWeb.framework/GSWResponse.m
        * GSWeb.framework/GSWConstants.h
        * GSWeb.framework/GSWConstants.m
        * GSWeb.framework/GSWPrivate.h
        * GSWeb.framework/GSWApplication.h
        rewrote GSWComponentRequestHandler to make refusing work
       
2008-03-17  David Wetzel <dave@turbocat.de>
	
        * GSWeb.framework/GSWAssociation.h/m
        + bindingInComponent

        * GSWeb.framework/GSWPrivate.h
        + _setValueNoValidation: inComponent: 

        * GSWeb.framework/GSWBindingNameAssociation.m
        re-wrote initWithKeyPath:

	* GSWAdaptors/Apache2/mod_gsw.c: various fixes

2008-03-11  David Wetzel <dave@turbocat.de>
	
	* GSWAdaptors/Apache2/mod_gsw.c: fixed http status bug

2008-03-10  David Wetzel <dave@turbocat.de>
	
	GSWAdaptors/Apache2/mod_gsw.c
	* use shared memory to share application statistics across httpd processes
	* first version of load balancing

2008-03-09  David Ayers  <ayers@fsfe.org>

	* GSWeb.framework/GSWRequest.m (_getFormValuesFromMultipartFormData):
	Determine character set for parser by invoking charsetFromEncoding:
	on document instead of parser.

	* GSWeb.framework/GSWApplication+Defaults.m ([+host]): Set default
	host to localhost.

2008-03-04  David Wetzel <dave@turbocat.de>
	
	* GSWeb.framework/GSWPageDefElement.m
	* GSWeb.framework/GSWTemplateParserXML.
	* GSWeb.framework/GSWTemplateParserXML.m
	* GSWeb.framework/GSWPageDefParserExt.h
	* GSWeb.framework/GSWPageDefParserExt.m
	* GSWeb.framework/NSObject+IVarAccess+PerformSel.h
	* GSWeb.framework/NSObject+IVarAccess+PerformSel.m
	* GSWeb.framework/GSWHTMLAttrParserExt.h
	* GSWeb.framework/GSWHTMLAttrParserExt.m
	* GSWeb.framework/GSWHTMLParserExt.h
	* GSWeb.framework/GSWHTMLParserExt.m
	* GSWeb.framework/GSWPageDefParserTokenTypes.txt
	* GSWeb.framework/GSWPageDefElement.h
        deleted unused code
        * GSWeb.framework/GSWWOCompatibility.h
        removed define

2008-03-02  David Wetzel <dave@turbocat.de>
        * GSWeb.framework/GSWHTTPIO.m
        optimized readDataLine
        deleted all references to ANTLR

2008-03-01  David Wetzel <dave@turbocat.de>
        * GSWAdaptors/Apache2/mod_gsw.c
        read POST data before contacting the app

2008-02-18  David Wetzel <dave@turbocat.de>
        * GSWAdaptors/Apache2/mod_gsw.c
        pass more to the application

2008-02-13  David Ayers  <ayers@fsfe.org>

	* GSWeb.framework/GSWUtils.m (boolValueFor,boolValueWithDefaultFor): Rely
	on [NSString-boolValue] as it handle NO and digits more correctly.
	
2007-11-30  David Wetzel <dave@turbocat.de>
	
        GSWeb.framework:
        * GSWBindingNameAssociation.m
        * GSWAssociation.m
        add _setValueNoValidation:inComponent:
        * GSWKeyValueAssociation
        added _isValueSettable
        added _setValueNoValidation: inComponent:
        * GSWRepetition.m
        use private _setValueNoValidation: inComponent: to speed things up

2007-11-25  David Wetzel <dave@turbocat.de>
	
	* GSWAdaptors/Apache2/mod_gsw.c
	Works also if a header or empty line at the end of the headers has a \r\n ending.
	GSWeb.framework:
	* rewrote large parts of GSWDefaultAdaptor 
	* new GSWHTTPIO and GSWWorkerThread
	* dropped GSWDefaultAdaptorThread
	* some takeValue:forKey: fixes
	* started to remove global inclues

2007-11-24  David Ayers  <ayers@fsfe.org>

	* GSWeb.framework/GSWApplication+Defaults.m
	(TAKEVALUEFORKEY): Rely on setValue:forKey: to handle
	nil values.

	* GSWExtensions.framework/GSWKeyValueConditional.h
	* GSWExtensions.framework/GSWKeyValueConditional.api
	Convert from DOS to UNIX line feeds.
	
2007-06-22  David Wetzel <dave@turbocat.de>
	
	* GSWAdaptors/Apache2/mod_gsw.c
	* GSWSWeb.framework/GSWComponentRequestHandler.m
	* GSWeb.framework/GSWDefaultAdaptorThread.m

	Added support for POST requests from browsers without
	content-length header.
	(firefox does this without proxy)

2007-05-15  David Wetzel <dave@turbocat.de>
	
	* GSWAdaptors/Apache2
	made Application name clickable on status page

2007-05-10  David Wetzel <dave@turbocat.de> 
	
	* GSWeb.framework/GSWPopUpButton.m
	fixed "if" statement

2007-04-13  David Wetzel <dave@turbocat.de>
	
	* Merged files from my branch to head. Changes include:
	* Nearly all Dynamic Elements rewritten
	* More use of inheritance there
	* Less logging
	* Direct connect enables developers to access applications
	without web servers.

	* Hello demo application:
	fix double text field, update documentation,
	allow compilation with TCSDB

2006-12-12  David Ayers  <ayers@fsfe.org>

	* GSWeb.framework/GSWApplication.m (GSWApplicationMainReal):
	Remove dependency on GNUSTEP_SYSTEM_ROOT and search all domains
	in precedence for frameworks to load.

	* Doc/howto.gsdoc: Replace reference to GNUSTEP_SYSTEM_ROOT with
	new installation location.  Also remove refernece to obsolete debug extension.
	
2007-02-18  Nicola Pero <nicola.pero@meta-innovation.com>

	* configure.ac: Check for GNUSTEP_MAKEFILES, not GNUSTEP_SYSTEM_ROOT.
	* configure: Regenerated.
	* Makefile.postamble (config.mak): New rule.
	
2006-12-19  David Wetzel <dave@turbocat.de>

        * GSWAdaptors/common/GSWLoadBalancing.c: small cosmetic changes in spacing

        Changed logging to include the file name and line number.
        A logfile with "[debug] ../common/GSWUtil.c(165)" does not make much sense :-) 

        * GSWAdaptors/Apache/mod_gsweb.c
        * GSWAdaptors/common/GSWUtil.c
        * GSWAdaptors/common/GSWLoadBalancing.c
        * GSWAdaptors/common/GSWUtil.h
        * GSWAdaptors/common/GSWDict.c
        * GSWAdaptors/common/GSWHTTPRequest.c
        * GSWAdaptors/common/GSWStats.c
        * GSWAdaptors/common/GSWHTTPResponse.c
        * GSWAdaptors/common/GSWURLUtil.c
        * GSWAdaptors/common/GSWApp.c
        * GSWAdaptors/common/GSWAppRequest.c
        * GSWAdaptors/common/GSWAppConnectSocket.c
        * GSWAdaptors/common/GSWConfig.c

2006-12-12  David Ayers  <ayers@fsfe.org>

	* GSWAdaptors/Apache/mod_gsweb.c: Add defines to support Apache 2.2.
	
	* GSWAdaptors/common/GSWLoadBalancing.c
	(GSWLoadBalancing_FindInstance): Remove unsused variable.
	* GSWAdaptors/common/GSWStats.c (GSWStats_formatStats): Ditto.
	* GSWAdaptors/common/GSWURLUtil.c (GSWParseURL): Ditto.
	* GSWAdaptors/common/GSWHTTPResponse.c: Include netdb.h.
	* GSWAdaptors/common/GSWApp.c: Include time.h.
	(GSWAppInfo_MakeDictKeyName): Add parentheses to avoid compiler
	warning.
	* GSWAdaptors/common/GSWAppRequest.c
	(GSWAppRequest_SendAppRequestToApp): Add missing CONST declaration.
	* GSWAdaptors/common/GSWAppConnectSocket.c: Include unistd.h
	* GSWAdaptors/common/GSWConfig.c: Ditto.
	* GSWAdaptors/common/GSWConfig.h (g_pAppDict, config_mtime):
	Remove unused declarations.
	(GSWConfig_LoadConfiguration): Add missing declaration.
	
2006-11-15  Nicola Pero  <nicola.pero@meta-innovation.com>

	Notice: you should now use 'make DESTDIR=/tmp/xxx install' if you
	want to relocate all the installation into /tmp/xxx/

	* Makefile.postamble: Use DESTDIR everywhere instead of
	INSTALL_ROOT_DIR.
	* GNUmakefile: Do set GNUSTEP_INSTALLATION_DIR.	
	* GSWeb.framework/GNUmakefile: Same change.
	* GSWExtensions.framework/GNUmakefile: Same change.
	* GSWExtensionsGSW.framework/GNUmakefile: Same change.
	* Examples/hello/GNUmakefile: Same change.

2006-10-04  David Ayers  <ayers@fsfe.org>

	* GSWeb.framework/GSWDefaultAdaptorThread.m
	(readRequestReturnedRequestLine:returnedHeaders:returnedData:):
	Remove superfluous sleep.

	* Testing/DynamicElements/FileUpload1Page.gswc/FileUpload1Page.gswd
	* Testing/DynamicElements/FileUpload1Page.gswc/FileUpload1Page.html
	* Testing/DynamicElements/FileUpload1Page.h
	* Testing/DynamicElements/FileUpload1Page.m: New tests.
	
	* Testing/DynamicElements/Resources/Info-DynamicElements.plist
	* Testing/DynamicElements/GNUmakefile:
	Add FileUpload tests.  Do not install tests in GNUSTEP_SYSTEM_ROOT.

2006-09-15  David Ayers  <d.ayers@inode.at>

	* Version: Update to 1.3.0
	* config.mak.in: Update to use new GDL2 native library names.
	
2006-09-14  David Ayers  <d.ayers@inode.at>

	* Branch 1.2 release series.
	
2006-01-26  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWAction.m (-[initWithRequest:]): Retain
	context.
	* GSWeb.framework/GSWActionRequestHandler.m 
	(-[getActionInstanceOfClass:withRequest:): Autorelease action.
	
2006-01-11  David Wetzel <dave@turbocat.de>
        
        * GSWeb.framework/GSWHTMLComment.h
        * GSWeb.framework/GSWHTMLComment.m
        Removed multiple categories per file.

2005-12-19  David Ayers  <d.ayers@inode.at>

	* GSWAdaptors/Apache/mod_gsweb.c (GSWeb_Handler): Avoid endless
	loop when users abort transmission with temporary hack.
	
2005-12-17  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWApplication+Defaults.m
	(GSWeb_InitializeGlobalAppDefaultOptions): Add handling for
	GSW/WOStatusLoggingEndabled-GSWOPT_StatusLoggingEnabled.
	Fix handling of user defaults.
	((UserDefaults/GSWUserDefaults)): Split category in handling
	WO45 defaults and GSWeb specific defaults.
	(+is/setStatusLoggingEnabled): New methods and default to
	control status logging.
	(-set/defaultRequestHandlerClassName): Move to GSWApplication
	class implementation as this is not handled via user defaults.
	* GSWeb.framework/GSWApplication.(h/m)
	((UserDefaults/GSWUserDefaults)): Split category in handling
	WO45 defaults and GSWeb specific defaults.
	(+is/setStatusLoggingEnabled): New methods and default to
	control status logging.
	(+set/defaultRequestHandlerClassName): Move to GSWApplication
	class implementation as this is not handled via user defaults.
	(GSWFPutSL): New local macro to consistently log NSString's to
	a stream.  Updated callers to fputs.
	(+statusDebug...): Guard all calls with +isStatusDebuggingEnabled.
	(+statusLog...): Guard all calls with +isStatusLoggingEnabled.
	* GSWeb.framework/GSWConfig.h: Add GSWOPTVALUE_StatusLoggingEnabled.
	* GSWeb.framework/GSWConstants.h/m: Add GSWOPT_StatusLoggingEnabled.

	* GSWeb.framework/GSWHTMLRawParser.m (dealloc): Implement fixing
	a potentially major memory leak.
	* GSWeb.framework/GSWDefaultAdaptorThread.m (dealloc): Destroy
	pool (which should have been destroyed before, in normal operation).
	(run:) Destroy pool in case the threads is rerun.

	* GSWeb.framework/GSWApplication.(h/m) (-debugAdaptorThreadExited):
	New debug utility extension.
	* GSWeb.framework/GSWDefaultAdaptorThread.m (threadExited): Call new
	debug convenience method.

2005-10-31  David Wetzel <dave@turbocat.de>

        * GSWeb.framework/GSWSubmitButton.m
          added support for Direct Actions
          removed category

2005-10-04  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWRequest.m
	([_getFormValuesFromMultipartFormData]): Always set the default
	character set of the mime parser but be efficient for latin-1
	and utf-8.
	
2005-10-02  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWBaseParser.m 
	(-[lineAndColumnIndexesFromIndex:returnsLineIndex:columnIndex:])
	Treat '\r' as a regualar character when counting lines as '\n'
	is the actual line break.

	* GSWeb.framework/GSWDeclarationParser.m
	(parseQuotedString): Handle escaped quotes.
	(parseDictionaryWithValuesAsAssociations:): Handle key path as key.

	* GSWeb.framework/GSWRequest.m:
	(-[initWithMethod:uri:httpVersion:headers:content:userInfo:]):
	Leave _formValueEncoding undefined.
	(-[formValueEncoding]): Return defaultFormValueEncoding if
	formValueEncoding is undefined.
	(-[_formValueEncodingFromFormData:): Use formValueEncoding until
	we have encoding detection mechanisms.
	
2005-09-30  David Wetzel <dave@turbocat.de>
	
        * GSWeb.framework/GSWDynamicURLString.m
        added dataUsingEncoding: allowLossyConversion:
        * GSWeb.framework/GSWRequest.m
        avoid cString (hint from David Ayers)

2005-05-16  David Ayers  <d.ayers@inode.at>

	* GSWAdaptors/common/GSWApp.h (GSWApp_New, GSWAppInfo_Init):
	Correct prototype.
	* GSWAdaptors/common/GSWConfig.h (GSWConfig_GetConfig)
	(GSWConfig_CanDumpStatus, GSWConfig_AddTimeHeaders)
	(GSWConfig_IsDebug, GSWConfig_IsReaden)
	(GSWConfig_GetConfigFilePath, GSWConfig_AdaptorBuilt)
	(GSWConfig_ServerStringInfo, g_szGSWeb_AdaptorStringInfo)
	(GSWConfig_ServerURL, g_szGSWeb_AdaptorURL): Ditto.
	* GSWAdaptors/common/GSWString.h (GSWString_New): Ditto.
	* GSWAdaptors/common/GSWUtil.h (GSWTime_now)
	(GSWUtil_ClearHostCache): Ditto.
	
	* GSWAdaptors/Apache/configure.ac: Only add to CPPFLAGS if
	ac_x_includes is set and only add LDFLAGS if ac_x_libraries
	set.  Refer to variables in consistent form.
	
2005-05-09  David Ayers  <d.ayers@inode.at>

	* GSWAdaptors/Apache/mod_gsweb.c: Rename GSWeb_Module to
	gsweb_module for apxs integration.
	* INSTALL: Refer to GSWAdaptors/Apache/INSTALL for Apache
	specific installation instructions.  Move Apache specific
	installation instructions to GSWAdaptors/Apache/INSTALL.
	* GSWAdaptors/Apache/INSTALL: Update to new ./configure
	usage and new install and httpdconfig make targets.
	* GSWAdaptors/Apache/GNUmakefile.in: New file to build
	the adaptor module with apxs and apr-config.
	* GSWAdaptors/Apache/configure[.ac]: New files
	* GSWAdaptors/Apache/config.guess: Ditto.
	* GSWAdaptors/Apache/config.sub: Ditto.
	* GSWAdaptors/Apache/install-sh: Ditto.
	
2005-05-04  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWUtils.h/m (GetTmpName): Remove unused
	function which generates warnings about tempnam usage.
	
2005-05-03  David Ayers  <d.ayers@inode.at>

	* GSWAdaptors/common/GSWStats.c (GSWStats_formatStats):
	Use standard strtod instead of the GNU extension strtof
	which is stored in a double anyway.
	
2005-05-02  David Ayers  <d.ayers@inode.at>

	* GNUmakefile, Examples/hello/GNUmakefile, 
	GSWExtensions.framework/GNUmakefile,
	GSWExtensionsGSW.framework/GNUmakefile,
	Testing/DynamicElements/GNUmakefile: Do not reset
	GNUSTEP_MAKEFILES to an obsolete location.
	
2005-04-24  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/GSWMessage.m:
		o fixed indentation and double ;;
	* GSWeb.framework/GSWPopUpButton.m:
		o fix in comments
		o fix output in -appendToResponse:inContext: 
		o avoid string formatting
	* GSWeb.framework/GSWSessionTimeOut.m:
		o improved logs
	* GSWeb.framework/GSWTemplateParser.h
		o added +templateWithHTMLString:declarationString:languages: 
		declaration
	* GSWeb.framework/GSWURLValuedElementData.m:
		o avoid string formatting
	* GSWeb.framework/GSWUtils.h:
		o replaced ClassIsKindOfClass() by GSObjCIsKindOf()
	* GSWeb.framework/GSWUtils.m:
		o removed ClassIsKindOfClass
		o fixed GSWTime_format()
		o implemented missing methods in NSFooNumberFormatter
		o avoid string formatting
	* GSWeb.framework/GSWSessionTimeOutManager.m:
		o use +logString: instead of +logWithFormat:
	* GSWeb.framework/NSString+HTML.m:
		o commented debug logs
	* GSWeb.framework/GSWResourceManager.m:
		o fixes for warnings
	
2005-04-24  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/GSWHyperlink.m:
		o removed -hrefInContext:
		o fix for enabled binding
	* GSWeb.framework/GSWHyperlink.h:
		o removed -hrefInContext:

2005-04-21  David Wetzel <dave@turbocat.de>
        * GSWeb.framework:
          GSWApplication.m GSWDefaultAdaptor.m GSWDefaultAdaptorThread.m 
          GSWElementID.m GSWMessage.m GSWSessionTimeOutManager.m
                o removed some logs

2005-04-06  David Wetzel <dave@turbocat.de>
        * GSWeb.framework/GSWDynamicURLString.m
                o avoid message call if not needed.
        * GSWeb.framework/GSWHyperlink.m
                o utf-8 bug workaround in GSWDynamicURLString

2005-04-05  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/GSWActiveImage.m:
		o avoid string formatting
	* GSWeb.framework/GSWImageButton.m:
		o avoid string formatting
	* GSWeb.framework/GSWForm.m:
		o avoid string formatting
		o fix https bug in -_appendCGIActionToResponse:inContext:
	* GSWeb.framework/GSWGenericContainer.m:
		o avoid string formatting
	* GSWeb.framework/GSWHTMLDynamicElement.m:
		o avoid string formatting
		o IMPs optimizations
	* GSWeb.framework/GSWMailDelivery.m:	
		o avoid string formatting
	* GSWeb.framework/GSWComponent.h:
		o added -logString:
	* GSWeb.framework/GSWComponent.m:
		o added -logString:
		o implemented -logWithFormat:
		o implemented -logWithFormat:arguments:
		o implemented +logWithFormat:
	* GSWeb.framework/GSWDefaultAdaptor.m:
		o removed -logWithFormat: and +logWithFormat:
		o added -workerThreadCount and -setWorkerThreadCount:
		o replaced -statusLogWithFormat: calls by -statusLogString: calls
	* GSWeb.framework/GSWDefaultAdaptor.h:
		o removed -logWithFormat: and +logWithFormat:
	* GSWeb.framework/GSWDefaultAdaptorThread.m:
		o replaced -statusLogWithFormat: calls by -statusLogString: calls
	* GSWeb.framework/GSWMultiKeyDictionary.m:
		o better logs

2005-04-05  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/GSWContext.m:
		o add contextAndElementID caching and optimizations
		o use GSWIntToNSString instead of -stringWithFormat:
		o fix for https in 
		-directActionURLForActionNamed:urlPrefix:queryDictionary:
		-directActionURLForActionNamed:urlPrefix:queryDictionary:pathQueryDictionary:
		-componentActionURL
		-urlWithURLPrefix:requestHandlerKey:path:queryString:
		-urlWithRequestHandlerKey:path:queryString:
		-_directActionURLForActionNamed:urlPrefix:queryDictionary:pathQueryDictionary:url:
		o avoid stringWithFormat int -componentActionURLIsSecure:
		o optimization in 
		_directActionURLForActionNamed:urlPrefix:queryDictionary:pathQueryDictionary:isSecure:
		o fix in -languages session addressing
		o added -isSessionDisabled, -setIsSessionDisabled: methods 
		and _isSessionDisabled ivar to disable session creation/restoration
	* GSWeb.framework/GSWContext.h:
		o added _contextAndElementIDIMP in GSWContextIMPs
		o added GSWContext_contextAndElementID()
	* GSWeb.framework/GSWAction.m:
		o handle context isSessionDisabled
		o avoid string formatting
	* GSWeb.framework/GSWBundle.m:
		o use standard methods to build pathes and file names
	* GSWeb.framework/GSWActionRequestHandler.m:
		o avoid string formatting
	* GSWeb.framework/GSWPrivate.h:
		o avoid calling method if string parameter is nil

2005-04-05  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWExtensions.framework/Makefile.preamble:
		o handle GSWDEBUG in Makefile.preamble
	* GSWExtensionsGSW.framework/Makefile.preamble:
		o handle GSWDEBUG in Makefile.preamble
	* GSWExtensionsGSW.framework/GSWCacheElement.m:
		o avoid stringWithFormat for simple cases	
	* GSWeb.framework/GSWPrivate.h:
		o new (prvate) file
	* GSWeb.framework/GSWRequest.m:
		o explicit use of GSWValueQualityHeaderPart to 
	        avoid compiler warning and make code more readable
		o avoid using stringWithFormat in 
		-_urlWithURLPrefix:requestHandlerKey:path:queryString:
		o avoid appendFormat: and use cached imp appendString: 
		in _getFormValuesFromMultipartFormData (50% speed gain)
	* GSWeb.framework/GSWRepetition.m:
		o avoid stringWithFormat:	
	* GSWeb.framework/GSWSession.m:
		o replaced some statusLogWithFormat: by statusLogString:
	* GSWeb.framework/GSWApplication.h/.m:
		o added status logs methods with string parameters
	* GSWeb.framework/GSWConditional.m:
		o avoid stringWithFormat:	
	* GSWeb.framework/GSWInput.m:
		o ensure name binding value is a string

2005-04-04  David Wetzel <dave@turbocat.de>
        * GSWeb.framework/GSWApplication.m
        * GSWeb.framework/GSWRequest.m
        Use cStringLength in place of length

2005-03-22  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWAdaptors/common/GSWUtil.c:
	o fix in GSWTime_format
	* GSWAdaptors/common/GSWAppRequest.c:
	o fix in GSWAppRequest_HandleRequest for instance 
	search in URL/cookie

2005-03-31  David Ayers  <d.ayers@inode.at>

	* GSWAdaptors/common/GSWHTTPResponse.c
	(GSWHTTPResponse_GetResponse): Move variable declarations to top
	of block for older compilers.
	* GSWAdaptors/common/GSWUtil.h (GSWAssert): Ditto.  Remove bogus
	call to GSWLog().
	* GSWAdaptors/common/GSWStats.c (GSWStats_formatStats): Remove
	statement from variable declations for older compilers.
	
2005-03-26  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWApplication+Defaults.m (GSWAppClassDummy):
	Added method declarations to help various compiler versions
	identify the correct signaure to use.
	(+[GSWApplication setSessionTimeOutValue:]): Use it.
	(+[GSWApplication sessionTimeOutValue]); Ditto.
	
2005-03-22  Manuel Guesdon <mguesdon@orange-concept.com>
        * GSWeb.framework/GSWBrowser.m
		o fixed double HTML escaping bug (reported by David Ayers)

2005-03-21  Richard Frith-Macdonald <rfm@gnu.org>
        * GSWeb.framework/GSWRequest.m
                o cleanup GSMime access and avoid unnecessary setting of
		charset when the default is OK.

2005-03-18  Manuel Guesdon <mguesdon@orange-concept.com>
        * GSWeb.framework/NSString+HTML.m
		o fixes in GSWMemMove and 
		testStringByConvertingHTML

2005-03-11  David Wetzel <dave@turbocat.de>
        * GSWeb.framework/GSWRequest.m
                o changes to support various encodings in GSMime

2005-03-10  David Wetzel <dave@turbocat.de>
        * GSWeb.framework/GSWRequest.m
        * GSWeb.framework/NSString+HTML.?
                o replaced dictionaryQueryString by dictionaryQueryStringWithEncoding:
                o replaced decodeURL by decodeURLEncoding:
                debugging and coding together with David Ayers

2005-01-19  David Wetzel <dave@turbocat.de>
        * GSWeb.framework/GSWElementID.m:
                o set static SEL to NULL first
        * GSWeb.framework/GSWDefaultAdaptor.m:
                o fix for __APPLE__

2004-12-31  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWAdaptors/common/GSWStats.c:
		o fixed type
	* GSWExtensions.framework/GSWCollapsibleComponentContent.m
		o replaced numberWithBool: by GSWNumberXX
	* GSWExtensions.framework/GSWLongResponsePage.m:
		o replaced [context senderID] by GSWContext_senderID()
	* GSWExtensionsGSW.framework/GSWCacheElement.m:
		o use GSWDynamicElement_evaluateValueInContext
		o replaced numberWithBool: by GSWNumberXX
	* GSWeb.framework/GSWAction.h:
		o added -existingSession
	* GSWeb.framework/GSWAction.m:
		o added -existingSession
		o fixed application -logWithFormat:arguments:
	* GSWeb.framework/GSWActiveImage.m
		o use IMPs
		o use GSWIntNumber()
	* GSWeb.framework/GSWApplication+Defaults.m
		o use GSWIntNumber()
	* GSWeb.framework/GSWApplication.h:
		o added -contextClass
		o added -responseClass
		o added -requestClass
	* GSWeb.framework/GSWApplication.m:
		o added -contextClass
		o added -responseClass
		o added -requestClass
		o replaced some [NSDate date] by GSWTime_now()
		o added +initialized to call GSWInitializeAllMisc();
		o removed [xx count] in 'for' loops
	* GSWeb.framework/GSWAssociation.[hm]:
		o use static EONull instead of calling [xxNULL null] each time
		o removed xxInObject:
		o replaced numberWithBool: by GSWNumberXX
	* GSWeb.framework/GSWBindingNameAssociation.[hm]
		o replaced xxInObject: by xxInComponent:
		o replace xxInObject: by xxInComponent:
	* GSWeb.framework/GSWBrowser.m
		o use IMPs
		o use GSWIntNumber()
		o removed [xx count] in 'for' loops
	* GSWeb.framework/GSWBundle.m:
		o use GSWIntNumber()
		o replaced a -stringWithFormat:		
	* GSWeb.framework/GSWCheckBox.m:
		o use IMPs
	* GSWeb.framework/GSWCheckBoxList.m:
		o use IMPs
		o removed [xx count] in 'for' loops
	* GSWeb.framework/GSWClientSideScript.m:
		o use IMPs
	* GSWeb.framework/GSWComponent.m:
		o removed [xx count] in 'for' loops
		o use IMPs
	* GSWeb.framework/GSWComponentContent.m:
		o use IMPs
	* GSWeb.framework/GSWComponentReference.m:
		o removed [xx count] in 'for' loops
		o use IMPs
	* GSWeb.framework/GSWComponentRequestHandler.m:
		o use IMPs
	* GSWeb.framework/GSWConditional.m:
		o use IMPs
	* GSWeb.framework/GSWKeyValueAssociation.[hm]:
		o replaced xxInObject: by xxInComponent:
	* GSWeb.framework/GSWConstantValueAssociation.[hm]:
		o replaced xxInObject: by xxInComponent:
	* GSWeb.framework/GSWConstants.[hm]:
		o added GSWHTTPHeader_AdaptorStats
	* GSWeb.framework/GSWContext.[hm]:
		o use of IMPs of elementID manipulation
		o added structure and methods to use IMPs
		o added computeQueryDictionary:
		o added computePathQueryDictionary:
	* GSWeb.framework/GSWDeclarationParser.[hm]:
		o added structure and methods to use IMPs
	* GSWeb.framework/GSWDefaultAdaptor.h:
		o replaced NSDate by GSWTime	
	* GSWeb.framework/GSWDefaultAdaptor.m:
		o use GSWIntNumber()
		o replaced NSDate by GSWTime	
		o removed [xx count] in 'for' loops
	* GSWeb.framework/GSWDefaultAdaptorThread.h:
		o replaced NSDate by GSWTime	
	* GSWeb.framework/GSWDefaultAdaptorThread.m:
		o use IMPs
		o replaced NSDate by GSWTime	
		o added stats header
	* GSWeb.framework/GSWDeployedBundle.m:
		o replace [NSString string] by @""
		o removed [xx count] in 'for' loops
	* GSWeb.framework/GSWDirectActionRequestHandler.m:
		o use IMPs
	* GSWeb.framework/GSWDisplayGroup.m:
		o use GSWIntNumber()
	*GSWeb.framework/GSWDynamicElement.[hm]:
		o added evaluateConditionInContextSEL
		o added IMP call function
	* GSWeb.framework/GSWDynamicURLString.m:
		o removed [xx count] in 'for' loops
	* GSWeb.framework/GSWElement.h:
		o added GSWELEMENT_HAS_DECLARATION_NAME for future use
	* GSWeb.framework/GSWElement.m:
		o use GSWELEMENT_HAS_DECLARATION_NAME
		o use IMPs
	* GSWeb.framework/GSWElementID.[hm]:
		o added more public selectors
		o added structure and methods to use IMPs
	* GSWeb.framework/GSWFileUpload.m		
		o use IMPs
	* GSWeb.framework/GSWForm.m:
		o use IMPs
	* GSWeb.framework/GSWGenericContainer.m		
		o use IMPs
	* GSWeb.framework/GSWGenericElement.m
		o use IMPs
	* GSWeb.framework/GSWHTMLBareString.m	
		o use IMPs
	* GSWeb.framework/GSWHTMLComment.m
		o use IMPs
	* GSWeb.framework/GSWHTMLDynamicElement.m
		o fix in -computeQueryDictionaryWithActionClassAssociation:directActionNameAssociation:queryDictionaryAssociation:otherQueryAssociations:inContext:
			to remove nil valued otherQueryAssociations, like WO do.
		o use IMPs
		o replaced some -stringWithFormat:
	* GSWeb.framework/GSWHTMLStaticElement.m:
		o use IMPs
		o replaced some -stringWithFormat:
		o removed [xx length] in 'for' loops
	* GSWeb.framework/GSWHTMLStaticGroup.m:
		o use IMPs
	* GSWeb.framework/GSWHTMLURLValuedElement.m:
		o use IMPs
	* GSWeb.framework/GSWHyperlink.m:
		o use IMPs
	* GSWeb.framework/GSWImage.m:
		o use IMPs
	* GSWeb.framework/GSWImageButton.m:
		o use IMPs
	* GSWeb.framework/GSWInput.m:	
		o use IMPs
	* GSWeb.framework/GSWMessage.[hm]:
		o added structure and methods to use IMPs
	* GSWeb.framework/GSWParam.[hm]:
		o cleaned
		o partially implemented
	* GSWeb.framework/GSWPopUpButton.m:
		o use IMPs
		o use GSWIntNumber()
	* GSWeb.framework/GSWRadioButton.m:
		o use IMPs
	* GSWeb.framework/GSWRadioButtonList.m:
		o use IMPs
		o use GSWIntNumber()
	* GSWeb.framework/GSWRepetition.[hm]:
		o replaced startOneIteration/stopOneIteration by 
			_prepareIteration/_cleanupAfterIterations
		o use IMPs
	* GSWeb.framework/GSWRequest.m:
		o removed [xx length] in 'for' loops
	* GSWeb.framework/GSWResourceManager.m:
		o removed [xx length] in 'for' loops
	* GSWeb.framework/GSWResponse.[hm]:
		o added structure and methods to use IMPs
		o use IMPs
	* GSWeb.framework/GSWSession.m:
		o Asserts in -setObject:forKey:
	* GSWeb.framework/GSWSessionTimeOutManager.m::
		o define for timer time interval
		o increase Session time out timer interval from 5 to 15s
	* GSWeb.framework/GSWStatisticsStore.m:
		o use GSWIntNumber()
	* GSWeb.framework/GSWString.m:
		o use IMPs
	* GSWeb.framework/GSWSubmitButton.m:
		o use IMPs
	* GSWeb.framework/GSWSwitchComponent.m:
		o use IMPs
	* GSWeb.framework/GSWText.h:
		o cleaned
	* GSWeb.framework/GSWText.m:
		o use IMPs
	* GSWeb.framework/GSWTextField.m:
		o use IMPs
	* GSWeb.framework/GSWToggle.m:	
		o use IMPs
	* GSWeb.framework/GSWTransactionRecord.m
		o use IMPs
	* GSWeb.framework/GSWURLValuedElementData.m:
		o use IMPs
	* GSWeb.framework/GSWUtils.[hm]:
		o Various IMP types declaration
		o added GSWNumber_Yes() & GSWNumber_No() and macros
		o moved NSStringWithObject() from NSString+Trimming
		o added GSWInitializeAllMisc() for various initializations
		o use IMPs	
	* GSWeb.framework/NSString+HTML.m:
		o optimized html convertions
	* GSWeb.framework/NSString+Trimming.m:
		o moved NSStringWithObject() to GSWUtils

2004-12-31  David Wetzel <dave@turbocat.de>
        * GSWeb.framework/GSWElementID.m
                o fixed use of static SEL

2004-12-27  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWAdaptors/common/GSWStats[hc]:
		o added
	* GSWAdaptors/Apache/mod_gsweb.c
		o replaced GSWLog(GSW_DEBUG,..) by GSWDebugLog()
		o Handle time statistics informations (GSWTimeStats)
	* GSWAdaptors/netscape/gsweb.c
		o Handle time statistics informations (GSWTimeStats)
	* GSWAdaptors/common/GSWAppConnectNSSocket.c:
		o Handle time statistics informations (GSWTimeStats)
	* GSWAdaptors/common/GSWAppConnectSocket.c
		o Handle time statistics informations (GSWTimeStats)
		o replaced GSWLog(GSW_DEBUG,..) by GSWDebugLog()
	* GSWAdaptors/common/GSWAppRequest.c
		o Handle time statistics informations (GSWTimeStats)
		o replaced GSWLog(GSW_DEBUG,..) by GSWDebugLog()
	* GSWAdaptors/common/GSWAppRequest.h:
		o removed GSWAppRequest_INITIALIZER
	* GSWAdaptors/common/GSWAppRequestStruct.h:
		o added pStats in GSWAppRequest
	* GSWAdaptors/common/common/GSWConfig.[hc]:
		o added isDebug parameter and handle it
		o replaced GSWLog(GSW_DEBUG,..) by GSWDebugLog()
	* GSWAdaptors/common/GSWDict.h:
		o added GSWDict_DebugLog
	* GSWAdaptors/common/GSWHTTPRequest.c:
		o replaced GSWLog(GSW_DEBUG,..) by GSWDebugLog()
		o handle pStats	
	* GSWAdaptors/common/GSWHTTPRequest.h:
		o added pStats	
	* GSWAdaptors/common/GSWHTTPResponse.c:
		o replaced GSWLog(GSW_DEBUG,..) by GSWDebugLog()
		o handle pStats	
		o fix bugs when having invalid response
	* GSWAdaptors/common/GSWHTTPResponse.h:
		o adedd pStats
		o handle pStats	
	* GSWAdaptors/common/common/GSWLoadBalancing.c
		o replaced GSWLog(GSW_DEBUG,..) by GSWDebugLog()
		o handle pStats	
	* GSWAdaptors/common/GSWTemplates.c:
		o replaced GSWLog(GSW_DEBUG,..) by GSWDebugLog()
		o fix bug when having invalid response
	* GSWAdaptors/common/GSWURLUtil.c:
		o replaced GSWLog(GSW_DEBUG,..) by GSWDebugLog()
	* GSWAdaptors/common/GSWUtil.[hc]:
		o added GSWTime_* functions
		o added GSWDebugLog and GSWDebugLogCond
	* GSWAdaptors/common/common.make:
		o added GSWStats.c

2004-12-15  Manuel Guesdon <mguesdon@orange-concept.com>
	* README:
		o added a not on GSWElementIDString/GSWElementID 
		change
	* INSTALL:
		o Changed from 1.1.0 to 1.2.0
	* Version
		o Changed from 1.1.0 to 1.2.0
	* GSWeb.framework/GSWElementID.[hm]
		o added (replacement for GSWElementIDString)
	* GSWeb.framework/GSWElementIDString.[hm]
		o removed (replaced by GSWElementID)
	* GSWeb.framework/GNUmakefile:
		o replaced GSWElementIDString by GSWElementID	
	* GSWeb.framework/GSWContext.[hm]:
		o changed -elementID type
		o changed _elementID type 
		o replaced GSWElementIDString by GSWElementID
		o replaced _elementID by [_elementID elementIDString] when necessary
		o added -isParentSenderIDSearchOver
		o added -isSenderIDSearchOver
	* GSWeb.framework/GSWeb.h:
		o replaced GSWElementIDString by GSWElementID
		o replaced [elementID isSearchOverForSenderID:senderID] by [context isSenderIDSearchOver]
	* GSWeb.framework/GSWWOCompatibility.h
		o replaced GSWElementIDString by GSWElementID
	* GSWeb.framework/GSWComponent.m:
		o replaced GSWElementIDString by NSString
		o replaced ..isSearchIsOver... by isParentSenderIDSearchOver call
	* GSWeb.framework/GSWComponentContent.m:
		o replaced [(GSWElementIDString*)[aContext elementID]elementsNb]; by [aContext elementIDElementsCount];
		o use GSWDeclareDebugElementIDsCount,...
	* GSWeb.framework/GSWComponentReference.m:
		o replaced [(GSWElementIDString*)[aContext elementID]elementsNb]; by [aContext elementIDElementsCount];
		o use GSWDeclareDebugElementIDsCount,...
	* GSWeb.framework/GSWForm.m:
		o replaced [(GSWElementIDString*)[aContext elementID]elementsNb]; by [aContext elementIDElementsCount];
		o replaced GSWElementIDString by NSString
		o use GSWDeclareDebugElementIDsCount,...
	* GSWeb.framework/GSWHyperlink.m
		o replaced [(GSWElementIDString*)[aContext elementID]elementsNb]; by [aContext elementIDElementsCount];
		o use GSWDeclareDebugElementIDsCount,...
	* GSWeb.framework/GSWRepetition.m
		o replaced [(GSWElementIDString*)[aContext elementID]elementsNb]; by [aContext elementIDElementsCount];
		o replaced GSWElementIDString by NSString
		o use GSWDeclareDebugElementIDsCount,...
	* GSWeb.framework/GSWSubmitButton.m:
		o replaced ..isSearchIsOver... by isParentSenderIDSearchOver call
	* GSWeb.framework/GSWHTMLDynamicElement.m
		o replaced [elementID isSearchOverForSenderID:senderID] by [context isSenderIDSearchOver]
		o use IMP for elementID appendZero.../deleteLast...
	* GSWeb.framework/GSWHTMLStaticElement
		o replaced [elementID isSearchOverForSenderID:senderID] by [context isSenderIDSearchOver]
	* GSWeb.framework/GSWGenericElement.m:
		o replaced  [elementID description] by elementID
	* GSWeb.framework/GSWElement.h:
		o declared GSWDeclareDebugElementID to replace NSString* debugElementID=[TheContext elementID]
		o declared GSWDeclareDebugElementIDsCount to replace int elementsNb=[context elementIDElementsCount];
		o declared GSWAssertDebugElementIDsCount to replace Assert on elementsIDCount
		o replaced some NDEBBUG by GSWDEBUG_ELEMENTSIDS		
	* GSWeb.framework/GSWElement.m:
		o reformatted some code
		o replaced some NDEBBUG by GSWDEBUG_ELEMENTSIDS
	* GSWExtensionsGSW.framework/GSWCacheElement.m:
		o replaced [(GSWElementIDString*)[aContext elementID]elementsNb]; by [aContext elementIDElementsCount];
		o use GSWDeclareDebugElementIDsCount,...
	* GSWExtensions.framework/GSWCollapsibleComponentContent.m
		o use copy of elementID to avoid string recreation for non mutable string
	* GSWeb.framework/Makefile.preamble.in
		o added ifeq GSWDEBUG_ELEMENTSIDS
	* config.mak.in
		o added GSWDEBUG_ELEMENTSIDS (default no)

2004-12-14  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/GSWAction.m: 
		o added NSAssert in pageWithName:
		o added -context
		o implemented -_session
		o added -session
	* GSWeb.framework/GSWAction.h: 
		o added -context
		o added -session
	* GSWeb.framework/GSWActionRequestHandler.m:
		o comments/documentation
	* GSWeb.framework/GSWBrowser.m:	
		o replace back GSWIntToNSString() by [NSNumber numberWithXXX] 
			for setting values in associations. Anyway, short int 
			objects are cached
		o optimization by using NSString -stringWithObject:
	* GSWeb.framework/GSWCheckBox.m:	
		o optimization by using NSString -stringWithObject:
	* GSWeb.framework/GSWCheckBoxList.m:	
		o optimization by using NSString -stringWithObject: 
			and GSWIntToNSString()
	* GSWeb.framework/GSWComponent.h:
		o added -userAssociationForKey:
		o added -defaultAssociationForKey:
		o logs
	* GSWeb.framework/GSWConstants.[hm]:
		o added omitElement__Key
	* GSWeb.framework/GSWContext.[hm]:
		o added ivar -isInEnabledForm to detect forms in form
		o added -setInEnabledForm:
		o added -isInEnabledForm
		o added -urlWithURLPrefix:RequestHandlerKey:path:queryString:isSecure:
		o added -urlWithRequestHandlerKey:path:queryString:isSecure:
	* GSWeb.framework/GSWContext.m:
		o fix in directActionURLForActionNamed:urlPrefix:queryDictionary:pathQueryDictionary:
		o fix in directActionURLForActionNamed:urlPrefix:queryDictionary:isSecure:
		o fix in -componentActionURLIsSecure:
		o logs
	* GSWeb.framework/GSWDefaultAdaptor.m:
		o removed librwap paranoid mode
	* GSWeb.framework/GSWDefaultAdaptorThread.m
		o rewritten -createRequestFromRequestLine:headers:data:
	* GSWeb.framework/GSWDisplayGroup.[hm]:
		o added -displayFirstBatch
		o added -displayLastBatch
		o added -canDisplayFirstBatch
		o added -canDisplayNextBatch
		o added -canDisplayPreviousBatch
		o added -canDisplayLastBatch
	* GSWeb.framework/GSWDisplayGroup.m:
		o fix in insertAfterLastObject
		o change MLLog key
	* GSWeb.framework/GSWDynamicElement.[hm]
		o -evaluateCondition:inContext:noConditionAssociationDefault:noConditionDefault:
	* GSWeb.framework/GSWForm.h:
		o added _displayDisabled
	* GSWeb.framework/GSWForm.[hm]:
		o handle _displayDisabled
		o handle form in forms
	* GSWeb.framework/GSWGenericContainer.[hm]:
	  	o added _elementName
  		o added _otherTagString
  		o added _omitElement
	* GSWeb.framework/GSWHTMLRawParser.m:
		o logs
		o fixes in -tagPropertiesForType:betweenIndex:andIndex: to avoid infinite loops
		o fixes in -parseHTML to avoid infinite loops
	* GSWeb.framework/GSWHyperlink.[hm]: 
		o added _escapeHTML
	* GSWeb.framework/GSWHTMLURLValuedElement.m:
		o Warnings
	* GSWeb.framework/GSWMessage.[hm]:
		o added -removeHeader:forKey:
		o added -removeHeaderForKey:
		o added -removeHeadersForKey:
	* GSWeb.framework/GSWMessage.m:
		o cleaned code
		o re-added disappeared caching mechanism
		o use DESTROY macro in -setContent:
		o replace NSString +stringWithObject by NSStringWithObject()
	* GSWeb.framework/GSWPopUpButton.m:
		o don't append noSelection string if there's none
		o replace back GSWIntToNSString() by [NSNumber numberWithXXX] 
			for setting values in associations. Anyway, short int 
			objects are cached
	* GSWeb.framework/GSWRadioButton.m:
		o doc
		o optimization by using NSString -stringWithObject:
	* GSWeb.framework/GSWRadioButtonList.m:
		o optimization by using NSString -stringWithObject: 
			and GSWIntToNSString()
	* GSWeb.framework/GSWRecording.m:
		o corrected assert message
		o changes according to GSWMessage string-To-Data changes
	* GSWeb.framework/GSWRepetition.m:
		o use IMP for performances
	* GSWeb.framework/GSWResourcesManager.[hm]:
		o added -stringsTableNamed:inFramework:languages:foundLanguage:
		o added -lockedStringsTableNamed:inFramework:languages:foundLanguage:
		o added -lockedStringForKey:inTableNamed:inFramework:languages:foundLanguage:
	* GSWeb.framework/GSWResponse.[hm]:
		o added -canDisableClientCaching and hadle it
	* GSWeb.framework/GSWSession.[hm]:
		o added _domainForIDCookies and fixes -domainForIDCookies
	* GSWeb.framework/GSWString.[hm]:
		o cleaned 
		o added -formattedValueInContext:
	* GSWeb.framework/GSWUtils.h:
		o added NSString +stringWithContentsOfFile:encoding:
		o added NSString +encodingNamed:
	* GSWeb.framework/GSWUtils.m:
		o dix in SBIsEqual()
		o put values in array for cachedStringForInt()
		o moved NSString +stringWithContentsOfFile:encoding: from GSWBundle
		o moved NSString +encodingNamed: from GSWBundle
			TODO: MultiThread protection
	* GSWeb.framework/NSString+HTML.m:
		o optimization in -stringByConvertingFromHTML
		o optimization in -stringByConvertingToHTML
	* GSWeb.framework/NSString+Trimming.m:
		o added NSStringWithObject()
		o optimized NSStringWithObject() 
			TODO: MultiThread protection ?
	* GSWExtensionsGSW.framework/GSWCacheElement.m:
		o changes to follow GSWMessage content changes
	
2004-12-01  David Wetzel <dave@turbocat.de>

        * GSWeb.framework/GSWMessage.m
        More speed for ASCII content

2004-12-01  David Wetzel <dave@turbocat.de>

        * GSWeb.framework/GSWBrowser.m
        replaced +NSNumber numberWithXXX with GSWIntToNSString()
        * GSWeb.framework/GSWBundle.m
        added + (id)stringWithContentsOfFile:(NSString *)path encoding:(NSStringEncoding)encoding
        added + (NSStringEncoding) encodingNamed:(NSString*) encodingName
        fixed some encoding issues.
        * GSWeb.framework/GSWMessage.m 
        added a NSLog and then raise the exception to make debugging easier

2004-11-30  David Wetzel <dave@turbocat.de>

        * GSWeb.framework/GSWPopUpButton.m
        replaced +NSNumber numberWithXXX with GSWIntToNSString()

2004-11-29  David Wetzel <dave@turbocat.de>

        * GSWeb.framework/GSWMessage.h
        * GSWeb.framework/GSWMessage.m
        uses NSMutableData now. 3.74 % faster than previous version
        * GSWeb.framework/GSWUtils.m
        added NSString* cachedStringForInt(int value) to cache
        strings for 0 to 50.

2004-11-26  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWDisplayGroup.m 
	(-displayBatchContainingSelectedObject): Test
	_numberOfObjectsPerBatch to be non-zero before dividing.
	
2004-11-26  David Wetzel <dave@turbocat.de>
	
        * GSWeb.framework/GSWDynamicURLString.m
        added some speed enhancements

2004-11-22  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWApplication+Defaults.m (TAKEVALUEFORKEY):
	New macro to use new setValue:forKey: instead of takeValue:forKey:
	on Cocoa systems until it is implemented for GNUstep.

2004-11-12  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWApplication.m (GSWApplicationMainReal):
	Remove assertion for defined GNUSTEP_STRING_ENCODING.
	* GSWeb.framework/GSWDefaultAdaptorThread.m ([+sendResponse:toStream:
	withNamingConv:withAdditionalHeaderLines:withRemoteAddress:]):
	Use contentEncoding of response instead of
	NSISOLatin1StringEncoding.
	* GSWeb.framework/GSWHTMLComment.m ([-init]): Use 
	+[GSWMessage defaultEncoding] instead of
	NSISOLatin1StringEncoding.
	* GSWeb.framework/GSWHTMLDynamicElement.m
	([-addURL:forCIDKeyAssociation:CIDStoreAssociation:inContext:]):
	Use NSUnicodeStringEncoding instead NSISOLatin1StringEncoding for
	hash value.
	* GSWeb.framework/GSWMessage.m ([+initialize]): Set
	globalDefaultEncoding to NSISOLatin1StringEncoding only if
	WOStrictFlag default flag is set.  Otherwise default to
	GetDefEncoding().
	* GSWeb.framework/GSWRequest.m
	([-_formValueEncodingFromFormData:]): Use +[GSWMessage
	defaultEncoding] instead of NSISOLatin1StringEncoding.
	([-_formData], [-_getFormValuesFromMultipartFormDataOld]): Ditto.
	([-_getFormValuesFromMultipartFormData]): Ditto.
	([-_decodeMultipartBody:boundary:], -[_parseData:]): Ditto.
	* GSWeb.framework/GSWTemplateParserXML.m ([-templateElements]): Ditto.
	* GSWeb.framework/NSString+HTML.m (-[decodeURL]): Ditto.

	* INSTALL: Remove reference to GNUSTEP_STRING_ENCODING.
	* Examples/hello/HelloPage.gswc/HelloPage.gswi,
	* GSWExtensions.framework/French.lproj/
	GSWSessionCreationErrorPage.gswc/GSWSessionCreationErrorPage.gswi,
	GSWSessionRestorationErrorPage.gswc/GSWSessionRestorationErrorPage.gswi
	* GSWExtensions.framework/
	GSWCollapsibleComponentContent.gswc/GSWCollapsibleComponentContent.gswi
	GSWDictionaryRepetition.gswc/GSWDictionaryRepetition.gswi,
	GSWIFrame.gswc/GSWIFrame.gswi,
	GSWMetaRefresh.gswc/GSWMetaRefresh.gswi,
	GSWPageRestorationErrorPage.gswc/GSWPageRestorationErrorPage.gswi,
	GSWRedirect.gswc/GSWRedirect.gswi,
	GSWSessionCreationErrorPage.gswc/GSWSessionCreationErrorPage.gswi,
	GSWSessionRestorationErrorPage.gswc/GSWSessionRestorationErrorPage.gswi
	GSWStatsPage.gswc/GSWStatsPage.gswi,
	GSWTable.gswc/GSWTable.gswi,
	GSWTableString.gswc/GSWTableString.gswi,
	Correct encoding declaration.

	* GSWExtensions.framework/
	GSWKeyValueConditional.gswc/GSWKeyValueConditional.gswd,
	GSWKeyValueConditional.gswc/GSWKeyValueConditional.gswi,
	GSWKeyValueConditional.gswc/GSWKeyValueConditional.html:
	Correct encoding declaration and line terminators.
	
2004-11-08  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWAdaptors/Apache/mod_gsweb.c: change in 
		GSWHTTPResponse_BuildErrorResponse call for templates
	* GSWAdaptors/common/GSWApp.h: added unavailableUntil
	* GSWAdaptors/common/GSWAppRequest.c: 
		o changes in GSWHTTPResponse_BuildErrorResponse 
			call for templates
		o handle unavailableUntil
	* GSWAdaptors/common/GSWConfig.c:
		o handle unavailableUntil configuration directive
	* GSWAdaptors/common/GSWDict.[ch]:
		o added GSWDict_AddStringDupFromDict
	* GSWAdaptors/common/GSWHTTPResponse.[hc]:
		o renamed some templates
		o changes to handle templates function pointers
		o added GSWHTTPResponse_BuildServiceUnavailableResponse	
	* GSWAdaptors/common/GSWTemplates.[ch]:
		o renamed some templates
		o changes to handle templates function pointers
		o added UnavailableResponseTemplate
	
2004-11-08  David Ayers  <d.ayers@inode.at>

	* Examples/WebBookStore1: New example.
	* Examples/WebBookStore1/Application.h,
	* Examples/WebBookStore1/Application.m,
	* Examples/WebBookStore1/DirectAction.h,
	* Examples/WebBookStore1/DirectAction.m,
	* Examples/WebBookStore1/GNUmakefile,
	* Examples/WebBookStore1/Main.h,
	* Examples/WebBookStore1/Main.m,
	* Examples/WebBookStore1/Session.h,
	* Examples/WebBookStore1/Session.m,
	* Examples/WebBookStore1/WebBookStore1_main.m,
	* Examples/WebBookStore1/BookStore.eomodeld/Author.plist,
	* Examples/WebBookStore1/BookStore.eomodeld/Book.plist,
	* Examples/WebBookStore1/BookStore.eomodeld/Customer.plist,
	* Examples/WebBookStore1/BookStore.eomodeld/Order.plist,
	* Examples/WebBookStore1/BookStore.eomodeld/OrderPos.plist,
	* Examples/WebBookStore1/BookStore.eomodeld/index.eomodeld,
	* Examples/WebBookStore1/Main.gswc/Main.gswd,
	* Examples/WebBookStore1/Main.gswc/Main.gswi,
	* Examples/WebBookStore1/Main.gswc/Main.html,
	* Examples/WebBookStore1/WebServerResources/Insert.png,
	* Examples/WebBookStore1/WebServerResources/Save.png,
	* Examples/WebBookStore1/WebServerResources/Delete.png,
	* Examples/WebBookStore1/WebServerResources/CreateTables.png,
	* Examples/WebBookStore1/WebServerResources/DropTables.png: 
	New files.
	
2004-11-03  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWRepetition.h: Only use ASCII characters
	in source files.
	* GSWeb.framework/NSString+HTML.m (initHtmlChars): Ditto
	
	* Doc/GNUmakefile: New file.
	* Doc/gsweb.gsdoc: Update DTD reference.  Minor reformatting.
	Add references to subprojects.  Add myself as coauthor.
	* GSWeb.framework/GNUmakefile: Remove duplicate definition of
	GSWeb_AGSDOC_FLAGS.

	* GSWeb.framework/GSWDebug.h (LOGDEEPClassFnStart)
	(LOGDEEPError0, LOGLOCKException0): Insert missing backslash.
	
2004-09-02  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWApplication+Defaults.m
	(cgiAdaptorURL, setCGIAdaptorURL): Fix naming to conform to key
	value coding methods.
	
2004-09-01  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWDeclarationParser.m:
	(parseDeclarationString:named:inFrameworkNamed:): Use -base's
	version of md5 methods instead of adding gscrypt dependency.

	* GSWeb.framework/GSWApplication+Defaults.m
	(_lockDefaultEditingContext, _setLockDefaultEditingContext)
	(_allowsCacheControlHeader, _setAllowsCacheControlHeader)
	Fix naming to conform to key value coding methods.
	
2004-09-01   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWExtensions.framework/GSWCollapsibleComponentContent.m: 
		o removed unused methods
		o added -isDisabled
		o added -shouldDisplay
	* GSWExtensions.framework/GSWCollapsibleComponentContent.gswc/GSWCollapsibleComponentContent.gswd: 
		o added ShouldDisplay
	* GSWExtensions.framework/GSWCollapsibleComponentContent.gswc/GSWCollapsibleComponentContent.html: 
		o added ShouldDisplay
	* GSWExtensionsGSW.framework/GSWCacheElement.m: 
		o fix keys array end
	* GSWeb.framework/GSWApplication.m:
		o use GSWIntToNSString instead of string formatting
	* GSWeb.framework/GSWComponent.m:
		o logs
	* GSWeb.framework/GSWDeclarationParser.h:
		o added exception names constants
		o added GSWDeclarationFormatException
	* GSWeb.framework/GSWDeclarationParser.m:
		o added exception names constants
		o added GSWDeclarationFormatException
		o added declaration caching (work in progress)
		o use GSWDeclarationFormatException instead of NSException
	* GSWeb.framework/GSWDefaultAdaptor.m:	
		o use GSWIntToNSString instead of string formatting
	* GSWeb.framework/GSWDisplayGroup.h/.m:
		o added -addQueryOperator:forKey:
	* GSWeb.framework/GSWDynamicURLString.h/.m:
		o chnages to use IMPs and buffers
		o use GSWIntToNSString instead of string formatting
	* GSWeb.framework/GSWElementIDString.m:
		o rewritten -deleteLastElementIDComponent and 
			-incrementLastElementIDComponent for speed 
			and memory usage improvement
	* GSWeb.framework/GSWHTMLTemplateParser.m:
		o improved exceptions handling
	* GSWeb.framework/GSWMessage.h/.m:
		o use of IMPs for speed
	* GSWeb.framework/GSWRecording.m:
		o use GSWIntToNSString instead of string formatting
	* GSWeb.framework/GSWRequest.m
		o use GSWIntToNSString instead of string formatting
	* GSWeb.framework/GSWResponse.m
		o use GSWIntToNSString instead of string formatting
	* GSWeb.framework/GSWSession.m
		o use GSWIntToNSString instead of string formatting
	* GSWeb.framework/GSWStatisticsStore.m
		o use GSWIntToNSString instead of string formatting
	* GSWeb.framework/GSWTemporaryElement.m
		o use GSWDeclarationFormatException instead of NSException
	* GSWeb.framework/GSWUtils.h/.m:
		o added GSWIntToString and GSWIntToNSString
		o use GSWIntToNSString instead of string formatting
	* GSWeb.framework/GSWRequestHandler.m:
		o implemented -handleRequest

2004-08-29  David Ayers  <d.ayers@inode.at>
	
	* GSWeb.framework/GSWApplication+Defaults.m
	(GSWeb_InitializeGlobalAppDefaultOptions): Shorten and make more
	readable via local LOGOPT and LOGOPT_NC macro.
	(NSUSERDEFAULTS, INIT_DFLT_OBJ, INIT_DFLT_BOOL, INIT_DFLT_INT)
	(INIT_DFLT_FLT): New macros.
	(globalAppDefaultOptions): Make static.
	(_userDefaults): New static local.
	(GSWeb_ApplicationDebugSetChange): Remove NDEBUG conditional
	compile.
	(_dflt_*, _dflt_init_*): New static variables to cache default
	values.
	(set/getDefaultValues): Use new macros and static variables.
	
2004-08-28  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWApplication.h
	* GSWeb.framework/GSWApplication.m: Prepare split off of
	GSWApplication+Defaults.m.
	(_initAdaptorsWithUserDefaults:, _argsDictionaryWithUserDefaults:)
	(_initRegistrationDomainDefaults, _initUserDefaultsKeys)
	Move from main method list to GSWApplicationDefaults category.
	(setContextClassName:, contextClassName, setResponseClassName:)
	(responseClassName, setRequestClassName:, requestClassName)
	Move from GSWApplicationE to GSWApplicationDefaults category.
	(GSWApplicationSetDebugSetOption): Move to bottom.
	(GSWeb_ApplicationDebugSetChange): Rename from
	GSWebApplicationDebugSetChange and move to bottom.
	(GSWeb_AdjustVolatileNSArgumentDomain)
	(GSWeb_InitializeGlobalAppDefaultOptions)
	(GSWeb_InitializeDebugOptions)
	(GSWeb_DestroyGlobalAppDefaultOptions): New private functiions by
	extracting old code.
	(GSWApplicationMainReal): Use new extracted functions.  Minor
	reformatting.
	([+dealloc]): Use new extracted functions.
	([-createRequestWithMethod:uri:httpVersion:]) Use new name for
	GSWeb_ApplicationDebugSetChange.
	((UserDefaults)): Move entire Category to the bottom.

	([-lockedInitComponentBearingFrameworksFromBundleArray]): Comment
	unused variable to avoid warning.

	Part II
	* GSWeb.framework/GNUmakefile: Add GSWApplication+Defaults.m.
	* GSWeb.framework/GSWApplication.m:
	(globalAppDefaultOptions, WOStrictFlag)
	(GSWeb_ApplicationDebugSetChange, GSWApplicationSetDebugSetOption)
	(GSWeb_AdjustVolatileNSArgumentDomain)
	(GSWeb_InitializeGlobalAppDefaultOptions)
	(GSWeb_InitializeDebugOptions)
	(GSWeb_DestroyGlobalAppDefaultOptions)
	((GSWApplicationDefaults), (UserDefaults)): Move from here to...
	* GSWeb.framework/GSWApplication+Defaults.m: ... here.

2004-06-16  David Wetzel  <dave@turbocat.de>

        * GSWeb.framework/GSWDynamicURLString.m
        A bit optimized based on Manuel's code.
        * GSWeb.framework/GSWApplication.m
        added -(BOOL)isDebuggingEnabled
        * GSWExtensions.framework/GSWExceptionPage.gswc/GSWExceptionPage.gswd
        Fixed for MacOSX KVC. condition = application.isDebuggingEnabled

2004-06-14  David Wetzel  <dave@turbocat.de>
	
        * GSWeb.framework/GSWElementIDString.m
        added setString: (original code from Philip Moetteli, 
        debugged with David Ayers)
        tested on MacOSX with Apple Foundation
        * GSWeb.framework/GSWMessage.m
        in appendContentString: append string only if not nil 
        (patch from Philip Moetteli)

2004-05-18  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSUtils.m (boolValueWithDefaultFor): Do not
	reimplement defaults bool evaluation semantics differently from
	-base / Foundation.
	* GSWeb.framework/GSWDeclarationParser.m (-[tryParseBoolean]):
	Make more robust and allow upper and lower case variants and
	single letter variants of both YES/NO and true/false.

2004-06-01  David Wetzel  <dave@turbocat.de>

	* GSWeb.framework/GSWDeclarationParser.m:
	supports 'true' and 'false' now. Will be transformed into YES and NO

2004-06-15  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWUtils.h/m: (struct proc_s, proc_t): Removed.
	(pidstat, pidstatm, pidproccontent): Removed.
	* GSWeb.framework/GSWStatisticsStore.m
	([GSWStatisticsStore _memoryUsage]): Remove usage of pidstat and
	pidstatm.

	* GSWeb.framework/GSWProcFS.h/m: Make class more portable.
	Replace all system dependent types with standard types.  Replace
	usage of NSDebugFLog with NSDebugMLog in methods.
	([GSWProcFSProcInfo filledProcInfo]): Use -processIdentifier
	instead of getpid.
	([GSWProcFSProcInfo filledProcInfoWithPID:]): Update types. Use
	standard GC macro.
	([GSWProcFSProcInfo initFilledWithPID:]): Update types.
	([GSWProcFSProcInfo description]): Use NSPageSize instead of
	getpagesize.  Remove obsolete casts.
	([GSWProcFSProcInfo contentOfProcFile:]): Use standard NSString
	API to read the file.
	([GSWProcFSProcInfo contentOfPIDFile:]): Adapt to new types and
	reformat.
	([GSWProcFSProcInfo residentMemory]),
	([GSWProcFSProcInfo sharedMemory]): Adapt to new types.
	
2004-05-16  David Wetzel <dave@turbocat.de>

	* GSWeb.framework/GSWApplication.m ([GSWApplication
	lockedInitComponentBearingFrameworksFromBundleArray:]):
	Commented support for hasGSWComponents optimization.
	
2004-05-16  David Ayers  <d.ayers@inode.at>
	    Matt Rice  <ratmice@yahoo.com>

	* config.mak.in: Replace LIBWRAP with AUX_LIBS so that they will
	be included in gsweb.make makefile fragment.
	* configure.ac: Fine tune check to test whether we need libnsl.
	* GSWeb.framework/gsweb.gsdoc: Remove obsolete documentation of
	libwrap realted build option.
	* configure: Regenerate.
	
2004-05-16  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GNUmakefile: Make GSWDefines.h a public header.

	* GSWeb.framework/GSWAction.m,
	* GSWeb.framework/GSWApplication.m,
	* GSWeb.framework/GSWDirectAction.m,
	* GSWeb.framework/GSWSession.m,
	* GSWeb.framework/GSWTemplateParser.m: Do not initialize va_list
	with NULL.

2004-05-14   Manuel Guesdon <mguesdon@orange-concept.com>

	* GSWeb.framework/GSWHTMLTemplateParser.m:
		o fixed exception format/arguments in 
		-parser:didParseClosingDynamicTagOfType:withTemplateInfo:
		o added templateInfo in -parseHTML Exception
	* GSWeb.framework/GSWActionRequestHandler.m:
		o fix for defaultActionClass
	* GSWeb.framework/GSWBundle.m:
		o fix for .strings loading
	* GSWeb.framework/GSWResourceManager.m:
		o fix for .strings loading
	* GSWExtensions.framework/GSWMetaRefresh.m:
		o logs
	* GSWExtensions.framework/GSWMetaRefresh.gswc/GSWMetaRefresh.gswd/html:
		o moved http-equiv
	* GSWeb.framework/GSWAssociation.m:
		o fixed -isImplementedForComponent
	* GSWeb.framework/GSWConstants.h/.m:
		o added dateFormat__AltKey
		o added numberFormat__AltKey
	* GSWeb.framework/GSWContext.h:
		o added -urlApplicationNumber
	* GSWeb.framework/GSWContext.m:
		o logs
		o urlPrefix fix
		o application instance fix for distribution
		o fix in -_synchronizeForDistribution
	* GSWeb.framework/GSWGenericElement.m:
		o logs
		o fixes in -invokeActionForRequest:inContext:
	* GSWeb.framework/GSWRequest.m:
		o logs
	* GSWeb.framework/GSWSession.m:
		o logs
	* GSWeb.framework/GSWTemplateParser.m:
		o fix typo
	* GSWeb.framework/GSWTextField.h:
		o cleaned
	* GSWeb.framework/GSWTextField.m:
		o handle dateFormat and numberFormat Alt Keys

2004-05-06  S.J. Chun <chunsj@embian.com>
            David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWDefines.h: New file.
	* GSWeb.framework/GSWeb.h: Include GSWDefines.h.
	
	* GSWeb.framework/GSWApplication.h: Use GSW_EXPORT instead of
	export.  Fixed some whitespace issues.
	* GSWeb.framework/GSWBaseParser.h: Ditto.
	* GSWeb.framework/GSWConstants.h: Ditto.
	* GSWeb.framework/GSWDebug.h: Ditto.
	* GSWeb.framework/GSWDefaultAdaptor.h: Ditto.
	* GSWeb.framework/GSWElement.h: Ditto.
	* GSWeb.framework/GSWHTMLAttrLexer.h: Ditto.
	* GSWeb.framework/GSWHTMLAttrParser.h: Ditto.
	* GSWeb.framework/GSWHTMLLexer.h: Ditto.
	* GSWeb.framework/GSWHTMLParser.h: Ditto.
	* GSWeb.framework/GSWPageDefLexer.h: Ditto.
	* GSWeb.framework/GSWPageDefParser.h: Ditto.
	* GSWeb.framework/GSWResourceManager.h: Ditto.
	* GSWeb.framework/GSWUtils.h: Ditto.

	* GSWeb.framework/GSWSession.h/m
	([GSWSession permanentPageCacheSize], [GSWSession pageCacheSize]):
	Replace uint with unsigned int.

	* GSWeb.framework/NSString+HTML.m: Include limits.h.

2004-05-06  David Ayers  <d.ayers@inode.at>

	* INSTALL: Update prerequisites.
	* GSWAdaptors/common/common.make: Whitespace update.
	* GSWeb.framework/GSWDefaultAdaptor.m: Ditto.
	
2004-04-22  S.J. Chun <chunsj@embian.com>

	* GSWExtensions.framework/GSWKeyValueConditional.m
	([GSWKeyValueConditional condition]): Declare all variables at top
	of block to be able to compile with gcc 2.95.
	* GSWeb.framework/GSWBaseParser.m
	(_ParserDebugLogBuffer):Ditto.
	* GSWeb.framework/GSWDisplayGroup.m
	([GSWDisplayGroup _deleteObjects]),
	([GSWDisplayGroup displayBatchContainingSelectedObject]),
	([GSWDisplayGroup setDefaultStringMatchFormat:]),
	([GSWDisplayGroup _setUpForNewDataSource]): Ditto.
	* GSWeb.framework/GSWHTMLDynamicElement.m
	([GSWHTMLDynamicElement	computeActionStringWithActionClassAssociation:
	directActionNameAssociation:pathQueryDictionaryAssociation:
	otherPathQueryAssociations:inContext:]): Ditto.
	* GSWeb.framework/GSWHTMLRawParser.m
	([GSWHTMLRawParser tagPropertiesForType:betweenIndex:andIndex:]),
	([GSWHTMLRawParser parseHTML]): Ditto.
	* GSWeb.framework/GSWRequest.m
	([GSWRequest valuesFromHeaderString:], [GSWRequest initWithString:]),
	([GSWRequest cookies]): Ditto.
	* GSWeb.framework/GSWStatisticsStore.m
	([GSWStatisticsStore _sessionTerminating:]): Ditto.
	* GSWeb.framework/GSWTemporaryElement.m
	([GSWTemporaryElement _elementWithDeclaration:name:properties:
	template:languages:]): Ditto.


2004-04-20  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWDisplayGroup.m:
	([GSWDisplayGroup init]): Set fetchesOnLoad to YES by default.
	Reported by S.J. Chun <chunsj@embian.com>.

2004-04-14  David Ayers  <d.ayers@inode.at>

	* gsweb.make.in: Remove GSANTLR dependency.
	* GSWExtensions.framework/Makefile.preamble: Ditto.
	* GSWExtensionsGSW.framework/Makefile.preamble: Ditto.
	
	* GSWeb.framework/Makefile.preamble.in: Move AUX_LIBS to the
	bottom so that the linker on Darwin can deal with the static
	library.

	* GSWExtensions.framework/GSWKeyValueConditional.h: Remove
	include currently redundant for the include mechanism and
	causing warnings to gswnames=wo.
	
2004-04-06   Manuel Guesdon <mguesdon@orange-concept.com>

	* GSWeb.framework/GSWHTMLRawParser.m:
		o fixed exception format/arguments problem reported 
			by David Ayers  <d.ayers@inode.at>
			in _skipQuotedStringWithQuote:index:stopIndex:
	* GSWeb.framework/GSWSession.m:
		o implemented -debugWithFormat:
		o implemented -_debugWithString:
		o Manage termination in -appendCookieToResponse:
	* GSWeb.framework/GSWResponse.m:
		o finalized -disableClientCaching
		o in -_finalizeInContext: add load info to headers
		o in -_finalizeInContext: new session refusing info
	* GSWeb.framework/GSWAssociation.m:
		o raise exception if empty keyPath in +setValue:inObject:forKeyPath:
	* GSWeb.framework/GSWActionRequestHandler.m:
		o finalize -_handleRequest:
	* GSWeb.framework/GSWApplication.h/.m:
		o added -_refuseNewSessionsTimeInterval
		o added +_setAllowsCacheControlHeader:
		o added +_allowsCacheControlHeader
	* GSWeb.framework/GSWConstants.h/.m:
		o added GSWHTTPHeader_LoadAverage
		o added GSWHTTPHeader_RefuseSessions
		o added AllowsCacheControlHeader
	* GSWeb.framework/GSWConfig.h:
		o added GSWOPTVALUE_AllowsCacheControlHeader
	* TODO:
		o updated
	* GSWeb.framework/GSWElement.m:
		o remove -definitionName (use -declarationName now)
	* GSWeb.framework/GSWForm.m:
		o replaced -definitionName call by -declarationName
	* GSWeb.framework/GSWComponent.m/.h:
		o replaced -definitionName by -declarationName
	* GSWeb.framework/GSWComponentContent.m:
		o replaced -definitionName call by -declarationName
	* GSWeb.framework/GSWComponentReference.m:
		o replaced -definitionName call by -declarationName
	* GSWeb.framework/GSWConditional.m:
		o replaced -definitionName call by -declarationName
		o replaced -setDefinitionName -setDeclarationName
	* GSWeb.framework/GSWContext.m:
		o replaced -definitionName call by -declarationName
	* GSWeb.framework/GSWHyperlink.m:
		o replaced -definitionName call by -declarationName
	* GSWeb.framework/GSWImageButton.m:
		o replaced -definitionName call by -declarationName
	* GSWeb.framework/GSWRepetition.m:
		o replaced -definitionName call by -declarationName
		o replaced -setDefinitionName -setDeclarationName
	* GSWeb.framework/GSWSwitchComponent.m:
		o replaced -definitionName call by -declarationName
	* GSWeb.framework/GNUmakefile:
		o removed GSWHTMLParser.m
		o removed GSWHTMLParserExt.m 
		o removed GSWHTMLLexer.m 
		o removed GSWHTMLAttrLexer.m 
		o removed GSWHTMLAttrParser.m 
		o removed GSWHTMLAttrParserExt.m 
		o removed GSWTemplateParserANTLR.m 
		o removed GSWTemplateParserXML.m 
		o removed GSWHTMLAttrLexer.h 
		o removed GSWHTMLAttrParser.h 
		o removed GSWHTMLAttrParserExt.h 
		o removed GSWHTMLAttrTokenTypes.h 
		o removed GSWHTMLLexer.h 
		o removed GSWHTMLParser.h 
		o removed GSWHTMLParserExt.h 
		o removed GSWHTMLTokenTypes.h 
		o removed GSWTemplateParserANTLR.h 
		o removed GSWTemplateParserXML.h 
	* GSWeb.framework/GSWeb.h:
		o removed #include "GSWHTMLLexer.h"
		o removed #include "GSWHTMLParser.h"
		o removed #include "GSWHTMLParserExt.h"
	* GSWeb.framework/GSWTemplateParser.m:
		o removed references to ANTLR
		o removed #include "GSWTemplateParserXML.h"
		o removed #include "GSWTemplateParserANTLR.h"
		o removed ANTLR and XML parsers handling in 
		+templateParserTypeFromString: Emit warning for 
		ANTLR/XML case
		o cleaned +templateWithHTMLString:declarationString:languages:
		o removed ANTLR and XML parsers handling in 
		+templateNamed:inFrameworkNamed:...
		Emit warning for ANTLR/XML case
		o code cleaning
	* GSWeb.framework/Makefile.preamble.in:
		o removed GSANTLR dependency
	
2004-04-02  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWHTMLRawParser.m
	([GSWHTMLRawParser _skipQuotedStringWithQuote:index:stopIndex:]):
	Use decimal instead of object format specifier.  Reformat.

	* GSWeb.framework/GSWTemplateParser.m:
	([GSWTemplateParser parseDeclarations]): Test
	_declarationsFilePath before inserting it into a mutable set.
	Reformat.

	* GSWeb.framework/GSWDefaultAdaptor.m
	([GSWDefaultAdaptor announceNewConnection:]):  Fix for
	WorkerThreadCount 0.

	* GSWeb.framework/GSWResourceManager.m
	([GSWResourceManager _applicationGSWBundle]): Use self instead of
	NSClassFromString to obtain correct class for WO namespace.
	
2004-03-26  David Ayers  <d.ayers@inode.at>

	* GSWAdaptors/common/GSWTemplates.c (GSWTemplate_GetTemplate):
	Don't call strlen(0) as that may segfault.  Reported by
	Matt Rice <ratmice@yahoo.com>.

2004-03-26   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/GSWAction.m/.h:
		o added -isActionNamed:
	* GSWeb.framework/GSWDirectAction.m
		o in -performActionNamed:, raise exception if method is not found
	* GSWExtensions.framework/GSWExceptionPage.gswc/GSWExceptionPage.html:
		o added meta to avoid error page indexation
	* GSWExtensions.framework/GSWPageRestorationErrorPage.gswc/GSWPageRestorationErrorPage.html:
		o added meta to avoid error page indexation
	* GSWExtensions.framework/GSWSessionCreationErrorPage.gswc/GSWSessionCreationErrorPage.html:
		o added meta to avoid error page indexation
	* GSWExtensions.framework/GSWSessionRestorationErrorPage.gswc/GSWSessionRestorationErrorPage.html:
		o added meta to avoid error page indexation
	* GSWSession.m/.h:
		o added private methods 
		o implemented -copy
	* GSWHTMLRawParser.m:
		o fixed WO_TAG_LENGTH	

2004-03-25   Manuel Guesdon <mguesdon@orange-concept.com>
		
	* GSWeb.framework/GSWActionRequestHandler.m:
		o -_handleRequest: partially rewritten for exception handling
	* GSWeb.framework/GSWHTMLURLValuedElement.m:
		o fix in -appendURLToResponse:inContext: when we have key and 
			filename binding (Stéphane Corthésy <stephane@sente.ch> 
			and Philip Mötteli <Philip.Moetteli@tele2.ch>)
	* GSWeb.framework/GSWApplication.h/.m:
		o added -handleActionRequestErrorWithRequest:exception:reason:
			requestHanlder:actionClassName:actionName:actionClass:
			actionObject:
		o added +defaultDisplayExceptionPages
		o added +setDefaultDisplayExceptionPages:
		o handle GSWDefaultDisplayExceptionPages
	* GSWeb.framework/GSWDirectActionRequestHandler.h/.m:
		o added -generateRequestRefusalResponseForRequest:
		o added -generateErrorResponseWithException:inContext:
	* GSWeb.framework/GSWConstants.h/.m:
		o added GSWOPT_DisplayExceptionPages
		o renamed GSWComponentDefinition* into GSWComponentDeclarations*
		o added GSWOPTValue_DefaultTemplateParser_RawHTML	
	* GSWeb.framework/GSWConfig.h:
		o added GSWOPTVALUE_DisplayExceptionPages
		o changed default template parser to RawHTML
	* GSWExtensionsGSW.framework/GSWLogin.m/.h:
		o added _tryCount
	* GSWExtensionsGSW.framework/GSWLogin.gswc/GSWLogin.gswd:
		o added IsTryCountEqualToXX,...
	* GSWeb.framework/GSWHTMLTemplateParser.m/.h:
		o added (New HTML Template Parser)
	* GSWeb.framework/GSWHTMLRawParser.m/.h:
		o aded (New HTML Parser)
	* GSWeb.framework/GSWDeclaration.h/.m:
		o added (Handle a declaration i.e. an entry from .gswd)
	* GSWeb.framework/GSWDeclarationParser.h/.m:
		o added (.gswd parser)
	* GSWeb.framework/GSWBaseParser.h/.m:
		o added (base class for parsers)
	* GSWeb.framework/GSWTemporaryElement.h/.m:
		o added (Temporary element to handle dynamic tags)
	* GSWeb.framework/GSWBundle.m:
		o renamed GSWComponentDefinition* to GSWComponentDeclarations*
	* GSWeb.framework/GSWElement.h/.m:
		o renamed definitionName to declarationName
	* GSWeb.framework/GSWHTMLBareString.h/.m:
		o cleaned
		o remove _data and _encoding
	* GSWeb.framework/GSWHTMLDynamicElement.m:
		o fixed bug in -initWithName:attributeAssociations:contentElements: 
		for associationValue quoting	
	* GSWeb.framework/GSWHTMLStaticGroup.m/.h:
		o added +elementWithContentElements:
	* GSWeb.framework/GSWTemplateParser.h/.m:
		o multiple changes to support RawHTML parser and new 
		declarations parser
	* GSWeb.framework/GSWTemplateParserANTLR.h:
		o removed GSWPageDef* includes
	* GSWeb.framework/GSWTemplateParserANTLR.m:
		o renamed defintions* to declarations*
		o replaced GSWPageDefElement by GSWDeclaration
	* GSWeb.framework/GSWTemplateParserXML.m:
		o renamed defintions* to declarations*
		o replaced GSWPageDefElement by GSWDeclaration
	* GSWeb.framework/GSWeb.h:
		o added includes for new files
		o removed includes for removed files
	* GSWeb.framework/GNUmakefile
		o added new files
		o removed old files
		o moved some files

2004-03-10  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWUtils.m: Use GNUSTEP in favor of 
	NeXT_Foundation_LIBRARY as requested by Marcus Mueller
	<znek@mulle-kybernetik.com>.
	
2004-03-10  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GNUmakefile: Make WO_HEADER_FILES real
	public headers.
	* GSWExtensions.framework/GNUmakefile: Ditto.
	* GSWeb.framework/Makefile.postamble: Simplify rules for
	installing WO_HEADER_FILES.
	* GSWExtensions.framework/Makefile.postamble: Ditto.

	* hello/Hello.m, hello/HelloPage.m, hello/Hello_main.m,
	hello/Hello_main.m, hello/Main.m:  Correct include directive.
	
2004-03-04  David Ayers  <d.ayers@inode.at>

	* config.mak.in: Added EOCONTROL_LIBRARY_NAME, 
	EOACCESS_LIBRARY_NAME and HAVE_NATIVE_FRAMEWORK_SUPPORT.
	* GSWeb.framework/Makefile.preamble.in: Added support for 
	buildings on OS X and improve support for others.
	* GSWExtensions.framework/Makefile.preamble: Ditto.
	* GSWExtensionsGSW.framework/Makefile.preamble: Ditto.
	* GSWeb.framework/GNUmakefile: Remove GNUSTEP_MAKEFILES.

	* GSWeb.framework/GSWMultiKeyDictionary.m
	([GSWMultiKeyDictionary initWithNodeSize:capacity:]): Replace
	usage of GSObjCZone with -zone for OS X compatibility.
	([GSWMultiKeyDictionary dealloc]): Ditto.

2004-03-03   Manuel Guesdon <mguesdon@orange-concept.com>
		
	* GSWeb.framework/GSWDefaultAdaptorThread.m:
		o fix for autoreleasing runDate inr -run: (from 
		S.J.Chun <chunsj@embian.com>)
	
2004-03-01   Manuel Guesdon <mguesdon@orange-concept.com>
		
	* GSWeb.framework/GSWApplication.m:
		o typo fix in _resetCache
	* GSWeb.framework/GSWMessage.h/.m:
		o added methods for element/component caching
	* GSWeb.framework/GSWHTMLDynamicElement.h/.m:
		o added -computeActionStringWithActionClassAssociation:
			directActionNameAssociation:pathQueryDictionaryAssociation:
			otherPathQueryAssociations:inContext:
	* GSWeb.framework/GSWHyperlink.h/m:
		o added _pathQueryDictionary and _pathQueryDictionary handling
	* GSWeb.framework/GSWConstants.h/.m:
		o added pathQueryDictionary__Key
	* GSWeb.framework/GSWMultiKeyDictionary.m:
		o fixes
		o logs
	* GSWeb.framework/GSWSwitchComponent.m:
		o improved exception description in 
			-_realComponentWithName:inContext:
	* GSWeb.framework/GSWHTMLDynamicElement.h/.m:
		o moved GSWHTMLURLValuedElement cid part here
	* GSWeb.framework/GSWHTMLURLValuedElement.h/.m:
		o moved cid part to GSWHTMLDynamicElement
	* GSWeb.framework/GSWImageButton.h/.m:
		o handle cidStore and cidKey
	* GSWeb.framework/GSWForm.h/.m: added fragment handling
	* GSWeb.framework/GSWContext.h/.m: added -contextAndElementID;
	* GSWElementIDString.m: 
		o fix in -incrementLastElementIDComponent when incrementing elementID 
			whose last part is a componentID (i.e. not a number)
		o cache nonNumericSet object
		o rewritten -isSearchOverForSenderID: to handle number appending to 
			string element
		o added a warning in -appendElementIDComponent: to warn about adding 
			element which ends with decimal character
	* GSWHTMLStaticElement.m: logs
	* GSWForm.m: cleaning
	* GSWComponent.m: implemented -validateValue:forKey:

	* GSWeb.framework/GNUmakefile: removed GSCache.*
	* GSWeb.framework/GSCache.h/.m: removed
		(use GSWCache now)
	* GSWeb.framework/GSWeb.h: removed GSCache stuff
	* GSWExtensions.framework/GSWKeyValueConditional.m:
		o fix
	* GSWExtensionsGSW.framework/GNUmakefile:
		o GSWCacheElement.m 	

2004-02-27  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWUtils.h (NSTimeIntervalSleep): Declare.
	* GSWeb.framework/GSWGenericContainer.m
	([GSWGenericContainer takeValuesFromRequest:inContext:]): Don't
	try to return value in method returning void.
	* GSWeb.framework/GSWHyperlink.m
	([GSWHyperlink invokeActionForRequest:inContext:]): Add cast
	to silence compiler on OS X.
	* GSWeb.framework/GSWResourceManager.m
	([GSWResourceManager _applicationGSWBundle]): Remove obsolete 
	logging.
	* GSWeb.framework/NSData+Compress.m ([NSData deflate]):
	Remove dependancy on GNUstep extenstions.
	* GSWeb.framework/stacktrace.m: Add test for __MACH__.

	* GSWExtensions.framework/GSWLongResponsePage.m
	([GSWLongResponsePage threadExited:]): Replace NSThreadExiting
	with NSThreadWillExitNotification.
	([GSWLongResponsePage _perform:]): Ditto.

	* GSWeb.framework/GNUmakefile: Depend on GDL2 when applicable.
	* GSWeb.framework/Makefile.preamble.in: Add dependency on 
	GSANTLER and -baseadd when applicable.
	Also add dependancy on GDL2.
	
2004-02-26  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWDefaultAdaptorThread.m
	([GSWDefaultAdaptorThread run:]): Replace NSThreadExiting
	with NSThreadWillExitNotification.
	([GSWDefaultAdaptorThread threadExited:]): Ditto.
	([GSWDefaultAdaptorThread readRequestReturnedRequestLine:
	returnedHeaders:returnedData:]): Assign current date to typed
	variable to avoid compiler warning on compare:.
	* GSWeb.framework/GSWUtils.m
	([NSException exceptionWithName:format:]): Adapt variables name
	to not clash with instance variable names on Cocoa.
	([NSException exceptionByAddingUserInfo:]): Ditto.
	([NSException exceptionByAddingToUserInfoKey:format:]): Ditto.
	([NSException exceptionByAddingUserInfoKey:format:]): Ditto.
	
2004-02-25  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWApplication.h
	* GSWeb.framework/GSWDeployedBundle.h: Replace objc_thread_t
	with NSThread * for caching the thread in the instance variable.

	* GSWeb.framework/Makefile.postamble: Remove config.h during
	make distclean.

2004-02-17  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWApplication.m
	(GSWApplicationMainReal): Reformat.  Use GSCurrentThread instead
	of objc_thread_id. Remove \n in NSLog type logs.
	(GSWApplicationMain): Ditto.
	([GSWApplication init], [GSWApplication lockRequestHandling],
	[GSWApplication unlockRequestHandling], [GSWApplication lock],
	[GSWApplication unlock], [GSWApplication _sessionClass],
	[GSWApplication run], 
	[GSWApplication addDynCreateClassName:superClassName:],
	[GSWApplication pageWithName:],
	[GSWApplication dynamicElementWithName:associations:template:]):
	Ditto.
	* GSWeb.framework/GSWComponent.m
	([GSWComponent appendToResponse:inContext:], [GSWComponent
	templateWithHTMLString:declarationString:languages:]): Ditto.
	* GSWeb.framework/GSWContext.m
	([GSWContext dealloc], [GSWContext setValidate:]): Ditto.
	* GSWeb.framework/GSWDebug.m
	(GSWLogC_, GSWLogDumpObjectFn): Ditto.
	* GSWeb.framework/GSWDefaultAdaptor.m
	([GSWDefaultAdaptor registerForEvents],
	[GSWDefaultAdaptor announceNewConnection:],
	[GSWDefaultAdaptor adaptorThreadExited:],
	[GSWDefaultAdaptor tryLock]): Ditto.
	* GSWeb.framework/GSWDefaultAdaptorThread.m
	([GSWDefaultAdaptorThread setPool:destroyLast:],
	[GSWDefaultAdaptorThread run:],
	[GSWDefaultAdaptorThread threadExited],
	[GSWDefaultAdaptorThread isExpired],
	[GSWDefaultAdaptorThread sendRetryLasterResponseToStream:],
	[GSWDefaultAdaptorThread
	sendConnectionRefusedResponseToStream:withMessage:]): Ditto.
	* GSWeb.framework/GSWDeployedBundle.m
	([GSWDeployedBundle initWithPath:], [GSWDeployedBundle dealloc],
	[GSWDeployedBundle lock], [GSWDeployedBundle unlock]): Ditto.
	* GSWeb.framework/GSWLifebeatThread.m
	([GSWLifebeatThread setPool:destroyLast:],
	[GSWLifebeatThread threadExited]): Ditto.
	* GSWeb.framework/GSWSession.m
	([GSWSession initWithCoder:],
	[GSWSession _releaseAutoreleasePool]): Ditto.

2004-02-16  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWUtils.h/m
	(IsStyle,IsNumberStyle, ExceptionRaise, ExceptionRaise0,
	ValidationExceptionRaise, ValidationExceptionRaise0,
	ExceptionByAddingUserInfoObjectFrameInfo,
	ExceptionByAddingUserInfoObjectFrameInfo0,
	ExceptionByAddingUserInfoFunctionFrameInfo,
	ExceptionByAddingUserInfoFunctionFrameInfo0, ): Reformat defines.
	(GSW_LOCK_LIMIT): New define.
	(ExceptionRaiseFn, ExceptionRaiseFn0, ValidationExceptionRaiseFn,
	ValidationExceptionRaiseFn0): Reformat declaration.
	(TmpLock, TmpTryLockBeforeDate, TmpLockBeforeDate, TmpUnlock):
	Remove.
	([NSLock isLocked]): Remove.
	([NSLock tmplock]): Ditto.
	([NSLock tmplockFromFunction:file:line:]): Ditto.
	([NSLock tmptryLock]): Ditto.
	([NSLock tmptryLockFromFunction:file:line:]): Ditto.
	([NSLock tmptryLockBeforeDate:]): Ditto.
	([NSLock tmptryLockBeforeDate:fromFunction:file:line:]): Ditto.
	([NSLock tmpunlock]): Ditto.
	([NSLock tmpunlockFromFunction:file:line:]): Ditto.
	([NSLock description]): Ditto.
	([NSRecursiveLock isLocked]): Ditto.
	([NSRecursiveLock tmplock]): Ditto.
	([NSRecursiveLock tmplockFromFunction:file:line:]): Ditto.
	([NSRecursiveLock tmptryLock]): Ditto.
	([NSRecursiveLock tmptryLockFromFunction:file:line:]): Ditto.
	([NSRecursiveLock tmptryLockBeforeDate:]): Ditto.
	([NSRecursiveLock tmptryLockBeforeDate:fromFunction:file:line:]):
	Ditto.
	([NSRecursiveLock tmpunlock]): Ditto.
	([NSRecursiveLock tmpunlockFromFunction:file:line:]): Ditto.
	(NSLockException, MessageForMutexLockError)
	(LoggedLock, LoggedLockBeforeDate, LoggedTryLock,
	LoggedTryLockBeforeDate, LoggedUnlock): New macros.
	(loggedLockBeforeDateFromFunctionInFileInLine,
	loggedUnlockFromFunctionInFileInLine): New logging lock
	functions.
	([NSThread description]): New Category.
	(volatileInternalDescription): New static function.
	(GSW_LOCK_LIMIT): New marco.
	* GSWeb.framework/GSWApplication.m
	([GSWApplication isRequestHandlingLocked]): Test lock instead of
	relying on obsolete lock categories.
	([GSWApplication lockRequestHandling]): Use new locking macros.
	([GSWApplication unlockRequestHandling]): Ditto.
	([GSWApplication lock]): Ditto.
	([GSWApplication unlock]): Ditto.
	* GSWeb.framework/GSWAssociation.m
	([GSWAssociation setClasse:forHandler:]): Ditto
	([GSWAssociation addLogHandlerClasse:]): Ditto.
	([GSWAssociation removeLogHandlerClasse:]): Ditto.
	([GSWAssociation logValue:forSet:]): Ditto.
	([GSWAssociation
	logSynchronizeForValue:inComponent:componentToParent:]): Ditto.
	* GSWeb.framework/GSWBundle.m
	([GSWBundle unlock]): Ditto.
	([GSWBundle lock]): Ditto.
	* GSWeb.framework/GSWDefaultAdaptor.m
	([GSWDefaultAdaptor tryLock]): Ditto.
	([GSWDefaultAdaptor unlock]): Ditto.
	* GSWeb.framework/GSWDeployedBundle.m
	([GSWDeployedBundle lock]): Ditto.
	([GSWDeployedBundle unlock]): Ditto.
	* GSWeb.framework/GSWResourceManager.m
	([GSWResourceManager unlock]): Ditto.
	([GSWResourceManager lock]): Ditto.
	* GSWeb.framework/GSWSessionStore.m
	([GSWSessionStore unlock]): Ditto.
	([GSWSessionStore tryLock]): Ditto.
	([GSWSessionStore lock]): Ditto.
	* GSWeb.framework/GSWSessionTimeOutManager.m
	([GSWSessionTimeOutManager tryLockBeforeTimeIntervalSinceNow:]):
	Ditto.
	([GSWSessionTimeOutManager lockBeforeTimeIntervalSinceNow]): Ditto.
	([GSWSessionTimeOutManager unlock]): Ditto.
	* GSWeb.framework/GSWStaticResourceRequestHandler.m
	([GSWStaticResourceRequestHandler handleRequest:]): Ditto.
	* GSWeb.framework/GSWStatisticsStore.m
	([GSWStatisticsStore unlock]): Ditto.
	([GSWStatisticsStore lock]): Ditto.
	* GSWeb.framework/NSObject+IVarAccess+PerformSel.m:
	([NSObject getIVarNamed]): Use GSW_LOCK_LIMIT macro.
	Reformat.
	([NSObject setIVarNamed:withValue:]): Ditto.

	* Makefile.postamble: Remove autom4te.cache on distclean.

2004-02-04   Manuel Guesdon <mguesdon@orange-concept.com>

	* GSWeb.framework/GSWTemplateParserXML.m: fix to avoid html and 
		body tag removing for XML (not XMLHTML) parsing.

2004-01-18  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWApplication.h
	([GSWApplication _handleException:inContext:]): Remove obsolete
	declaration.
	* GSWeb.framework/GSWApplication.m: Added GSWAppClassDummy class
	declarations to avoid compiler warnings genrerated for messages
	sent to 'Class'.
	([NSDistantObject setDebug:]): Added declaration to avoid compiler
	warning.
	([GSWApplication init]): Use GSWAppClassDummy to avoid compiler
	warnings.
	([GSWApplication _argsDictionaryWithUserDefaults:]): Ditto.
	([GSWApplication _monitorApplicationName]): Ditto.
	([GSWApplication _connectionDidDie:]): Translated comment to allow
	ascii encoding.
	([GSWApplication _remoteMonitor]): Test whether NSDistantObject
	responds to setDebug: before dispatching the method.  Use
	performSelector: to send undeclared targetForProxy method.
	([GSWApplication monitoringEnabled]): Forward isMonitorEnabled to
	class.
	* GSWeb.framework/GSWConfig.h: Turn GSW/WOLifebeatEnabled off by
	default.

	* GSWeb.framework/GSWResourceManager.m
	([GSWResourceManager setURLValuedElementData:]): Test contents of
	data before setting it.
	
	* GSWeb.framework/GSWApplication.m
	([GSWApplication lockedComponentDefinitionWithName:languages:]):
	Add handling for components without wrappers.

	* GSWeb.framework/GSWGenericElement.h: Corrected names of instance
	variable and method.
	* GSWeb.framework/GSWGenericElement.m:
	([GSWGenericElement initWithName:associations:template:]):
	Implemented.
	([GSWGenericElement dealloc]): Ditto.
	([GSWGenericElement description]): Ditto.
	([GSWGenericElement appendToResponse:inContext:]): Ditto.
	([GSWGenericElement invokeActionForRequest:inContext:]): Ditto.
	([GSWGenericElement takeValuesFromRequest:inContext:]): Ditto.
	([GSWGenericElement _elementNameAppendToResponse:inContext:]):
	Ditto.
	([GSWGenericElement _appendTagWithName:toResponse:inContext:]):
	Ditto.
	([GSWGenericElement _appendOtherAttributesToResponse:inContext:]):
	Ditto.
	([GSWGenericElement _elementNameInContext:]): Ditto.
	* GSWeb.framework/GSWConstants.h/m: Added Tags for
	GSWGenericElement.

	* GSWeb.framework/GSWTemplateParser.m ([GSWTemplateParser
	templateWithHTMLString:declarationString:languages:]): Added
	preliminary implementation and commented correct implement.

	* GSWeb.framework/GSWWOCompatibility.h: Fix typo.

	* GSWeb.framework/GSWURLValuedElementData.m
	([GSWURLValuedElementData initWithData:mimeType:key:]): Call
	stringUniqueIdWithLength: with minimal allowed length.


2004-01-13  David Ayers  <d.ayers@inode.at>

	* config/pathxml.m4: Whitespace fixes for coding standards.
	* configure.ac: Ditto.
	* configure: Regenerate.

	* .cvsignore: New file.
	* GSWeb.framework/.cvsignore: Ditto.
	* GSWExtensions.framework/.cvsignore: Ditto.
	* GSWExtensions.framework/French.lproj/.cvsignore: Ditto.
	* GSWExtensionsGSW.framework/.cvsignore: Ditto.

	* GSWeb.framework/GSWApplication.h/m
	(-/+[GSWApplication isDirectConnectEnabled])
	(-/+[GSWApplication setDirectConnectEnabled:]): Make class
	methods.
	([GSWApplication registerRequestHandlers]): Call class method.
	([GSWApplication refuseNewSessions:]): Ditto.
	
2004-01-12  David Ayers  <d.ayers@inode.at>

	* gsweb.make.in: Change 'WO' framework names to WobObjects,
	WOExtensions and WOExtensionsGSW.
	* GSWeb.framework/GNUmakefile: Ditto.
	* GSWeb.framework/Makefile.postamble. Ditto.
	* GSWExtensions.framework/Makefile.preamble: Ditto.
	* GSWExtensionsGSW.framework/Makefile.preamble: Ditto.
	* GSWExtensionsGSW.framework/GNUmakefile: Ditto.
	* GSWExtensions.framework/GNUmakefile: Ditto.  Move top level
	GSWSessionRestorationErrorPage.gswd into
	GSWSessionRestorationErrorPage.gswc.
	* GSWExtensions.framework/GSWSessionRestorationErrorPage.gswd
	* GSWExtensions.framework/GSWSessionRestorationErrorPage.gswc/
	  GSWSessionRestorationErrorPage.gswd
	Moved contents into component.
	* GSWExtensions.framework/Makefile.postamble: Install components
	for 'WO' names correctly.
	* GSWExtensionsGSW.framework/Makefile.postamble: Ditto.

	* GSWExtensions.framework/French.lproj/
	  GSWSessionCreationErrorPage.gswc/GSWSessionCreationErrorPage.gswd:
	Use correct #include syntax.

	* GSWeb.framework/GSWWOCompatibility.h: Add WOExceptionPage.
	* GSWeb.framework/GSWApplication.m
	([GSWApplication handleException:inContext:]): Remove temporary
	hack to load 'GSW' exception page for 'WO' names.
	* GSWExtensions.framework/GSWExceptionPage.m
	([GSWExceptionPage setException:]): Remove excess exception log.

2004-01-09   Manuel Guesdon <mguesdon@orange-concept.com>

	* GSWExtensionsGSW.framework/GSWLogin.m:
		o removed date stuff
	* GSWExtensionsGSW.framework/GSWLogin.h:
		o removed date stuff
		o cleaned
	* GSWeb.framework/GSWMultiKeyDictionary.h/.m:
		o rewritten to avoid creation of temporary arrays,...
	* GSWeb.framework/GSWConstants.h/.m:
		o added urlPrefix__Key
	* GSWeb.framework/GSWContext.h/.m:
		manage urlPrefix
		o added -urlWithURLPrefix:requestHandlerKey:
			path:queryString:isSecure:port:
		o added -urlWithURLPrefix:RequestHandlerKey:
			path:queryString:
		o added -completeURLWithURLPrefix:requestHandlerKey:
        		path:queryString:isSecure:port:
		o added -directActionURLForActionNamed:urlPrefix:
			queryDictionary:
		o added -directActionURLForActionNamed:urlPrefix:
			queryDictionary:pathQueryDictionary:
		o added -directActionURLForActionNamed:urlPrefix:
			queryDictionary:isSecure:
		o added -directActionURLForActionNamed:urlPrefix:
			queryDictionary:pathQueryDictionary:isSecure:
		o added -_directActionURLForActionNamed:urlPrefix:
			queryDictionary:url:
		o added -_directActionURLForActionNamed:urlPrefix:
			queryDictionary:pathQueryDictionary:url:
	* GSWeb.framework/GSWDisplayGroup.m:
		o fix in batchCount to use _displayedObjects instead of 
			_allObjects
	* GSWeb.framework/GSWDeployedBundle.m:
		o modified use of GSWMultiKeyDictionary to avoid creation of 
			temporary arrays
	* GSWeb.framework/GSWDynamicURLString.h:
		o inherit from NSMutableString
	* GSWeb.framework/GSWDynamicURLString.m:
		o added primitives
	* GSWeb.framework/GSWElementIDString.m:
		o added primitive -setString
		o changes for MOSX compatibility
	* GSWeb.framework/GSWHyperlink.m:
		o added -_appendContentStringToResponse:inContext:
		o added -_appendChildrenToResponse:inContext:
		o change in -appendToResponse:inContext: to call _appendChildrenToResponse:inContext:
		o added _urlPrefix
	* GSWeb.framework/GSWHyperlink.h:
		o added _urlPrefix
	* GSWeb.framework/GSWRecording.m:
		o fix in -_wildcardedResponse:
	* GSWeb.framework/GSWRequest.h/.m:
		o added -_urlWithURLPrefix:requestHandlerKey:path:queryString:

2004-01-07  David Ayers  <d.ayers@inode.at>

	* GSWExtensions.framework/Makefile.preamble: Correct
	ADDITIONAL_INCLUDE_DIRS and ADDITIONAL_LIB_DIRS.
	* Testing/DynamicElements/Makefile.preamble: Ditto.
	* GSWExtensionsGSW.framework/Makefile.preamble: Ditto. Also
	remove comments.
	* GSWeb.framework/Makefile.preamble.in:  Ditto. Also correct
	ADDITIONAL_CPPFLAGS

	* Testing/DynamicElements/GNUmakefile: Remove unused variables.
	* GSWeb.framework/GNUmakefile: Ditto.

	* GSWExtensions.framework/Makefile.postamble: Removed unused
	targets 'regenerate' and 'copy-dist'.
	* GSWExtensionsGSW.framework/Makefile.postamble: Ditto.
	* Testing/DynamicElements/Makefile.postamble: Ditto.
	* GSWeb.framework/Makefile.postamble: Ditto.  Add rule for
	GNUSTEP_TARGET_DIR dependent 'config.h'.

	* Testing/DynamicElements/Resources/Info-DynamicElements.plist:
	Correct spelling.

	* Testing/DynamicElements/DynamicElements.m: Replace #import
	with #include.
	* Testing/DynamicElements/DynamicElements_main.m: Ditto.
	* Testing/DynamicElements/Main.h: Ditto.
	* Testing/DynamicElements/Main.m: Ditto.
	* Examples/hello/Hello.m: Ditto.
	* Examples/hello/HelloPage.h: Ditto.
	* Examples/hello/HelloPage.m: Ditto.
	* Examples/hello/Hello_main.m: Ditto.
	* Examples/hello/Main.h: Ditto.
	* Examples/hello/Main.m: Ditto.
	* Examples/hello/Resources/Info-Hello.plist: Reformatted.

	* GSWeb.framework/GSWDebug.h/m (GSWLogAssertGoodFn): Adjust
	prototype to use id instead of NSObject * and dereference via
	class_pointer instead of isa.
	([NSObject isa]): Remove obsolete category.

	* GSWeb.framework/GSWPageDefLexer.h: Use "GSWeb.h" instead of
	<GSWeb/GSWeb.h> for include.
	* GSWeb.framework/GSWPageDefLexer.m: Ditto.
	* GSWeb.framework/GSWPageDefParser.h: Ditto.
	* GSWeb.framework/GSWPageDefParser.m: Ditto.
	* GSWeb.framework/GSWPageDefParserTokenTypes.h: Ditto.
	* GSWeb.framework/PageDef.g: Ditto.
	* GSWeb.framework/html.g: Ditto.
	* GSWeb.framework/htmltag.g: Ditto.
	
	* GSWeb.framework/GSWWOCompatibility.m: Remove file.

2004-01-02   David Wetzel <dave@turbocat.de>
       * GSWeb.framework: GSWString.m
         do a stringValue on numbers to avoid an exception later.

2003-12-25   David Wetzel <dave@turbocat.de>
        * GSWeb.framework: GSWApplication.m GSWConstants.h GSWConstants.m
          Added GSWClassName_ResourceManager, GSWClassName_StatisticsStore,
          GSWClassName_ServerSessionStore
          Joined broken lines with string constants in GSWApplication.m

2003-11-26   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/GSWRecording.m:
		o fix in -_wildcardedResponse:
	* GSWAdaptors/common/GSWUtil.h/.c:
		o implement our own function for strndup if not compiled with __USE_GNU.
			in other parts, we must use gsw_strndup instead of strndup.
	* GSWAdaptors/Apache/mod_gsweb.c:
		o use gsw_strndup instead of strndup
	* GSWAdaptors/common/GSWHTTPHeaders.c:
		o fixed GSWHeaderTranslationTableItemsNb value to exclude null end items.
			(bug reported by Philip Moetteli <Philip.Moetteli@tele2.ch>)
			
2003-11-25   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/GSWUtils.m:
		o quick fixes for NeXT_Foundation from Philip Moetteli <Philip.Moetteli@tele2.ch>

2003-11-25   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/GSWeb.h:
		o included GSWActionURL.h
	* GSWExtensions.framework/GSWKeyValueConditional.*:
		o added (come from Dave Lopper)
	* GSWExtensions.framework/GNUmakefile
		o added GSWKeyValueConditional.*
	* GSWeb.framework/GNUmakefile
		o added GSWActionURL.h and GSWActionURL.m
	* GSWeb.framework/GSWActionURL.m:
		o set to notImplemented.
	* GSWExtensions.framework/Makefile.preamble:
		o fix for debug/non debug libraries
	* GSWExtensionsGSW.framework/Makefile.preamble:
		o fix for debug/non debug libraries

2003-11-25   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/GSWInputStreamData.m/.h:
		o added

2003-11-24   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/GSWResourceManager.m/.h:
		o added -cachedBundleForFrameworkNamed:
		o fix in -lockedCachedBundleForFrameworkNamed: to return AppBundle if none is found
		o changes in -lockedCachedURLForResourceNamed:inFramework:languages:
			to call DeployedBundle -urlForResourceNamed:forLanguages:
		o changes in -lockedPathForResourceNamed:inFramework:languages:
			to call DeployedBundle -absolutePathResourceNamed:forLanguages:
	* GSWeb.framework/GSWDeployedBundle.m/.h:
		o added -urlForResourceNamed:forLanguages:
		o added ivars: _wrapperName,_projectName, _urlsCache,_absolutePathesCache;
		o build _wrapperName in init (will avoid recreation each call of -wrapperName)
		o build _projectName in init (will avoid recreation each call of -projectName)
		o rename methis ...forLangue.. to ...language to be coherent
	* GSWeb.framework/GSWProjectBundle.m/.h:
		o removed projectName (now inherit from GSWDeployedBundle)
	* GSWeb.framework/GSWTemplateParserXML.m:
		o in -createElementsFromNode: don't remove name property for non gsweb tags
	* GSWeb.framework/GSWTextField.h/.m:
		o fix in -takeValuesFromRequest:inContext: to avoid ecxception where 
			value is empty and formatter is date formatter
	* GSWeb.framework/GSWRequest.h/.m:
		o added -stringFormValueForKey
		o added -numberFormValueForKey:withFormatter:
		o added -dateFormValueForKey:withFormatter:
		o inherit from GSWMessage.
	* GSWeb.framework/GSWMessage.h/.m:
		o added
	* GSWeb.framework/GSWRadioButtonList.h/.m:
		o handle isDisplayStringBefore binding
	* GSWeb.framework/GSWCheckBoxList.h/.m:
		o handle isDisplayStringBefore binding
	* GSWeb.framework/GSWBundle.m:
		o replaced GDL2 #if by HAVE_GDL2 #if
	* GSWeb.framework/GSWComponent.m:
		o replaced GDL2 #if by HAVE_GDL2 #if
		o improved some traces
	* GSWeb.framework/NSObject+IVarAccess+PerformSel.m:
		o replaced GDL2 #if by HAVE_GDL2 #if
	* GSWeb.framework/NSString+Trimming.m:
		o replaced GDL2 #if by HAVE_GDL2 #if
	* GSWAdaptors/common/GSWApp.h
		o added fSwitchToKnownInstance in GSWApp
	* GSWAdaptors/common/GSWConfig.c:
		o handle switchToKnownInstance parameter
	* GSWAdaptors/common/GSWLoadBalancing.c:
		o switch to known app instance when requesting unknown instance
	* GSWeb.framework/GSWProcFS.m:
		o better format byte size data
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWUtils.[hm]:
		o fixes in NSLog category
		o added NSMutableData -replaceOccurrencesOfData:withData:range: 
		o added NSData -rangeOfData:range:
		o added NSData -base64Representation
		o added NSData -initWithBase64Representation:
	* GSWeb.framework/GSWSession.h:	
		o added -validateStatisticsLogin:withPassword:
		o added -_allowedToViewEvents
		o added -_allowToViewEvents
		o added -_setAllowedToViewEvents:
		o added -validateEventsLogin:withPassword:		
		o added -_setBirthDate:
		o added -addLanguage:
		o added -firstLanguage
	* GSWeb.framework/GSWSession.m:	
		o replaced GDL2 #if by HAVE_GDL2 #if
		o modified -setTimeOut: to handle null timeOut (no time out)
		o added -_setAllowedToViewStatistics:
		o modified setDistributionEnabled: to call GSWContext 
			-_synchronizeForDistribution
		o modified setStoresIDsInCookies: to call GSWContext 
			-_synchronizeForDistribution
		o call -takeValuesFromRequest:inContext: on pageElement 
			instead of pageComponent in -takeValuesFromRequest:inContext:
		o call -invokeActionForRequest:inContext: on pageElement 
			instead of pageComponent in -invokeActionForRequest:inContext:
		o call -appendToResponse:inContext: on pageElement 
			instead of pageComponent in -appendToResponse:inContext:
		o finalized -appendToResponse:inContext: implementation	
		o implemented -statistics
		o implemented -_formattedStatistics
		o lock editing context in -awakeInContext:
		o unlock editing context in -sleepInContext:		
		o in set undo limit and lock editingContext in  -defaultEditingContext
		o lock editing context and disallow setting context when one 
			already exists in -setDefaultEditingContext:
		o added -validateStatisticsLogin:withPassword:
		o added -_allowedToViewEvents
		o added -_allowToViewEvents
		o added -_setAllowedToViewEvents:
		o added -validateEventsLogin:withPassword:		
		o added -addLanguage:
		o added -firstLanguage
	* GSWeb/GSWApplication.h:
		o added +defaultRequestHandlerClassName
		o added +defaultRequestHandlerClass
		o added _lastAccessDate
	* GSWeb/GSWApplication.m:
		o replaced GDL2 #if by HAVE_GDL2 #if
		o implemented -number
		o implemented -_directConnectURL
		o implemented -_webserverConnectURL
		o improved -_initializeSessionInContext:
		o finalized -_discountTerminatedSession implementation
		o added new handlers in -registerRequestHandlers
		o added +workerThreadCountMin;
		o added +setWorkerThreadCountMin:
		o added +workerThreadCountMax
		o added +setWorkerThreadCountMax:
		o added +isLifebeatEnabled
		o added +setLifebeatEnabled:flag
		o added +lifebeatDestinationPort;
		o added +setLifebeatDestinationPort:
		o added +lifebeatInterval
		o added +setLifebeatInterval:
		o added +streamActionRequestHandlerKey;
		o added +setStreamActionRequestHandlerKey:
		o added +sessionStoreClassName
		o added +setSessionStoreClassName:
		o added +setDefaultUndoStackLimit:
		o added +defaultUndoStackLimit;
		o added +_lockDefaultEditingContext;
		o added +_setLockDefaultEditingContext:
		o added +outputPath
		o added +setOutputPath:
		o implemented -monitoringEnabled
		o implemented -isTerminating 
		o implemented -terminate
		o modified -setTimeOut: to handle null timeOut (no time out)
			and call -_scheduleApplicationTimerForTimeInterval:
		o implemented -_scheduleApplicationTimerForTimeInterval:
		o finalized -appendToResponse:inContext: implementation
		o implemented -_terminateFromMonitor
		o implemented _newLocationForRequest:
		o removed -_handleException:inContext:
		o added -_handleErrorWithPageNamed:exception:inContext:
		o added +recordingClassName
		o added +setRecordingClassName:
		o +saveResponsesPath is obsolete; use +recordingPath
		o +setSaveResponsesPath is obsolete; use +setRecordingPath
		o added +defaultRequestHandlerClassName
		o added +defaultRequestHandlerClass
		o added _lastAccessDate
	* GSWStaticResourceRequestHandler.h/.m:
		o added
	* GSWeb/GSWResponse.h/.m:
		o added @interface GSWResponse (Stream)
		o added -setContentStreamFileHandle:bufferSize:length:
		o added _contentStreamFileHandle
		o added _contentStreamBufferSize;
		o added _contentStreamBufferLength;
	* GSWeb/GSWDefaultAdaptor.h/.m:
		o added -workerThreadCountMin;
		o added -setWorkerThreadCountMin:
		o added -workerThreadCountMax
		o added -setWorkerThreadCountMax:
	* GSWeb/GSWStatisticsStore.h/.m:
		o changed definition of +formatDescription:forResponse:inContext:
		o implemented +formatDescription:forResponse:inContext:
		o change types from double to NSTimeInterval
		o implemented missing methods
	* GSWeb/GSWConstants.h/.m:
		o added GSWHTTPHeader_RecordingSessionID, 
			GSWHTTPHeader_RecordingIDsURL,
			GSWHTTPHeader_RecordingIDsCookie, 
			GSWHTTPHeader_RecordingApplicationNumber
		o added GSWOPT_WorkerThreadCountMin,
			GSWOPT_WorkerThreadCountMax
		o added GSWOPT_OutputPath
		o added GSWOPT_LifebeatEnabled
		o added GSWOPT_LifebeatDestinationPort
		o added GSWOPT_LifebeatInterval
		o added GSWOPT_DefaultUndoStackLimit
		o added GSWOPT_LockDefaultEditingContext
		o added isDisplayStringBefore__Key
	* GSWeb/GSWLifebeatThread.h/.m:
		o added
	* GSWeb/GSWActionRequestHandler.h/.m:
		o added 
	* GSWeb/GSWDirectAction.h/.m
		o added GSWAction as superclass of GSWDirectAction
	* GSWeb/GSWAction.h/.m:
		o added 
	* GSWeb/GSWDirectActionRequestHandler.h/.m
		o added +handlerWithDefaultActionClassName:defaultActionName:displayExceptionPages:
		o adedd _displayExceptionPages
		o added GSWActionRequestHandler as superclass of GSWDirectActionRequestHandler
		o moved some code in GSWActionRequestHandler
	* GSWeb/GSWDisplayGroup.m:
		o replaced GDL2 #if by HAVE_GDL2 #if
		o fix in -objectsAtIndexes:
		o added _auxiliaryQueryQualifier
			used when qualifying dataSource (added to query qualifiers)
		o added _queryNotMatch to enable not clause
	* GSWeb/GSWPageDefLexer.h:
		o regenerated
	* GSWeb/GSWPageDefParserTokenTypes.txt:
		o regenerated
	* GSWeb/GSWPageDefParserTokenTypes.h:
		o regenerated
	* GSWeb/GSWPageDefParser.m:
		o regenerated
	* GSWeb/GSWPageDefParser.h:
		o regenerated
	* GSWeb/GSWPageDefLexer.m:
		o regenerated
	* GSWeb/PageDef.g:
		o modified to handle quotes in binding names (for GSWGenericContainer)
	* GSWeb.framework/GSWRecording.m/.h:
		o added
	* GSWeb.framework/GSWDefaultAdaptorThread.h/.m:
		o remove response saving (now use recording)
	* GSWeb.framework/GSWHTMLStaticElement.m:
		o appendContentString: instead of appendContentData:
	* GSWeb.framework/GSWHTMLStaticGroup.m:
		o appendContentString: instead of appendContentData:
	* GSWeb.framework/GSWText.m:
		o fix in takeValuesFromRequest:inContext: 
			when control was diasbled, previous value was lost.
	* GSWExtensions.framework/GSWCollapsibleComponentContent.gswc/GSWCollapsibleComponentContent.html:
		o added Anchor
	* GSWExtensions.framework/GSWCollapsibleComponentContent.gswc/GSWCollapsibleComponentContent.gswd:
		o added Anchor
	* GSWExtensions.framework/GSWCollapsibleComponentContent.m:
		o added Anchor
	* GSWeb.framework/GNUmakefile:
		o added GSWLifebeatThread.h/.m
		o added GSWStaticResourceRequestHandler.h/.m
	* GSWeb.framework/GSWForm.h/.m:
		o added _otherPathQueryAssociations
	* GSWeb.framework/GSWHyperlink.h/.m:
		o added _otherPathQueryAssociations
	* GSWeb.framework/GSWPopUpButton.m:
		o logs
	* GSWeb.framework/Resources/languages.plist:
		o added languages
	* GSWeb.framework/GSWeb.h:
		o added classes and includes
	* GSWeb.framework/GSWText.h:
		o removed -dealloc
	* GSWeb.framework/GSWSessionTimeOutManager.m:
		o logs
		o exception handlers
	* GSWeb.framework/GSWSessionTimeOutManager.h:
		o added -tryLockBeforeTimeIntervalSinceNow:
		o added -lockBeforeTimeIntervalSinceNow:
	* GSWeb.framework/GSWSessionStore.m
		o use NSTimeIntervalSleep instead of usleep
	* GSWeb.framework/GSWResourceRequestHandler.m
		o logs
	* GSWeb.framework/GSWHTMLURLValuedElement.m/.h:
		o added _otherPathQueryAssociations
	* GSWeb.framework/GSWHTMLDynamicElement.m/.h:
		o handle otherPathQueryAssociations
	* GSWeb.framework/GSWElement.m:
		o logs
	* GSWeb.framework/GSWDynamicURLString.m:
		o coder changes
	* GSWeb.framework/GSWDebug.h:
		o logs
	* GSWeb.framework/GSWContext.h/.m:
		o handle isRefusingThisRequest
		o handle pathQuery
		o fix languages stuff
		o fix _synchronizeForDistribution
	* GSWeb.framework/GSWConfig.h:
		o removed GSWOPTVALUE_SaveResponsesPath
		o added GSWOPTVALUE_LifebeatEnabled
		o added GSWOPTVALUE_LifebeatDestinationHost
		o added GSWOPTVALUE_LifebeatDestinationPort
		o added GSWOPTVALUE_LifebeatInterval
		o added GSWOPTVALUE_DefaultUndoStackLimit
		o added GSWOPTVALUE_LockDefaultEditingContext
		o added GSWOPTVALUE_WorkerThreadCountMin
		o added GSWOPTVALUE_WorkerThreadCountMax
		o added GSWOPTVALUE_AcceptedContentEncoding
	* GSWeb.framework/GSWComponentReference.m:
		o logs
	* GSWeb.framework/GSWBrowser.m:
		o logs
	* GSWeb.framework/GSWAssociation.m:
		o logs
	* GSWExtensions.framework/GSWExceptionPage.m:
		o logs
	* GSWExtensionsGSW.framework/GSWLogin.m:
		o removed date stuff
	* GSWExtensionsGSW.framework/GSWLogin.gswc/GSWLogin.html:
		o removed date stuff
	* GSWExtensionsGSW.framework/GSWLogin.gswc/GSWLogin.gswd:
		o removed date stuff
	* config.mak.in:
		o added GSWDEBUG=no
	
2003-11-09  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GNUmakefile
	* GSWExtensions.framework/GNUmakefile
	* GSWExtensionsGSW.framework/GNUmakefile: Update for
	GNUSTEP_BUILD_DIR changes in -make.

2003-10-22  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWAssociation.m: Include limits.h and float.h
	in favor of deprecated values.h to be more portable.
	* GSWeb.framework/GSWDefaultAdaptor.m: Do not include
	GNUstepBase/GSFileHandle.h unnecessarily.  
	* GSWeb.framework/GSWDirectAction.h: Remove duplicate declaration
	of -existingSession.
	* GSWeb.framework/GSWProcFS.h: Remove commented
	NSTimeIntervalFromTimeVal declaration.
	* GSWeb.framework/GSWStatisticsStore.m: Do not include sys/time.h
	unnecessarily.  
	* GSWeb.framework/GSWUtils.h: Include sys/time.h unconditionally.
	* GSWeb.framework/GSWeb.h: Do not include private
	Foundation/NSConcreteNumber.h header.

2003-10-21  David Wetzel <dave@turbocat.de>
        * Include changes for OS X as suggested by Philip Moetteli
          GSWeb.framework/GSWAssociation.m
          GSWeb.framework/GSWDefaultAdaptor.m
          GSWeb.framework/GSWStatisticsStore.m
          GSWeb.framework/GSWeb.h

2003-08-25  David Ayers  <d.ayers@inode.at>

	* *.h/m: Updated to new header layout.
	
2003-07-11  David Ayers  <d.ayers@inode.at>

	* INSTALL: Update prerequisits and installation guidelines.
	* GSWeb.framework/GSWApplication.m: Fix compile with debug=no.
	* GSWeb.framework/GSWeb.h: Include GNUstep.h if GNUSTEP is not
	defined for OS X.
	* GSWExtensions.framework/GSWExtWOCompatibility.h: Ditto.
	* GSWExtensionsGSW.framework/GSWExtGSWWOCompatibility.h: Ditto.
	* Examples/hello/*.m: Ditto.

2003-06-26   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/GSWDisplayGroup.h:
		o include EODeprecated.h instead of EOUndoManager.h

2003-06-25   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWAdaptors/common/GSWHTTPHeaders.h/.m:
		o added g_szHeader_GSWeb_ApplicationName
	* GSWAdaptors/Apache/mod_gsweb.c:
		o added application name header
	* GSWeb.framework/GSWUtils.m:
		o log every 10 lock tries
	* GSWeb.framework/GSWDefaultAdaptorThread.m:
		o log remote address
	* GSWeb.framework/GSWConstants.h/.m: 
		o added GSWClassName_DefaultContext
		o added GSWOPT_Context
		o added GSWHTTPHeader_ApplicationName
	* GSWeb.framework/GSWApplication.h/.m:
		o added -setContextClassName:
		o added -contextClassName;
		o added -createContextForRequest:
		o information on component search duration in debug mode
	* GSWeb.framework/GSWComponentRequestHandler.m:
		o call application -createContextForRequest: instead of directGSWContext creation
		o use session -_contextIDMatchingIDsInContext
		o use matchingContextID to restore already generated page
		o fix in -lockedHandleRequest: to pur requestContextID in context
	* GSWeb.framework/GSWDirectAction.m:
		o call application -createContextForRequest: instead of directGSWContext creation
	* GSWeb.framework/GSWContext.m:
		o fix in +contextWithRequest: to use [self alloc]
	* GSWeb.framework/GSWDeployedBundle.m:
		o fix in lockedCachedRelativePathForResourceNamed:inDirectory:forLanguage:
			to really use cache
	* GSWeb.framework/GSWDisplayGroup.h:
		o added flag isCustomDataSourceClass
		o added flag isInitialized
	* GSWeb.framework/GSWDynamicElement.h:
		o removed -definitionName and -setDefinitionName:
	* GSWeb.framework/GSWDisplayGroup.m:
		o added queryKeyValueQualifierClassName (to specify a specific key value qualifier for a key)
		o finished -finishInitialization implementation
		o finished -_setUpForNewDataSource implementation
		o added -_isCustomDataSourceClass:
		o rewritten part of -updateDisplayedObjects
		o rewritten part of -setObjectArray:
		o rewriten -setSelectedObjects:
		o rewritten -setSelectionIndexes:
		o rewritten -selectObject:
		o rewritten -selectNext
		o rewritten -selectPrevious
		o rewritten -insertObject:atIndex:
		o rewritten -deleteSelection
		o rewritten -deleteObjectAtIndex:
		o rewritten -_deleteObjectsAtIndexes:
		o rewritten -displayedObjects
		o rewritten -fetch
		o rewritten -displayNextBatch
		o rewritten -displayPreviousBatch;
		o fixed -setNumberOfObjectsPerBatch:
		o implemented -objectsChangedInEditingContext:
		o replaced -_changedInEditingContext: by -objectsChangedInEditingContext:
		o replaced -_changedInEditingContext: by -objectsInvalidatedInEditingContext:
		o implemented -_notifySelectionChanged
		o implemented -_notifyRowChanged:
		o implemented -_lastObserverNotified:
		o implemented -_beginObserverNotification:
		o implemented -_selectionIndex
		o implemented -_deleteObject:
	* GSWeb.framework/GSWSession.m:
		o implemented -_contextIDMatchingIDsInContext:
		o implemented _rearrangeContextArrayStackForContextID:
		o rewritten -_contextArrayForContextID:stackIndex:contextArrayIndex:
		o rewritten parts of -_savePage:forChange:
	* GSWeb.framework/GSWSessionStore.m/.h:
		o partial rewriting of checkin/checkout code
	* GSWeb.framework/GSWSessionServerStore.m/.h:
		o changes for checkin/checkout code rewriting
	* GSWeb.framework/GSWSessionTimeOutManager.m/.h:
		o changes for checkin/checkout code rewriting
		o set timer interval minimum to 5s instead of 1s
	* GSWeb.framework/GSWSessionTimeOut.m/.h:
		o changes for checkin/checkout code rewriting
	* GSWeb.framework/GSWTransactionRecord.h/.m:
		o added +transactionRecordWithResponsePage:context:
		o replace signature by contextID,senderID and formValues
	* GSWeb.framework/GSWClientSideScript.m:
		o removed warning

2003-06-01  David Ayers  <d.ayers@inode.at>

	* gsweb.make.in
	* Examples/hello/GNUmakefile
	* Examples/hello/Makefile.preamble
	* Testing/DynamicElements/GNUmakefile
	* Testing/DynamicElements/Makefile.preamble: Rely on
	Auxiliary/gdl2.make and Auxiliary/gsweb.make to set compiler and
	linker flags.
	* Examples/hello/config.mak: Removed.

2003-06-01  Matt Rice  <ratmice@yahoo.com>

	* Testing/DynamicElements/GNUMakefile: Corrected inclusion path of
	config.make.

2003-05-29  David Ayers  <d.ayers@inode.at>

	* GSWeb.framework/GSWUtils.m ([NSUserDefaults -description]):
	Remove reference to instance variable, that has been removed from
	-base.

2003-05-14   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/GSWRequest.h/.m:
		o added ivar _browserAcceptedEncodings
		o added -browserAcceptedEncodings
		o modified browserLanguages to use quality indicator
	* GSWeb.framework/GSWConstants.h/.m:
		o added GSWHTTPHeader_AcceptEncoding
	* GSWeb.framework/GSWResponse.h/.m:
		o added ivar _acceptedEncodings
		o added -acceptedEncodings
		o added -setAcceptedEncodings:
	* GSWeb.framework/GSWComponentRequestHandler.m:
		o set request  browserAcceptedEncodings to response
	* GSWeb.framework/GSWComponent.m:
		o set request  browserAcceptedEncodings to response
	* GSWeb.framework/NSData+Compress.h/.m:
		o added	
	* config.h.in
		o added HAVE_ZLIB

2003-05-14   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/GSWResourceManager.m:
		o added warning in ISOLanguagesFromGSLanguages
		o asserts
	* GSWeb.framework/GSWApplication.m:
		o assert adaptor name length>0 in 
		   -adaptorWithName:arguments: and in -_initAdaptorsWithUserDefaults:
			
2003-04-19   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWAdaptors/Apache/mod_gsweb.c:
		o added debug logs
	* GSWAdaptors/common/GSWConfig.c:
		o added debug logs, removed duplicate 
			pszParent string build
	* GSWAdaptors/common/GSWHTTPRequest.c:
		o logs

2003-04-09   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWAdaptors/common/GSWUtils.c:
		o prefix logs with GSWeb[pid]
	* GSWAdaptors/common/GSWAppRequest.c:
		o improved logs
	* GSWApp.c/.h:
		o add instance handled request count and no response count
	* GSWConfig.c:
		o remove "GSWeb:" prefix in logs
		o initialize 
	* GSWApp.h:
		o renamed instance index
	* GSWLoadBalancing.c:
		o logs
	
2003-04-09   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/GSWSessionTimeOut.m:
		o fix in -description
	* GSWeb.framework/GSWApplication.m:
		o build currentRunLop before calling -run
		o log allFrameworks when a component is not found
	* GSWeb.framework/GSWHyperlink.m:
		o better handling of isSecure (regarding current request secure state)
	* GSWExtensions.framework/GSWSessionRestorationErrorPage.gswd:
		o use "" pageName so application may choose the main page
	* GSWExtensions.framework/GSWPageRestorationErrorPage.gswc/GSWPageRestorationErrorPage.gswd:
		o use "" pageName so application may choose the main page
	* GSWeb.framework/GSWConstants.m/.h:
		o added GSWHTTPHeader_Protocol, GSWHTTPHeader_ProtocolNum, 
			GSWHTTPHeader_RequestScheme
	* GSWeb.framework/GSWContext.m/.h:
		o fix in -_synchronizeForDistribution
		o try to avoid complete URL when we can use relative one
	* GSWeb.framework/GSWRequest.m:
		o fix to retrieve protocol & port from adaptor headers
	* GSWeb.framework/GSWSession.m:
		o fix in -appendCookieToResponse:
	* GSAdaptors/Apache/mod_gsweb.c:
		o fix for server port header
	
2003-04-05   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWAdaptors/common/config.h:
		o change minor version
	* GSWAdaptors/common/GSWUtil.h/.c:
		o added FormatAPRTime
	* GSWAdaptors/common/GSWHTTPResponse.c:
		o added time headers in response (apache2 only)
	* GSWAdaptors/common/GSWHTTPRequest.c:
		o moved GSWebHeaderForHTTPHeader to GSWHTTPHeaders.c
		o add application headers (defined in gsweb.conf)
	* GSWAdaptors/common/GSWHTTPHeaders.c:
		o moved GSWebHeaderForHTTPHeader from GSWHTTPRequest.c
		o sort GSWHeaderTranslationTable
	* GSWAdaptors/Apache/mod_gsweb.c:
		o comments
		o added time headers in response (apache2 only)
		o fixed APACHE2/Apache2 ifdef
	* GSWAdaptors/common/GSWConfig.c/.h:
		o added addTimeHeaders parameter
	
2003-04-04   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWAdaptors/Apache/GNUmakefile-Apache2x:
		o fix to find apxs2
	* GSWAdaptors/comon/GSWHTTPHeaders.h/.m:
		o added g_szHeader_GSWeb_Protocol, g_szHeader_GSWeb_ProtocolNum,
			g_szServerInfo_Protocol, g_szServerInfo_ProtocolNum,
	  		g_szServerInfo_RequestScheme, g_szHeader_GSWeb_RequestScheme
	* GSWAdaptors/Apache/mod_gsweb:
		o added module version with apache2
		o 1.x/2.x compatibility macro
		o fix header port
		o added protocol, protocol num and request scheme information

2003-03-27   David Wetzel <dave@turbocat.de>
	* GSWAdaptors/common/GSWTemplates.c fixed typo. doesn't repond -> doesn't respond
	* GSWAdaptors/Apache/mod_gsweb.c made it work on apache 1.x again. 
	  (use ap_psprintf and not apr_psprintf if apache 1 is used)

2003-03-24   Manuel Guesdon <mguesdon@orange-concept.com>

	* GSWeb.framework/GSWRequest.m:
		o fix in -_getFormValuesFromMultipartFormData: 
		   add [parser expectNoHeaders] to force body parsing as 
			otherwise it fail in some context (navigator/form values)
  	* GSWExtensions.framework/GSWCollapsibleComponentContent.m:
		o use RCS_ID
	* GSWExtensions.framework/GSWExceptionPage.m:
		o logs
		o use RCS_ID
	* GSWExtensions.framework/GSWDictionaryRepetition.m:
		o use RCS_ID
	* GSWExtensions.framework/GSWIFrame.m:
		o clean warnings
		o use RCS_ID
	* GSWExtensions.framework/GSWLongResponsePage.m:
		o use RCS_ID
	* GSWExtensions.framework/GSWMetaRefresh.m:
		o use RCS_ID
	* GSWExtensions.framework/GSWPageRestorationErrorPage.m:
		o use RCS_ID
	* GSWExtensions.framework/GSWRedirect.m:
		o use RCS_ID
	* GSWExtensions.framework/GSWSessionCreationErrorPage.m:
		o use RCS_ID
	* GSWExtensions.framework/GSWSessionRestorationErrorPage.m:
		o use RCS_ID
	* GSWExtensions.framework/GSWStatsPage.m:
		o use RCS_ID
	* GSWExtensionsGSW.framework/GSWLogin.m:
		o use RCS_ID
	* GSWExtensionsGSW.framework/GSWSimpleFormComponent.m:
		o use RCS_ID
	* GSWExtensionsGSW.framework/GSWTabComponent.m:
		o use RCS_ID
	* GSWExtensionsGSW.framework/GSWValidationFailureComponent.m:
		o use RCS_ID
	* GSWeb.framework/GSWApplication.m:
		o change setIVar... by takeValue:forKey:
	* GSWeb.framework/GSWElement.m:
		o logs
	* GSWeb.framework/GSWeb.h:
		o removed NSObject+IVarAccess+PerformSel.h inclusion
	* GSWeb.framework/GSWAssociation.m:
		o removed commented set/getIVar
	* GSWeb.framework/GSWComponent.m:
		o removed commented set/getIVar
	* GSWeb.framework/GSWSession.m:
		o retain/release deleteContextID in -savePageInPermanentCache 
			(from Stéphane Corthésy <stephane@sente.ch>)
		o retain/release deleteContextID in -_savePage:forChange
			(from Stéphane Corthésy <stephane@sente.ch>)
	
2003-03-23  David Ayers  <d.ayers@inode.at>

	* GSWAdaptors/Apache/mod_gsweb.c : Include http_protocol.h
	unconditionally.
	(sendResponse): Removed cast which was only valid for custom
	Apache installations.
	
2003-03-21   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/GSWGNUmakefile:
		o removed NSObject+IVarAccess+PerformSel.*
	* GSWeb.framework/GSWConstants.m:
		o fix GSWHTTPHeader_Response_HeaderLineEnd: remove space
		at the begining
		o use RCS_ID
	* GSWeb.framework/Adaptors/common/GSWHTTPResponse.c:
		o fix status in GSWHTTPResponse_New()
	* GSWAdaptors/Apache/mod_gsweb.c:
		o fixes bad returned status
		o traces
	* GSWeb.framework/GSWTemplateParserANTLR.m:
		o removed logs
		o fixes for warnings
		o use RCS_ID
	* GSWeb.framework/GSWApplication.m:
		o use RCS_ID
		o added logs
		o new method to begin rewrite exception handling
	* GSWeb.framework/GSWRequest.m:
		o logs
		o fix in -_getFormValuesFromMultipartFormData to handle
		more than one value per name
		o use RCS_ID
		o -fix bad types in uriElementForKey:
	* GSWeb.framework/GSWConditional.m:
		o added asserts
		o use RCS_ID
	* GSWeb.framework/GSWHTMLStaticElement.m:
		o added asserts
		o clean warnings
		o use RCS_ID
	* GSWeb.framework/GSWComponentReference.m:
		o added asserts
		o use RCS_ID
	* GSWeb.framework/GSWActiveImage.m:
		o added asserts
	* GSWeb.framework/GSWComponentContent.m:
		o added asserts
		o use RCS_ID
	* GSWeb.framework/GSWForm.m:
		o added asserts
		o use RCS_ID
	* GSWeb.framework/GSWHTMLDynamicElement.m:
		o added asserts
		o use RCS_ID
	* GSWeb.framework/GSWHTMLURLValuedElement.m:
		o use RCS_ID
		o added asserts
	* GSWeb.framework/GSWRepetition.m:
		o added asserts
		o use RCS_ID
	* GSWeb.framework/GSWExtensions.framework/GNUmakefile:
		o added GSWPageRestorationErrorPage.gswc
	* GSWeb.framework/GSWFileUploadComponent.m:
		o use RCS_ID
	* GSWeb.framework/GSWImage.m:
		o Don't output nil height/width
		o fix: get component before using !
		o use RCS_ID
	* GSWeb.framework/GSWElementIDString.m:
		o in -initWithCoder: retain _string
		o use RCS_ID
	* GSWeb.framework/GSWElementIDString.h:
		o cleaned
	* config.h.in:
		o define RCS_ID like in GDL2
	* GSWeb.framework/GSWDirectActionRequestHandler.[hm]:
		o added +additionalRequestPathArrayFromRequest:
		o enable directAction with additional path components
		o use RCS_ID
	* GSWeb.framework/GSWDirectAction.[hm]:
		o added -additionalRequestPathArray
		o use RCS_ID
	* GSWeb.framework/GSWeb.h:
		o include GSCategories.h
	* GSWeb.framework/GSWDebug.m:
		o use RCS_ID
	* GSWeb.framework/GSWPageDefParserExt.m:
		o use RCS_ID
	* GSWeb.framework/GSWPageDefElement.m:
		o use RCS_ID
	* GSWeb.framework/GSWDeployedBundle.m:
		o use RCS_ID
	* GSWeb.framework/GSWProjectBundle.m:
		o use RCS_ID
	* GSWeb.framework/GSWStats.m:
		o use RCS_ID
	* GSWeb.framework/GSWBundle.m:
		o clean warnings
		o use RCS_ID
	* GSWeb.framework/GSWTemplateParser.m::
		o clean warnings
		o use RCS_ID
	* GSWeb.framework/GSWTemplateParserXML.m:
		o clean warnings
		o use RCS_ID
	* GSWeb.framework/GSWComponent.m:
		o clean warnings
		o use RCS_ID
	* GSWeb.framework/GSWDisplayGroup.m:
		o clean warnings
		o fix -validateValue:forKey: call
		o use RCS_ID
	* GSWeb.framework/GSWHTMLParserExt.m:
		o use RCS_ID
	* GSWeb.framework/GSWAssociation.m:
		o clean warnings
		o use RCS_ID
	* GSWeb.framework/GSWResourceManager.m:
		o clean warnings
		o use RCS_ID
	* GSWeb.framework/GSWSession.m:
		o clean warnings
		o use RCS_ID
	* GSWeb.framework/GSWMultiKeyDictionary.m:
		o use RCS_ID
	* GSWeb.framework/GSWResponse.m:
		o clean warnings
		o use RCS_ID
	* GSWeb.framework/GSWStatisticsStore.m:
		o clean warnings
	* GSWeb.framework/GSWAdaptor.m:
		o use RCS_ID
	* GSWeb.framework/GSWGeometricRegion.[hm]:
		o types change
		o use RCS_ID
	* GSWeb.framework/GSWActiveImage.m:
		o clean warnings
		o use RCS_ID
	* GSWeb.framework/GSWBody.m:
		o use RCS_ID
	* GSWeb.framework/GSWTextField.m:
		o use RCS_ID
	* GSWeb.framework/GSWSubmitButton.m:
		o clean warnings
		o use RCS_ID
	* GSWeb.framework/GSWHTMLBareString.m:
		o use RCS_ID
	* GSWeb.framework/GSWHTMLComment.m:
		o use RCS_ID
	* GSWeb.framework/GSWApplet.m:
		o use RCS_ID
	* GSWeb.framework/GSWBrowser.m:
		o use RCS_ID
	* GSWeb.framework/GSWCheckBoxList.m:
		o use RCS_ID
	* GSWeb.framework/GSWEmbeddedObject.m:
		o use RCS_ID
	* GSWeb.framework/GSWFrame.m:
		o use RCS_ID
	* GSWeb.framework/GSWGenericContainer.m:
		o use RCS_ID
	* GSWeb.framework/GSWGenericElement.m:
		o use RCS_ID
	* GSWeb.framework/GSWHyperlink.m:
		o use RCS_ID
		o clean warnings
	* GSWeb.framework/GSWImageButton.m:	
		o use RCS_ID
		o clean warnings
	* GSWeb.framework/GSWJavaScript.m: 
		o use RCS_ID
	* GSWeb.framework/GSWNestedList.m:
		o use RCS_ID
	* GSWeb.framework/GSWParam.m:
		o use RCS_ID
	* GSWeb.framework/GSWPasswordField.m:
		o use RCS_ID
	* GSWeb.framework/GSWPopUpButton.m:
		o use RCS_ID
	* GSWeb.framework/GSWRadioButtonList.m:
		o use RCS_ID
	* GSWeb.framework/GSWResetButton.m:
		o use RCS_ID
	* GSWeb.framework/GSWSwitchComponent.m:
		o use RCS_ID
	* GSWeb.framework/GSWVBScript.m:
		o use RCS_ID
	* GSWeb.framework/GSWString.m:
		o use RCS_ID
	* GSWeb.framework/GSWText.m:
		o use RCS_ID
	* GSWeb.framework/GSWCookie.m:
		o use RCS_ID
	* GSWeb.framework/GSWRequestHandler.m:
		o use RCS_ID
	* GSWeb.framework/GSWMailDelivery.m:
		o use RCS_ID
	* GSWeb.framework/GSWComponentRequestHandler.m:
		o use RCS_ID
		o clean warnings
	* GSWeb.framework/GSWKeyValueAssociation.m:
		o use RCS_ID
	* GSWeb.framework/GSWHTMLStaticGroup.m:
		o use RCS_ID
	* GSWeb.framework/GSWConstantValueAssociation.m:
		o use RCS_ID
	* GSWeb.framework/GSWDynamicURLString.m:
		o use RCS_ID
	* GSWeb.framework/GSWBindingNameAssociation.m:
		o use RCS_ID
	* GSWeb.framework/GSWBindingNameAssociation.[hm]
		o clean warnings
		o use RCS_ID
	* GSWeb.framework/GSWURLValuedElementData.m:
		o clean warnings
		o use RCS_ID
	* GSWeb.framework/GSWToggle.m:
		o use RCS_ID
	* GSWeb.framework/GSWFileUpload.m:
		o use RCS_ID
	* GSWeb.framework/GSWResourceURL.m:
		o use RCS_ID
	* GSWeb.framework/GSWProcFS.m:
		o use RCS_ID
	* GSWeb.framework/GSWActionURL.m:
		o use RCS_ID
	* GSWeb.framework/GSWContext.m:
		o use RCS_ID
	* GSWeb.framework/GSWDefaultAdaptorThread.m:
		o use RCS_ID
	* GSWeb.framework/GSWDynamicElement.m:
		o use RCS_ID
	* GSWeb.framework/GSWeb.m:
		o use RCS_ID
	* GSWeb.framework/GSWElement.m:
		o use RCS_ID
	* GSWeb.framework/GSWResourceRequestHandler.m:
		o use RCS_ID
	* GSWeb.framework/GSWServerSessionStore.m:
		o use RCS_ID
	* GSWeb.framework/GSWSessionStore.m:
		o use RCS_ID
	* GSWeb.framework/GSWSessionTimeOut.m:
		o use RCS_ID
	* GSWeb.framework/GSWSessionTimeOutManager.m:
		o use RCS_ID
	* GSWeb.framework/GSWTransactionRecord.m:
		o use RCS_ID
	* GSWeb.framework/GSWUtils.m:
		o use RCS_ID
	* GSWeb.framework/GSWWOCompatibility.m:
		o use RCS_ID
	* GSWeb.framework/NSString+HTML.m:
		o use RCS_ID
	* GSWeb.framework/NSString+Trimming.m:
		o use RCS_ID

2003-03-04  David Ayers  <d.ayers@inode.at>

	* GSWeb/NSString+HTML.m ([NSString -decodeURL]): Updated function
	name.
	
2003-03-04   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb/GSWInput.m:
		o logs
	* GSWeb/GSWCheckBox.m:
		o logs
		o fix for disabled check box
	* GSWAdaptors/Apache/mod_gsweb.c 
		o typo fix
	
2003-03-03   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb/GSWSessionTimeOutManager.m:
		o Better handling of lock during exceptions 
		(should improve it)
		o logs
	* GSWeb/GSWSessionStore.m:
		o logs
		o raise exception when a direct GSWSessionStore is allocated
	* GSWeb/GSWrequest.m:
		o fixed typo on  contentSubType
	* GSWeb/GSWDisplayGroup.hm
		o added _queryMinMatch to enable >= clause
		o added _queryMaxMatch to enable <= clause
		o added -queryMinMatch to enable >= clause
		o added -queryMaxMatch to enable <= clause
		o declare private methods
	* GSWeb/GSWDisplayGroup.m:
		o add NSAutoreleasePool use in -fetch
	* GSWeb/GSWExtensionsGSW.framework/GSWFileUploadComponent.gswc/GSWFileUploadComponent.gswd
		o bug fix in GSWHyperlink binding
	* GSWeb/GSWCheckBoxList.m
		o settable selections fix
	* GSWeb/GSWApplication.m:
		o logs
	* GSWeb/GSWSessionTimeOut.[hm]
		o added -lastAccessTimeDate and -timeOutTimeDate
	* GSWeb/GSWDeployedBundle.m:
		o add some NSAutoreleasePool use
	* GSWeb/GSWHyperlink.m:
		o fix to not display links disabled by !enabled when displayDisabled = NO.
	
2003-02-28  David Ayers  <d.ayers@inode.at>

	* GSWAdaptors/Apache/mod_gsweb.c (sendResponse): Add cast.
	* GSWAdaptors/Apache/GNUmakefile-Apache1x: Update copyright and
	correct ADAPTOR variable.  
	* GSWAdaptors/Doc/ConfigurationFile.html: Updated formatting.
	* GSWAdaptors/common/GSWAppConnectNSSocket.c (GSWApp_Open,
	GSWAppSendBlock, GSWApp_ReceiveLine, GSWApp_ReceiveBlock): Correct
	usage of GSWLog by addeding requiered parameter.
	* GSWAdaptors/common/GSWApp.[hc]: Updated copyright notice and
	applied some formatting.  
	* GSWAdaptors/common/GSWAppConnect.h: Ditto.
	* GSWAdaptors/common/GSWAppConnectNSSocket.c: Ditto.
	* GSWAdaptors/common/GSWAppConnectSocket.c: Ditto.
	* GSWAdaptors/common/GSWAppRequest.[hc]: Ditto.
	* GSWAdaptors/common/GSWAppRequestStruct.h: Ditto.
	* GSWAdaptors/common/GSWConfig.[hc]: Ditto.
	* GSWAdaptors/common/GSWDict.[hc]: Ditto.
	* GSWAdaptors/common/GSWHTTPHeaders.[hc]: Ditto.
	* GSWAdaptors/common/GSWHTTPRequest.[hc]: Ditto.
	* GSWAdaptors/common/GSWHTTPResponse.[hc]: Ditto.
	* GSWAdaptors/common/GSWList.[hc]: Ditto.
	* GSWAdaptors/common/GSWLoadBalancing.[hc]: Ditto.
	* GSWAdaptors/common/GSWPropList.[hc]: Ditto.
	* GSWAdaptors/common/GSWString.[hc]: Ditto.
	* GSWAdaptors/common/GSWTemplates.[hc]: Ditto.
	* GSWAdaptors/common/GSWURLUtils.[hc]: Ditto.
	* GSWAdaptors/common/GSWUtils.[hc]: Ditto.
	* GSWAdaptors/common/common.make: Ditto.
	* GSWAdaptors/common/config.[hc]: Ditto.
	
2003-02-20  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* GSWAdaptors/common/GSWUtil.c|.h (strcasestr): removed CONST from
	declaration.

2003-02-19  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* GSWeb.framework/GSWDebug.h: fixed #define.

2003-02-01   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb/NSString+Trimming.m:
		o Replaced DataToHexString with -[NSData
		 hexadecimalRepresentation]. (David Ayers <d.ayers@inode.at>)
	* GSWeb/GSWHTMLURLValuesElement.m:
		o Replaced GSMD5 class with md5Digest of NSData category.  
		 (David Ayers <d.ayers@inode.at>)
		o Replaced DataToHexString with -[NSData
		 hexadecimalRepresentation].  (David Ayers <d.ayers@inode.at>)
	* Examples/hello/GNUmakefile:
		o Use gsweb.make.
	* gsweb.make.in:
		o Change AUXILIARY_INCLUDE_LIBS to AUXILIARY_TOOL_LIB.
		 (David Ayers <d.ayers@inode.at>)
		o Handle GDL2 with ADDITIONAL_OBJCFLAGS.
		 (David Ayers <d.ayers@inode.at>)
	* configure.ac:
		o Check for GDL2 to set config.h correctly.
	* configure:
		o Regenerated. (David Ayers <d.ayers@inode.at>)
	* config.mak.in:
		o Set GDL2 as determined by configure. (David Ayers <d.ayers@inode.at>)
	* GSWeb.framework/GSWComponent.m:
		o use GSWApp -createResponseInContext: instead of creating 
			GSWResponse instance directly
		o added -_appendPageToResponse:inContext:
	* GSWeb.framework/GSWApplication.[hm]:
		o added -createResponseInContext:
		o added -createRequestWithMethod:uri:httpVersion:headers:content:userInfo:
		o added -createResourceManager
		o used createResourceManager instead of creating it directly
		o added NSAutoreleasePool debug traces
		o exception log changed
	* GSWeb.framework/GSWDefaultAdaptorThread.m:
		o use application -createRequestWithMethod:uri:httpVersion:headers:content:userInfo:
			instead of directly creating GSWRequest instance directly
		o added NSAutoreleasePool debug traces
	 	o add thread_id trace in log
	* GSWeb.framework/GSWDefaultAdaptor.m:
		o added NSAutoreleasePool debug traces
	* GSWeb.framework/GSWComponentRequestHandler.m:
		o use GSWApp -createResponseInContext: instead of creating 
			GSWResponse instance directly
	* GSWeb.framework/GSWResourceRequestHandler.m:
		o use GSWApp -createResponseInContext: instead of creating 
			GSWResponse instance directly
	* GSWeb.framework/GSWDirectActionRequestHandler.m:
		o use GSWApp -createResponseInContext: instead of creating 
			GSWResponse instance directly
	* GSWeb.framework/GSWResponse.m:
		o use GSWApp -createResponseInContext: instead of creating 
			GSWResponse instance directly
	* GSWeb.framework/GSWTemplateParserXML.m: 
		o added exception handling
		o added NSAutoreleasePool debug traces
	* GSWeb.framework/GSWTemplateParser.m: 
		o added NSAutoreleasePool debug traces
	* GSWeb.framework/GSWSession.m
		o added NSAutoreleasePool debug traces
		o Fix in rand() use
		o NSString+Trimming
		o Fix in rand() use
	 	o add thread_id trace in log
		o Replaced GSMD5 class with md5Digest of NSData category.
		  (David Ayers <d.ayers@inode.at>)
		o Replaced DataToHexString with -[NSData
		hexadecimalRepresentation].  (David Ayers <d.ayers@inode.at>)
	* GSWeb.framework/GSWContext.m
		o add thread_id trace in log
	* GSWeb/GSWUtils.[hm]:
		o Removed DataToHexString() and HexStringToData().
		  (David Ayers <d.ayers@inode.at>)

2003-01-22   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/WebObjects: removed WO*

2003-01-22   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/Makefile.postamble: 
		o use $(LN_S) -f in install-WO-headers
		o added $(MKDIRS) $(GNUSTEP_HEADERS)/$(GSWExtensions_wo_HEADER_FILES_INSTALL_DIR);
	* GSWExtensionsGSW.framework/Makefile.postamble: use $(LN_S) -f in install-WO-headers

2003-01-20   David Ayers <d.ayers@inode.at>
	* Makefile.postamble
		o added support for make gswnames=(gsw,wo,all) (corrected
		typo)
		o reinserted support for $(INSTALL_ROOT_DIR) 
	* config.h.in
		o added HAVE_GDL2
	* configure
		o added support for --with-gswnames=(gsw,wo,all)
		o set LIBWRAP during configure
		o added config.mak.in as configurable file        
	* configure.ac
		o (see configure)
	* config.mak: removed (replaced by config.mak.in)
	* config.mak.in: new file
		o added support for make gswnames=(gsw,wo,all)
	* gsweb.make.in
		o add GSANTLR as auxiliary lib
		o add gsweb libs to AUXILIARY_GSW_LIBS
		o include correct extensions for GSW/WO-libs
	* gsweb_wo.make: new file
	* GSWeb/GSWConfig.h
		o changed support for GSWEB_WONAMES
		o conditionally import file GSWWOCompatiblity
		  here instead of in GSWeb.h
	* GSWeb/GNUMakefile
		o added support for make gswnames=(gsw,wo,all)
		o ensure each lib gets built with its own object files
		o removed deactivated framework extension determination code
		o removed reference to unused files:
		  GSWeb.m, GSWWOCompatibility.m
		o added references to new files:
		  GSWExtenstions.h, GSWExtWOCompatibility.h
		o added support to create WO header files
	* GSWeb/Makefile.postamble
		o changed support to install WO header files according to
	          make gswnames=(gsw,wo,all)
		o remove Makefile.preamble during distclean
	* GSWeb/Makefile.preamble.in
		o fixed typo
	* GSWeb/GSWeb.h
		o moved GSW/WO-Name-mapping to GSWWOCompatibility.h
		o replaced inclusions of
		  <GSWeb/file.h> with "file.h"
	* GSWeb/GSWeb.m: removed
	* GSWeb/GSWWOCompatibility.h
		o changed GSWEB_WONAMES handling
		o removed hybrid namespace WO subclasses
		o moved & reorganized GSW/WO-Name-mapping from GSWeb.h
		o inlucluded missing GSW/WO-Name-mappings
	* GSWeb/GSWWOCompatibility.m: removed
	* GSWeb/*.m
		o replaced inclusions of
		  <GSWeb/file.h> with "file.h"
	* GSWeb/GSWApplication.m
		o remove special GSW/WO handling of WOApp
	* GSWeb/WebObject/WO*: removed
	* GSWeb/WebObject/WebObjects
		o replaced inclusions of
		  <GSWeb/file.h> with "file.h"
	* GSWExtensions/GNUMakefile
		o added support for make gswnames=(gsw,wo,all)
		o ensure each lib gets built with its own object files
		o removed deactivated framework extension determination code
		o added references to new files:
		  GSWExtenstions.h, GSWExtWOCompatibility.h
		o added support to create WO header files
	* GSWExtensions/Makefile.preamble
		o let gnustep make figure whether to link agains debug libs
		o added support for make gswnames=(gsw,wo,all)
	* GSWExtensions/Makefile.postamble
		o changed support to install WO header files according to
	          make gswnames=(gsw,wo,all)
	* GSWExtensions/*.m
		o replaced inclusions of
		  <GSWeb/GSWeb.h> with "GSWExtWOCompatibility.h"
		o replaces inclusions of
		  <GSWExtensions/file.h> with "file.h"
	* GSWExtensions/GSWExtensions.h: new file
	* GSWExtensions/WOExtensions.h: new file
	* GSWExtensions/GSWExtWOCompatibility.h: new file
	* GSWExtensionsGSW/GNUMakefile
		o added support for make gswnames=(gsw,wo,all)
		o ensure each lib gets built with its own object files
		o removed deactivated framework extension determination code
		o added references to new file GSWExtGSWWOCompatibility.h
		o added support to create WO header files
	* GSWExtensionsGSW/Makefile.pramble
		o let gnustep make figure whether to link agains debug libs
		o added support for make gswnames=(gsw,wo,all)
	        o removed GSWExtensions from ADDITIONAL_LIB_DIRS
	* GSWExtensionsGSW/*.m
		o replaced inclusions of
		  <GSWeb/GSWeb.h> with "GSWExtGSWWOCompatibility.h"
	* GSWExtensions/GSWExtGSWWOCompatibility.h: new file
	
2003-01-19   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb/GSWApplication.m
		o removed unused +initialize
	* GSWeb/GSWDefaultAdaptorThread.m: 
		o more information on "bad request first line" exception
	* GSWeb/GSWHTMLDynamicElement.m
		o in -initWithName:attributeAssociations:contentElements:
		  add "" to association values because XML parser romove them.
		o added -computeActionStringWithActionClassAssociation:
		  directActionNameAssociation:inContext:
		o added -computeQueryDictionaryWithActionClassAssociation:
		  directActionNameAssociation:queryDictionaryAssociation:
		  otherQueryAssociations:inContext:
	* GSWeb/GSWResponse.m:
		o don't append debugcomment if !GSDebugSet(@"debugComments")
		o fixed bug in appendContentString: in NSAssert3 params
		o adedd -_appendTagAttribute:value:escapingHTMLAttributeValue:
		o added GSWResponse (GSWResponseRedirected)
	* GSWeb/GSWResponse.h:
		o added -forceFinalizeInContext
		o added GSWResponse (GSWResponseRedirected)
	* GSWeb/GSWTemplateParserXML.m:
		o only include comments if
		  [GSWApplication includeCommentsInResponses]
	* GSWExtensions.framework/GSWLongResponsePage.m:
		o in -cancel call cancelPageForStatus: instead of cancelPage
		o declare private interface
	* GSWeb/GSWComponent.m:
		o don't output end of component commend
		  if !DEBUG && !GSDebugSet(@"gswcomponents")
		o fixes in _generateResponseInContext:
	* GSWeb/GSWContext.[hm]:
		o added _userInfo to enable developper context specific 
			temporary information storage
		o added -userInfo
		o added -_generateRelativeURLs
		o make -_generateCompleteURLs returning previous state.
		o added -directActionURLForActionNamed:queryDictionary:isSecure:
		o added -_directActionURLForActionNamed:queryDictionary:isSecure:url:
		o added -componentActionURLIsSecure:
		o modified -session
		o modified -_takeAwakeComponent: to not add already added
		  component 
		o implemented _takeAwakeComponentsFromArray;
		o fixed -_incrementContextID
		o added _session
		o fixes in -copyWithZone to keep mutable objects mutables.
		o added _requestContextID
		o added -_setRequestContextID: and -_requestContextID;
	* GSWeb/GSWHyperlink.[hm]:
		o added _secure
		o added binding validation tests
		o fixes in -appendToResponse:inContext:
		o handle correctly otherQueryAssociations
		  (bindings starting with '?')
	* GSWeb/GSWConstants.[hm]:
		o added cidStore__Key for GSWHTMLURLValuedElement
		o added cidKey__Key for GSWHTMLURLValuedElement
	* GSWeb/GSWImage.[hm]:
		o added _width, _height
	* GSWeb/GSWHTMLURLValuedElement.[hm]
		o implemented -_appendCGIActionURLToResponse:inContext:
		o implemented -computeActionStringInContext:
		o implemented -computeQueryDictionaryInContext:
		o handle otherQueryAssociations (bindings starting with '?')
		o handle cidStore and cidKey
	* GSWeb/GSWRequest.[hm]:
		o added _context
		o changes for compilation warnings
		o added -sessionIDFromValuesOrCookieByLookingForCookieFirst:
		o added +_lookForIDsInCookiesFirst
		o rewrite form/uri/cookie values retrieving (for sessionID,...)
		o new use GSMimeParser for formData parsing
	* Doc/antlr.txt added
	* GSWeb/GSWPageDefParser.[hm] regenerated to handle
	  (bindings starting with '?')
	* GSWeb/GSWPageDefParserTokenTypes.txt regenerated to handle
	  (bindings starting with '?')
	* GSWeb/GSWPageDefParserTokenTypes.h regenerated to handle
	  (bindings starting with '?')
	* GSWeb/GSWPageDefLexer.[hm]  regenerated to handle
	  (bindings starting with '?')
	* GSWeb/GSWUtils.[hm]:
		o added -extractObjectsForKeysWithPrefix:removePrefix:
		o fixed bug in HexStringToData
		o fixed bug in NSDictionary
		  +dictionaryWithArray:onSelector:withObject:
	* GSWeb/GSWForm.[hm]
		o handle otherQueryAssociations (bindings starting with '?')
		o implemented -computeQueryDictionaryInContext:
		o implemented/fixed -_appendHiddenFieldsToResponse:inContext:
		o implemented -_appendCGIActionToResponse:inContext:
		o fix -appendGSWebObjectsAssociationsToResponse:inContext:
		  for directAction 
		o added -computeActionStringInContext:
		o fixed -invokeActionForRequest:inContext: to invoke
		  action when to element is invoked
	* GSWeb/GSWDirectAction.m:
		o fixed -_initializeRequestSessionIDInContext:
		o added -sessionIDForRequest:
	* GSWeb/NSString+HTML.[hm]:
		o added -dictionaryWithSep1:withSep2:withOptionUnescape:forceArray:
	* GSWeb/NSString+Trimming.m:
		o fix in +stringUniqueIdWithLength: initialize random generator
	* GSWeb/GSWSession.[hm]:
		o added createSessionID which create better sessionID 
			(uniq in time and larger to give better security)
		o fixes in _saveCurrentPage
	* GSWeb/GSWBundle.m:
		o fix compiler warning

2002-12-11   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb/GSWAdaptors/common/GSWUtil.h
		o changes to handle Apache 2.x
	* GSWeb/GSWAdaptors/common/config.h
		o changes to handle Apache 2.x
	* GSWeb/GSWAdaptors/common/GSWConfig.h
		o changes to handle Apache 2.x
	* GSWeb/GSWAdaptors/common/GSWUtil.c
		o changes to handle Apache 2.x
	* GSWeb/GSWAdaptors/Apache/GNUmakefile-Apache1x
		o new name of Apache 1.x GNUmakfile
	* GSWeb/GSWAdaptors/Apache/GNUmakefile-Apache2x
		o New Apache 2.x makefile
	* GSWeb/GSWAdaptors/Apache/INSTALL
		o changes to handle Apache 2.x
	* GSWeb/GSWAdaptors/Apache/mod_gsweb.c
		o changes to handle Apache 2.x

2002-12-06   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb/GSWApplication.m
		o don't use NSClassFromString to support GSW & WO namespaces
			(David Ayers <d.ayers@inode.at> patch)

2002-12-06   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb/GSWTemplateParserXML.[mh]
    		o move references to libxml into .m file 
			(David Ayers <d.ayers@inode.at> patch)
    		o change parser error message to output lines before columns 
			(David Ayers <d.ayers@inode.at> patch)
	* GSWeb.framework/Makefile.preamble.in:
    		o let gnustep-make figure out whether to link against debug libs or not.  
			(David Ayers <d.ayers@inode.at> patch)
	* Makefile.preamble:
	    	o remove usage of INSTALL_ROOT_DIR as this isn't used consistently
			(David Ayers <d.ayers@inode.at> patch)
	
2002-12-06   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWExtensions.framework/Makefile.preamble: 
		o added -I/usr/include/libxml2 in ADDITIONAL_INCLUDE_DIRS
	* GSWExtensionsGSW.framework/Makefile.preamble: 
		o added -I/usr/include/libxml2 in ADDITIONAL_INCLUDE_DIRS
	* GSWeb/GSWeb.h:
		o removed #include <GSWeb/GSWTemplateParserXML.h>
	* GSWCheckBox.m:
		o logs
		o rewritten some part to match specifications
		o removed rcsId
		o documentation

	* GSWeb/GSWRadioButton.m:
		o logs
		o rewritten some part to match specifications
		o removed rcsId
		o documentation

	* GSWeb/GSWTemplateParser.m
		o added #include "GSWTemplateParserXML.h"
		o removed rcsId

	* GSWeb/GSWTemplateParserANTLR.m
		o added #include "GSWTemplateParserANTLR.h"
		o removed rcsId

	* GSWeb/GSWTemplateParserXML.m
		o added #include "GSWTemplateParserXML.h"
		o removed rcsId

	* GSWeb/GSWHTMLAttrParser.m
		o added #include "GSWHTMLAttrParser.h"
		o removed rcsId
	* GSWeb/GSWRepetition.m:
		o logs
	* Testing/DynamicElements/Makefile.preamble
		o removed -lFoundationExt 
	* Examples/hello/Makefile.preamble
		o removed -lFoundationExt 
	* GSWeb/GSWBundle.m:
		o logs
	* GSWeb/GSWInput.[hm]gswinput 
		o added -valueInContext:context
		o removed rcsId
	* Testing/DynamicElements/CheckBox1Page.*
		o added	
	*Testing/DynamicElements/CheckBox2Page.*
		o added	
	* Testing/DynamicElements/RadioButton1Page.*
		o added	
	* Testing/DynamicElements/RadioButton2Page.*
		o added	
	* TODO:
		o updated

2002-12-02  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* GSWeb.framework/GSWApplication.m (GSWApplicationDebugSetChange): read
	the file only if supplied.

	* configure.ac: export xml includes in gsweb.make
	* gsweb.make.in (AUXILIARY_INCLUDE_DIRS): added.
	* Makefile.postamble: moved gsweb.make in Auxiliary/ make dir.

	* GSWeb.framework/GSWTemplateParser.m ([GSWTemplateParser
	-definitions]): compilable with gcc < 3
	* GSWeb.framework/GSWHyperlink.m ([GSWHyperlink
	-computeQueryDictionaryInContext:]): likewise.

2002-11-27   Manuel Guesdon <mguesdon@orange-concept.com>

	* GSWeb/GSWApplication.m:
		o added \n in logs
		o added removeVolatileDomainForName: before setting it
		o remove rcsId
		o changed class creation to avoid libFoundationExt dependency
		o reduced compilation  warnings
	* GSWeb/GSWDisplayGroup.m:
		o fixed bug in -initWithKeyValueUnarchiver: for defaultStringMatchFormat
		o remove rcsId
	* GSWeb/GSWConditional.[hm]
		o added _value and _conditionValue (see doc)
		o documentation
		o remove rcsId
	* GSWeb/GSWConstants.[hm]
		o added conditionValue
	* config.mak
		o switched to gdl2	
	* GSWeb/GSWDeployedBundle.h:
		o changed bundleWithPath: return path to avoid warning
	* GSWeb/GSWSessionStore.[hm]:
		o added containsSessionID: and allSessionIDs;
		o implemented +serverSessionStore
		o remove rcsId
	* GSWeb/GSWComponentDefinition.m:
		o logs
		o remove rcsId	
	
2002-11-23   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWExtensions.framework/GSWLongResponsePage.h:
		o fixed WO* to GSW*

2002-11-18   Manuel Guesdon <mguesdon@orange-concept.com>
	I've rewritten AutoValue handling in GSWBrowser,GSWCheckBoxList, 
		GSWRadioButtonList, GSWPopUpButton to make it coherent 
		and working like specifications.	
	
	* GSWeb/GSWSwitchComponent.m:
		o add more information when componentName is null 
	* GSWRepetition.h/.m:
		o added startIndex, stopIndex
	* GSWeb/GSWConstants.h/.m:
		o added startIndex__Key,stopIndex__Key
	* GSWeb/GSWComponent.h/.m:
		o replace _isSynchronized by _isParentToComponentSynchronized and 
			_isComponentToParentSynchronized;
		o added -synchronizesParentToComponentVariablesWithBindings and
		        -synchronizesComponentToParentVariablesWithBindings
	* GSWeb/GSWApplication.m:
		o doc/comments
		o Exception when no session class found
	* GSWeb/GSWComponentDefinition.m
		o doc/comments
	* GSWeb/GSWComponentRequestHandler.m
		o doc/comments
		o response message changed when request handling failed
	* GSWeb/GSWMailDelivery.m
		o implemented composeEmail...component: methods
		o change mail sending code
	* GSWeb/GSWContext.h/.m:
		o replace ASSIGNCOPY by ASSIGN in -copy for _awakePageComponents);
	* GSWeb/GSWHyperlink.m:
		o replaced otherAssociations by otherQueryAssociations in -computeQueryDictionaryInContext
		o hanldle queryDictionary association
		o GSWPopUpButton.m:
	* GSWExtensionsGSW.framework/GSWValidationFailureComponent.gswc/GSWValidationFailureComponent.html:
		o replaced <br> by <br/>
	* GSWeb/GSWInput.h
		o removed autoValue variable  (static var may cause multithread problems and there were different autoValue implementation).
		o remove name key to avoid duplicate name in html produced code
		o some rewrite for auto value
		o doc/comments
	* GSWeb/GSWPopUpButton.h/.m: 
		o use super appendToResponse:inContext: (no more name problem)
		o rewriten auto value handling (see Testing/DynamicElements for test)
		o doc/comments
	* GSWeb/GSWBrowser.h/.m:
		o use super appendToResponse:inContext: (no more name problem)
		o rewriten auto value handling (see Testing/DynamicElements for test)
		o doc/comments
	* GSWeb/GSWCheckBoxList.h/.m:
		o rewriten auto value handling (see Testing/DynamicElements for test)
		o handling disabled binding
		o doc/comments
	* GSWeb/GSWRadioButtonList.h/.m:
		o rewriten auto value handling (see Testing/DynamicElements for test)
		o handling disabled binding
		o doc/comments
	* GSWeb/GSWTextField.h/.m:
		o output value in appendValueToResponse:inContext: instead of 
			appendGSWebObjectsAssociationsToResponse:inContext:
	* GSWExtensions.framework/GSWLongResponsePage.h/.m
		o added
	
2002-10-28   David Wetzel <dave@turbocat.de>
        * a start to make statistics work
          Modified Files:
          GSWApplication.m GSWComponentRequestHandler.m GSWSession.m
          GSWStatisticsStore.h GSWStatisticsStore.m

2002-10-12   Manuel Guesdon <mguesdon@orange-concept.com>
	== See coments http://wiki.gnustep.org/index.php/GNUstepWeb ==
	* GSWeb/GSWConstants.h/.m:
		o added GSWOPT_DefaultTemplateParser, 
			GSWOPTValue_DefaultTemplateParser_XMLHTML,
			GSWOPTValue_DefaultTemplateParser_XMLHTML_NOOMITTEDTAGS,
			GSWOPTValue_DefaultTemplateParser_XML,
			GSWOPTValue_DefaultTemplateParser_ANTLR
	* GSWeb/GSWApplication.h/.m:
		o handle new options GSWApplicationMainReal()
		o added +defaultTemplateParser
		o added +setDefaultTemplateParser:
	* GSWeb/GSWTemplateParser.h/.m:
		o added GSWTemplateParserType
		o removed GSWTemplateParser_DefaultParserClass
		o removed +setDefaultParserClassName:
		o changed +templateNamed:...
		o +templateParserTypeFromString:
		o added +defaultTemplateParserType
	* GSWeb/GSWBundle.h/.m: 
		o added -templateParserTypeForResourcesNamed:
		o added ivar _templateParserTypeCache
		o change +templateNamed:... call
	* GSWeb/GSWConfig.h:
		o removed GSWEB_DEFAULT_HTML_PARSER_CLASS_NAME
		o added GSWOPTVALUE_DefaultTemplateParser
	* GSWeb/GSWeb..h:
		o include templateparser before bundle
	* GSWeb/GSWTemplateParserXML.h/.m
		o added -setNoOmittedTags:
		o changes in xml parsing calls
		o allow null name gsweb/webobjects tags
	* GSWExtensions.framework/GSWExceptionPage.html:
		o replaced <br> by <br/>
	* GSWExtensions.framework/GSWSessionRestorationErrorPage.html:
		o replaced <br> by <br/>
	* GSWExtensions.framework/GSWSessionCreationErrorPage.html
		o replaced <br> by <br/>
	* GSWeb.framework/GSWTemplateParser.m
		o Don't raise exception if already processed .gswd 
			in -parseDefinitionInclude:fromFrameworkNamed:processedFiles:

2002-09-22  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* Makefile.postamble: install gsweb.make

	* GSWeb.framework/GSWDefaultAdaptor.m: added config.h

	* GSWeb.framework/Makefile.preamble.in: new file.
	* GSWeb.framework/Makefile.preamble: removed.
	* gsweb.make.in: new file.

	* configure.ac: new file.
	* config/pathxml.m4: new file.
	* gsweb.make.in: new file.
	* config.h.in: new file.

	* GSWeb.framework/GNUmakefile (GNUSTEP_LOCAL_ADDITIONAL_MAKEFILES): 
	include gsweb.make

	* GSWeb.framework/GSWTemplateParserXML.h|.m: include libxml includes
	from libxml/ dir.

	* GSWeb.framework/*.m: replaced all occurrencies of stringWithout*: and
	remove*: with the new methods.

2002-09-15   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/GSWElementIDString.m
		o Applied David Ayers <d.ayers@inode.at> patch
	* GSWAdaptors/Apache/GNUmakefile
		o Applied David Ayers <d.ayers@inode.at> patch	

2002-08-06   David Wetzel <dave@turbocat.de>
        * GSWeb.framework/GSWImageButton.m
                o fixed a bug that caused the ImageButton to call the action even if it 
                  was not klicked.
        * GSWeb.framework/GSWApplication.m GSWDisplayGroup.h GSWSession.m
                o added support for NOEXTENSIONS and TCSDB

2002-08-04   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/GSWEmbeddedObject.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWGenericContainer.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWDirectActionRequestHandler.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWDynamicURLString.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWBindingNameAssociation.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWComponentDefinition.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWComponentRequestHandler.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWConstantValueAssociation.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWDisplayGroup.h/.m
		o ivar names changes to conform to coding standards
	 	o include for TCSimpleDB/
	* GSWeb.framework/GSWKeyValueAssociation.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWParam.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWRequestHandler.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWResourceRequestHandler.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/NSString+Trimming.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWStats.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/NSNonBlockingFileHandle.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/NSString+HTML.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWStatisticsStore.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWHTMLURLValuedElement.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWApplication.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWBundle.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWDeployedBundle.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWTemplateParserXML.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWHTMLParserExt.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWMultiKeyDictionary.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWProjectBundle.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWTemplateParser.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWPageDefElement.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWUtils.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWeb.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWWOCompatibility.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWQuickTime.h
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWTemplateParserANTLR.h/.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWDebug.m
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWComponent.m
		o NSAsserts
	
2002-07-28   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/WebObjects:
		o added WebObjects headers (suggested by David Wetzel <dave@turbocat.de>)
	* GSWeb.framework/GNUmakefile:
		o added WebObjects headers (suggested by David Wetzel <dave@turbocat.de>)
	* GSWeb.framework/makefile.postamble:
		o added copy of WebObjects headers (suggested by David Wetzel <dave@turbocat.de>)

2002-07-28   Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/GSWJavaScript.h/.m:
		o implementation
	* GSWeb.framework/GSWClientSideScript.h/.m:
		o implementation
	* GSWeb.framework/GSWVBScript.h/.m:
		o implementation
	* TODO:
		o updated
	* GSWeb.framework/GSWConstants.h/.m:
		o added language__Key
	* GSWeb.framework/GSWRadioButton.m:
		o logs
		o bug fix for checked case
	* GSWeb.framework/GSWDirectAction.m:
		o added -existingSessionWithSessionID:
	* GSWeb.framework/PageDef.g
		o Handle function references (@ in values)
	* GSWeb.framework/GSWPageDefLexer.h/.m:
		o re-generated after PageDef.g change 
	* GSWeb.framework/GSWPageDefParserTokenTypes.h
		o re-generated after PageDef.g change 
	* GSWeb.framework/GSWPageDefParser.h/.m:
		o re-generated after PageDef.g change 
	* GSWeb.framework/GSWPageDefParserTokenTypes.txt
		o re-generated after PageDef.g change 
	* GSWeb.framework/GSWContext.m/.h:
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWDirectAction.m/.h:
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWResponse.m/.h:
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWCookie.m/.h:
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWNestedList.m/.h:
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWSessionTimeOut.m/.h:
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWSessionStore.m/.h:
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWServerSessionStore.m/.h:
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWTransactionRecord.m/.h:
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWSession.m/.h:
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWRequest.m/.h:
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWToggle.m/.h:
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWHTMLComment.m/.h:
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWHTMLBareString.m/.h:
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWMailDelivery.m/.h:
		o ivar names changes to conform to coding standards
	
2002-07-04  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/GSWDefaultAdaptorThread.m
		o trace request uri
	* GSWeb.framework/GSWTemplateParserXML.m
		o Changed NSDebugMLog to NSDebugMLLog
		o changes to conform to GSXML modifications
	* GSWeb.framework/GSWTemplateParser.m
		o Changed NSDebugMLog to NSDebugMLLog
	* GSWeb.framework/GSWBundle.m
		o Changed NSDebugMLog to NSDebugMLLog
	* GSWeb.framework/GSWComponent.m
		o Changed NSDebugMLog to NSDebugMLLog
	* GSWeb.framework/GSWElement.m
		o Changed NSDebugMLog to NSDebugMLLog
	* GSWeb.framework/GSWHTMLStaticElement.m
		o Changed NSDebugMLog to NSDebugMLLog
	* GSWeb.framework/GSWAssociations.m
		o fixes in !GDL2 variables names (reported by Piter Punk <piterpk@terra.com.br>)
	* GSWeb.framework/GSWRadioButtonList.m
		o fix _name/name in appendToResponse:inContext:
	* GSWeb.framework/GSWSwitchComponent.m:
		o fix ExceptionRaise call
	* GSWeb.framework/GSWDebug.m/.h:
		o fix ifdef and functions defs
	* GSWeb.framework/GSWSessionTimeOutManager.m/.h:
		o add parentheses around assignment used as truth value
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWDeployedBundle.m:
		o cast to avoid compiler warning
	* GSWeb.framework/GSWJavaScript.h/.m:
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWEmbeddedObject.h/.m:
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWClientSideScript.h/.m:
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWApplet.h/.m:
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWParam.h/.m:
		o ivar names changes to conform to coding standards
	
2002-06-03  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/GSWBundle.m:
		o use smartTakeValue:forKey: instead of takeValue:forKey:
	* GSWeb.framework/GSWAssociation.m:
		o use smartTakeValue:forKeyPath: instead of takeValue:forKeyPath:
	* GSWeb.framework/GSWComponent.m:
		o use smartTakeValue:forKey: instead of takeValue:forKey:
	* GSWeb.framework/GSWDisplayGroup.m:
		o changes in -description
		o logs
	* GSWExtensions.framework/GSWExceptionPage.gswc/GSWExceptionPage.gswd: 
		o added "reference"
	* GSWExtensions.framework/GSWExceptionPage.gswc/GSWExceptionPage.html: 
		o added "reference"
	* GSWExtensions.framework/French.lproj/GSWExceptionPage.gswc/GSWExceptionPage.html: 
		o added "reference"
	* GSWExtensions.framework/GSWExceptionPage.gswc/GSWExceptionPage.h/.m: 
		o added "reference"
	* GSWExtensionsGSW.framework/GSWFileUploadComponent.h/.m:
		o bug fixes
	* GSWExtensionsGSW.framework/GSWFileUploadComponent.gswc/GSWFileUploadComponent.gswd:
		o added Height & With parameters for images
	* GSWExtensionsGSW.framework/GSWFileUploadComponent.gswc/GSWFileUploadComponent.html:
		o added delete check box title
	* GSWeb.framework/GSWElement.m:
		o logs
	* GSWeb.framework/GSWFileUpload.m:
		o logs
	* GSWeb.framework/GSWRequest.m:
		o bug fix for uploaded files
	
2002-05-16  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/GSWTextField.m:
		o added warning in _isFormattedValueInComponent:equalToFormattedValue:		
		o added warning in takeValuesFromRequest:inContext:
	* GSWeb.framework/GSWPopUpButton.m
		o added ElementID debugging methods
		o added DocStructure debugging features
	* GSWeb.framework/GSWSwitchComponent.m
		o added ElementID debugging methods
		o added DocStructure debugging features
	* GSWeb.framework/GSWRepetition.m
		o added ElementID debugging methods
		o added DocStructure debugging features
		o param names changes to conform to coding standards
	* GSWeb.framework/GSWComponentContent.m
		o added ElementID debugging methods
		o added DocStructure debugging features
	* GSWeb.framework/GSWComponentReference.m: 
		o added ElementID debugging methods
		o added DocStructure debugging features
		o ivar names changes to conform to coding standards
		o logs
	* GSWeb.framework/GSWElement.m: 
		o added ElementID debugging methods
		o added DocStructure debugging features
		o logs
	* GSWeb.framework/GSWElement.h
		o added ElementID debugging
	* GSWeb.framework/GSWForm.m: 
		o added ElementID debugging
		o added DocStructure debugging features
		o logs
	* GSWeb.framework/GSWHTMLDynamicElement.m: 
		o ivar names changes to conform to coding standards
		o added ElementID debugging
		o added DocStructure debugging features
	* GSWeb.framework/GSWConditional.m: 
		o added ElementID debugging
		o added DocStructure debugging features
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWConditional.h. 
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWRepetition.h. 
		o param names changes to conform to coding standards
	* GSWeb.framework/GSWReset.m: 
		o ivar names changes to conform to coding standards
		o added ElementID debugging
		o added DocStructure debugging features
	* GSWeb.framework/GSWReset.h. 
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWResponse.h/.m:
		o added DocStructure debugging features
	* GSWeb.framework/GSWContext.h/.m:
		o added DocStructure debugging features
	* GSWeb.framework/GSWSession.m:
		o added DocStructure debugging features
	* GSWeb.framework/GSWTemplateParserXML.m
		o logs
	* GSWeb.framework/GSWTemplateParser.m
		o logs
	* GSWeb.framework/GSWDisplayGroup.m:
		o corrected insertion bugs
		o added -insertAfterLastObject
		o added -selectFirst
	* GSWeb.framework/GSWDisplayGroup.h:
		o added -insertAfterLastObject
		o added -selectFirst
	* GSWeb.framework/GSWHTMLStaticElement.m
		o added ElementID debugging
		o added DocStructure debugging features
	* GSWeb.framework/GSWCheckBox.m
		o added ElementID debugging
		o added DocStructure debugging features
	* GSWeb.framework/GSWComponent.m
		o added ElementID debugging
		o added DocStructure debugging features
	* GSWeb.framework/GSWHTMLStaticGroup.m
		o added ElementID debugging
		o added DocStructure debugging features
	* GSWeb.framework/GSWTextField.m
		o added ElementID debugging
		o added DocStructure debugging features
	* GSWeb.framework/GSWString.m
		o added ElementID debugging
		o added DocStructure debugging features
	* GSWeb.framework/GSWSubmitButton.m
		o added ElementID debugging
		o added DocStructure debugging features
	* GSWeb.framework/GSWURLValuedElementData.m/.h:
		o added ElementID debugging
		o added DocStructure debugging features
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWRadioButton.m
		o added ElementID debugging
		o added DocStructure debugging features
	* GSWeb.framework/GSWInput.m
		o added ElementID debugging
		o added DocStructure debugging features
		o logs
	* GSWeb.framework/GSWHyperlink.m
		o added ElementID debugging
		o added DocStructure debugging features
	* GSWeb.framework/GSWFileUpload.m
		o added ElementID debugging
		o added DocStructure debugging features
	
2002-05-14  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWeb.framework/GSWSubmitButton.m:
		o corrected setActionInvoked into _setActionInvoked
	* GSWeb.framework/GSWGeometricRegion.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc
	* GSWeb.framework/GSWAssociation.h:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc
	* GSWeb.framework/GSWAssociation.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc
		o logs
	* GSWeb.framework/GSWForm.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc
	* GSWeb.framework/GSWContext.h:
		o Changed return type of -elementID and -senderID
	* GSWeb.framework/GSWContext.m:
		o Changed return type of -elementID and -senderID
	* GSWeb.framework/GSWDisplayGroup.m:
		o logs
	* GSWeb.framework/GSWPopUpButton.h,.m:
		o added count & index parameters (like GSWRepetition)
	* GSWeb.framework/GSWTextField.m:
		o handling exception in takeValue
	* GSWeb.framework/GSWText.m:
		o handling exception in takeValue
	* GSWeb.framework/GSWInput.m:
		o corrected bug in takeValuesFromRequest:inContext:
	* GSWExtensionsGSW.framework:
		o added GSWFileUploadComponent
	* GSWExtensionsGSW.framework/GNUmakefile
		o added GSWFileUploadComponent
	* GSWeb.framework/GSWComponent.h:
		o added -definitionName
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc		
	* GSWeb.framework/GSWComponent.m:
		o added -definitionName
		o added exception handling for debugging purpose
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc		
	* GSWeb.framework/GSWKeyValueAssociation.m:
		o logs
	* GSWeb.framework/GSWConstantValueAssociation.m:
		o logs
	* GSWeb.framework/GSWApplication.h:
		o added -saveResponsesPath
	* GSWeb.framework/GSWApplication.m:
		o added -saveResponsesPath
		o added GSWOPT_SaveResponsesPath
		o added exception handling for debugging purpose
	* GSWeb.framework/GSWConstants.h/.m:
		o added GSWOPT_SaveResponsesPath
	* GSWeb.framework/GSWConfig.h:
		o added GSWOPTVALUE_SaveResponsesPath
	* GSWeb.framework/GSWDefaultAdaptorThread.h:
		o add response saving
	* GSWeb.framework/GSWDefaultAdaptorThread.m:
		o add response saving
	* GSWeb.framework/GSWResponse.m
		o added -appendDebugCommentContentString:
	
2002-04-15  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWDynamicURLString.h:
		o remove NSMutableString protocol
	* GSWUtils.m
		o removed NSString and NSMutableString protocol use
	* GSWExtensions.framework/GSWExceptionPage.gswc/GSWExceptionPage.gswd: 
		o change .png to .mng
	* GSWExtensions.framework/GSWCollapsibleComponentContent.gswc/GSWCollapsibleComponentContent.gswd: 
		o added framework for image
	* GSWeb.framework/GSWDisplayGroup.h:
		o aded -setQueryOperator:
		o added -initWithKeyValueUnarchiver:
	* GSWeb.framework/GSWDisplayGroup.m:
		o added -setQueryOperator:
		o unarchive queryOperator
		o changed hasMultipleBatches implementation 
	* GSWeb.framework/GSWBody.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc		
	* GSWeb.framework/GSWImage.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc		
	* GSWeb.framework/GSWResourceURL.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc		
	* GSWeb.framework/GSWFrame.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc		
	* GSWeb.framework/GSWElement.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc		
	* GSWeb.framework/GSWDynamicElement.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc		
	* GSWeb.framework/GSWGenericElement.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc		
	* GSWeb.framework/GSWHTMLStaticElement.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc		
	* GSWeb.framework/GSWElementIDString.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc		
		o removed logs
	* GSWeb.framework/GSWActionURL.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc		
		o removed logs
	* GSWeb.framework/GSWHyperlink.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc		
	* GSWeb.framework/GSWHTMLStaticGroup.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc
	* GSWeb.framework/GSWInput.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc
	* GSWeb.framework/GSWText.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc
	* GSWeb.framework/GSWTextField.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc
	* GSWeb.framework/GSWFileUpload.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc
	* GSWeb.framework/GSWBrowser.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc
	* GSWeb.framework/GSWCheckBox.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc
	* GSWeb.framework/GSWCheckBoxList.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc
	* GSWeb.framework/GSWPopUpButton.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc
	* GSWeb.framework/GSWRadioButton.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc
	* GSWeb.framework/GSWRadioButtonList.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc
	* GSWeb.framework/GSWSubmitButton.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc
	* GSWeb.framework/GSWHiddenField.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc
	* GSWeb.framework/GSWPasswordField.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc
	* GSWeb.framework/GSWString.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc
	* GSWeb.framework/GSWImageButton.h,.m:
		o ivar names changes to conform to coding standards
		o headers changed for gsdoc
	
2002-03-25  Manuel Guesdon <mguesdon@orange-concept.com>

	* GSWAdaptors/common/GSWConfig.c: changed comments
	* GSWeb.framework/GSWSwitchComponent.h/.m: 
		o ivar names changes to conform to coding standards
		o logs
	* GSWeb.framework/GSWComponentContent.h/.m: 
		o ivar names changes to conform to coding standards
		o logs
	* GSWAdaptors/common/GSWTemplates.c:
		o change .gif to .png
	* GSWeb.framework/GSWAssociation.m: 
		o Added Key/Value association conversion in associationsSetValuesFromObject:inObject:
	* GSWeb.framework/GSWKeyValueAssociation.m:
		o removed validateValue in -setValue:inObject:
		o logs
	* GSWeb.framework/GSWConstantValueAssociation.m
		o logs
	
2002-03-07  Manuel Guesdon <mguesdon@orange-concept.com>

	* GSWeb.framework/GSWAdaptor.h/.m: 
		o added -isMultiThreadEnabled
		o method parameters names changes to conform to coding standards
	* GSWeb.framework/GSWResponse.h:
		o method parameters names changes to conform to coding standards
		o added missing method declarations
	* GSWeb.framework/GSWTemplateParserXML.m:
		o remove some 'error' messages from xml parser
	* GSWExtensions.framework/Makefile.preamble: 
		o various changes (debug flags,...)
	* GSWExtensionsGSW.framework/Makefile.preamble: 
		o various changes (debug flags,...)
	* GSWeb.framework/Makefile.preamble: 
		o various changes (debug flags,libwrap,...)
	* GSWeb.framework/GSWDebug.h: 
		o debug flags changes
	* GSWExtensions.framework/GSWExceptionPage.gswc/GSWExceptionPage.gswd: 
		o change .gif to .mng
	* GSWExtensions.framework/GSWPageRestorationErrorPage.gswc/GSWPageRestorationErrorPage.gswd:
		o change .gif to .mng
	* GSWExtensions.framework/GSWSessionCreationErrorPage.gswc/GSWSessionCreationErrorPage.gswd:
		o change .gif to .mng
	* GSWeb.framework/GSWConfig.h: added GSWOPTVALUE_AdaptorHost
	* GSWeb.framework/GSWConstants.h/.m: added GSWOPT_AdaptorHost
	* GSWeb.framework/GSWApplication.m: added GSWOPT_AdaptorHost default value
	* GSWeb.framework/GSWDefaultAdaptor.h/.m: 
		o adding connection refuse feature
		o added ivar adaptorHost
		o added host and port in "Waiting for connections" message
		o ivar names changes to conform to coding standards	
	* GSWeb.framework/GSWDefaultAdaptorThread.m: 
		o adding connection refuse feature
		o ivar names changes to conform to coding standards
	* GSWeb.framework/GSWComponent.m:
		o logs
	* GSWeb.framework/GSWDeployedBundle.m: 
		o Search WebServer resources in Resources/WebServer/ instead of WebServerResources
	* GSWeb.framework/GSWProjectBundle.m
		o bug fix for wonames
	* GSWExtensions.framework/GSWDictionaryRepetition.h/m: 
		o ivar names changes to conform to coding standards
	* GSWExtensions.framework/GSWCollapsibleComponentContent.h/.m: 
		o ivar names changes to conform to coding standards
	* GSWExtensions.framework/GSWExceptionPage.h/.m: 
		o ivar names changes to conform to coding standards
	* GSWExtensions.framework/GSWIFrame.m: 
		o ivar names changes to conform to coding standards
	* GSWExtensions.framework/GSWMetaRefresh.m: 
		o ivar names changes to conform to coding standards
	* GSWExtensions.framework/GSWPageRestorationErrorPage.h/.m: 
		o ivar names changes to conform to coding standards
	* GSWExtensions.framework/GSWRedirect.h/.m: 
		o ivar names changes to conform to coding standards
	* GSWExtensions.framework/GSWSessionRestorationErrorPage.h/.m: 
		o ivar names changes to conform to coding standards
	* GSWExtensions.framework/GSWSessionCreationErrorPage.h/.m: 
		o ivar names changes to conform to coding standards
	* GSWExtensions.framework/GSWStatsPage.h/.m:
		o ivar names changes to conform to coding standards
	* GSWExtensionsGSW.framework/GSWFileUploadFormComponent.h/.m:
		o ivar names changes to conform to coding standards
	* GSWExtensionsGSW.framework/GSWSimpleFormComponent.h/.m:
		o ivar names changes to conform to coding standards
	* GSWExtensionsGSW.framework/GSWTabComponent.m:
		o ivar names changes to conform to coding standards
	* GSWExtensionsGSW.framework/GSWValidationFailureComponent.h/.m:
		o ivar names changes to conform to coding standards

2002-02-22  Adam Fedor  <fedor@gnu.org>

	* GSWExtensions.framework/WebServerResources/error.gif: Change to
	png (can't get mng conversion to work, still working on it).
	* GSWExtensions.framework/WebServerResources/exclaimation.gif: 
	Likewise.
	* GSWExtensions.framework/WebServerResources/warning.gif: Likewise.
	* GSWExtensions.framework/GNUmakefile: Update for new names.
	* GSWExtensions.framework/GSWSessionRestorationErrorPage.gswd: 
	Likewise.

2002-02-01  Manuel Guesdon <mguesdon@orange-concept.com>

	* GSWeb.framework/GSWApplication.m:
		o in run: [[NSRunLoop currentRunLoop] run] instead of [NSRunLoop run]
	
2002-02-01  Manuel Guesdon <mguesdon@orange-concept.com>

	* GSWeb.framework/GSWConfig.h: 
		o set localhost for GSWOPTVALUE_MonitorHost	
	* GSWeb.framework/GSWApplication.m:
		o logs

2002-01-26  Manuel Guesdon <mguesdon@orange-concept.com>

	* GSWeb.framework/GSWSwitchComponent.m: 
		o logs
		o corected bug: use GSWComponentName__Key[]
	* GSWeb.framework/GSWSession.m: 
		o logs
	* GSWExtensions.framework/GSWExtensions.m: 
		o added better formatting
	* GSWExtensions.framework/GSWExtensions.gswc/GSWExtensions.HTML: 
		o added better formatting
	* GSWExtensions.framework/French.lproj/GSWExtensions.gswc/GSWExtensions.HTML: 
		o added better formatting
	* GSWExtensionsGSW.framework/GSWLogin.m: 
		o added -login exception cataching to add exception verbosity.
	* GSWeb.framework/GSWDynamicElement.m/.h:
		o logs
		o added ivar _definitionName and associated methods
	* GSWeb.framework/GSWElement.m/.h:
		o added ivar -definitionName
	* GSWeb.framework/GSWTemplateParserANTLR.m:
		o set dynamic element definition name
	* GSWeb.framework/GSWTemplateParserXML.m:
		o set dynamic element definition name
	* GSWeb.framework/GSWConditional.m:
		o logs
	* GSWeb.framework/GSWComponent.m:
		o logs
		o remove GDL2  code in -valueForBinding: and setValue:forBinding:
		    I don't see a reason for this code and it may make a loop
	* GSWeb.framework/GSWAssociation.m:
		o logs
		o Fix in validateValue:forKeyPath: test & call
	* GSWeb.framework/GSWDisplayGroup.m:
		o logs
	* GSWeb.framework/GSWBundle.m:
		o logs
	* GSWeb.framework/GSWImageButton.m:
		o logs (element definition name)
	* GSWeb.framework/GSWForm.m:
		o logs (element definition name)
		o stop invokeActionForRequest:inContext: when the current Id is after senderID
	* GSWeb.framework: GSWElementIDString.m
		o added -compare:options:range:
	* GSWeb.framework: GSWHTMLDynamicElement.m
		o stop invokeActionForRequest:inContext: when the current Id is after senderID
	* GSWeb.framework: GSWHTMLStaticElement.m
		o stop invokeActionForRequest:inContext: when the current Id is after senderID
	* GSWExtensions.framework/WebServerResources: 
		o converted .gif to .png
	* GSWeb.framework/GSWUtils.m:
		o removed members in NSUserDefaults description
	
2001-12-11  Manuel Guesdon <mguesdon@orange-concept.com>

	* GSWeb.framework/GSWResourceManager.m: logs
	* GSWeb.framework/GSWDefaultAdaptorThread.m: logs
		corrected bug in response writing
	* GSWeb.framework/GSWApplication.m: logs
	* GSWAdaptors/common/GSWHTTPResponse.c: logs
	* added Example/hello 'application'
	
2001-11-07  Manuel Guesdon <mguesdon@orange-concept.com>

	* GSWExtensions.framework/Makefile.preamble:
		Added -I../GSWeb.framework/derived_src in ADDITIONAL_INCLUDE_DIRS
	* GSWExtensionsGSW.framework/Makefile.preamble:
		Added -I../GSWeb.framework/derived_src in ADDITIONAL_INCLUDE_DIRS

2001-10-28  Manuel Guesdon <mguesdon@orange-concept.com>
	Compilation is OK but this version hasn't been tested
	
        * GSWeb.framework/GSWFileUpload.m: Added Traces
                corrected bug when uploading string type data.
        * GSWExtensionsGSW.framework/GSWFileUploadFormComponent.m:
                handle nil fileInfo retrieving, added isDeleteEnabled
        * GSWExtensionsGSW.framework/GSWFileUploadFormComponent.gswc/GSWFileUploadFormComponent.html/.gswd:
                added isDeleteEnabled condition
        * GSWAdaptors/commun/GSWConfig.c/.h: added adaptorTemplatesPath handle (per application and global)
        * GSWAdaptors/commun/GSWApp.h/.c: added pszAdaptorTemplatesPath
        * GSWAdaptors/commun/GSWHTTPResponse.c added parameter to GSWTemplate_* calls
        * GSWAdaptors/commun/GSWAppRequest.c added parameter to GSWTemplate_* calls
        * GSWAdaptors/commun/GSWTemplates.h/.c: added GSWApp* parameter
                o handle per application Templates
        * GSWeb.framework/GSWResourcesManager.m: traces
        * GSWeb.framework/GSWApplication.m: 
                o change trace level from "low" to "application"
                o added filterLanguages: method                
        * GSWeb.framework/GSWContext.m: added filterLanguages: call in _languages
        * GSWeb.framework/GSWAssociations.m: traces        
        * GSWeb.framework/GSWSession.m: Added Traces
        * GSWeb.framework/GSWUtils.m: Added warning
        * GSWeb.framework/GSWRequest.m: Added Traces
        * GSWeb.framework/GSWWOCompatibility.h/.m: added WOImageButton
        * GSWeb.framework/GSWPopUpButton.m: Added Traces
        * GSWeb.framework/GSWResponse.m: fix stringByEscapingHTMLString:
                o stringByEscapingHTMLAttributeValue:
                o stringByConvertingToHTMLEntities:
                o stringByConvertingToHTML:
        * GSWeb.framework/NSObject+IVarAccess+PerformSel.m: added EOF access type
        
2001-10-27  Manuel Guesdon <mguesdon@orange-concept.com>
	Applied patch from Turbocat (www.turbocat.de): gsw_26_oct_2001.patch
		except 
			o GDL2 ifdef in GSWDisplayGroup.h
			o Turbocat additions in GSWTextField.m
	* GSWAdaptors/Apache/GNUmakefile: changes in APXS
	* GSWAdaptors/common/GSWApp.c: in GSWAppInfo_MakeDictKeyName, take care of buffer overflow
	* GSWeb.framework/GSWComponent.m: implement validationFailedWithException:value:keyPath:
	* GSWeb.framework/GSWDeployedBundle.m: commented #include <pthread.h>
	* GSWeb.framework/GSWDisplayGroup.m: select after fetch in -fetch
		various changes
	* GSWeb.framework/GSWKeyValueAssociation.m: traces
	* GSWeb.framework/GSWApplication.m: Traces
	* GSWeb.framework/GSWAssociation: GDL2 changes
		o removed special case for returned value of type GSMutableArray
		o GDL2 value validation
	* GSWeb.framework/GSWImageButton.m: rewrite of invokeActionForRequest:inContext:
	* GSWeb.framework/GSWDefaultAdaptorThread.m: traces
	* GSWeb.framework/GSWTemplateParserXML.m: traces
	* GSWeb.framework/NSString+Trimming.m: Handle EONull/NSNull 
	
2001-10-25  Manuel Guesdon <mguesdon@orange-concept.com>
	Applied patch from Turbocat (www.turbocat.de): GSWPatch_04-JUL_2001.diff
		except GSWeb.framework/GSWInput.m/.h one (have to verify coherence of it)

	* GSWAdaptors/common/GSWApp.c/.h: Added GSWAppInfo
	* GSWAdaptors/common/GSWAppConnectNSSocket.c: Changes on includes
	* GSWAdaptors/common/GSWLoadBalancing.h: Added parameter to GSWLoadBalancing_Find*
	* GSWAdaptors/common/GSWLoadBalancing.c: added p_pURLComponents parameter,
		o management of AppInfo
	* GSWAdaptors/common/GSWAppRequest.c: managing refused connections
	* GSWExtensions.framework/GSWStatsPage.gswc/GSWStatsPage.gswd: misspelling correction
	* GSWExtensions.framework/GSWStatsPage.gswc/GSWStatsPage.html: Various Changes
	* GSWExtensions.framework/GSWStatsPage.m: changes in login/password validation
		o -awake added
	* GSWeb.framework/GSWApplication.m/.h: Manage refusing new sessions
	* GSWeb.framework/GSWBundle.m: debug traces commented	
	* GSWeb.framework/GSWComponent.m: implementation of ensureAwakeInContext:
	* GSWeb.framework/GSWAssociation.m: special case for returned value of type GSMutableArray (Why ?)
	* GSWeb.framework/GSWComponentRequestHandler.m: comments added
	* GSWeb.framework/GSWDefaultAdaptorThread.m: added debug traces
	* GSWeb.framework/GSWDirectActionRequestHandler.m: replaced GSWDirectAction by DirectAction
	* GSWeb.framework/GSWDisplayGroup.m:  initialize _baseIndex,
		o correct misspelled names,
		o added -description,
		o use delegate in _changedInEditingContext:, _invalidatedAllObjectsInStore:,
		o changes in -deleteObjectAtIndex:,
	* GSWeb.framework/GSWFileUpload.m: different handling of _fileDatasCount,
		handle bug in omniweb-browser
	* GSWeb.framework/GSWHyperlink.m: added ensureAwakeInContext: call
	* GSWeb.framework/GSWImageButton.m: added ensureAwakeInContext: call
	* GSWeb.framework/GSWPopUpButton.m: 
		o use [response_ appendContentString:_noSelectionStringValue] instead of 
	  		[response_ appendContentHTMLString:_noSelectionStringValue]
		o handle no displayString case
		o use [response_ appendContentString:_displayStringValue] instead of 
			  [response_ appendContentHTMLString:_displayStringValue]
	* GSWeb.framework/GSWConfig.h: set GSWOPTVALUE_AutoOpenInBrowser to NO
	* GSWeb.framework/GSWElementIDString.m: comment some debug traces
	* GSWeb.framework/GSWHTMLStaticGroup.m/.h: added support of documentType
	* GSWeb.framework/GSWHTMLURLValuedElement.m: addeded debug trace
	* GSWeb.framework/GSWKeyValueAssociation.m: use  NSStringFromClass([retValue class]) 
		instead of [retValue class] for log
	* GSWeb.framework/GSWRequest.m/.h: added -(NSDictionary*)headers;
		o added test on _contentType in _contentType
		o autorelease _dict in -uriElements
	* GSWeb.framework/GSWResponse.m/.h: added -setHeaders: and -headers
		o Added GSWResponse (GSWResponseRefused)
		o return self in -generateResponse
	* GSWeb.framework/GSWServerSessionStore.m/.h: added @interface GSWServerSessionStore (GSWServerSessionStoreInfo)
		o added refusing session management
	* GSWeb.framework/GSWSession.m:
		o in -terminate  forces to call removeSessionWithID in GSWServerSessionStore to dealloc it
	* GSWeb.framework/GSWSessionTimeOutManager.m/.h: replace NSMutableOrderedArray* sessionOrderedTimeOuts;
  			by NSMutableArray* sessionOrderedTimeOuts;
		o added traces
		o added  GSWSessionTimeOutManager (GSWSessionRefused)
	* GSWeb.framework/GSWSubmitButton.m: raise exception if no element is returned
	* GSWeb.framework/GSWTemplateParser.m: added doctype management
	* GSWeb.framework/GSWUtils.h: added if defined for __NetBSD__
	* GSWeb.framework/GSWWOCompatibility.m/.h: added WOGenericContainer, WOImageButton, WOHyperlink
	* GSWeb.framework/attach.m: added if defined for __NetBSD__
	* GSWeb.framework/stacktrace.m: added if defined for __NetBSD__
	* GSWeb.framework/GSWTemplateParserXML.m: traces commented
		o test XML node content before adding it
	* GSWeb.framework/NSObject+IVarAccess+PerformSel.m
		o changes in -getIVarNamed: and in setIVarNamed:withValue: (use of sel+imp, tests on parameters)
	* GSWAdaptors/common/GSWHTTPResponse.c: change in GSWHTTPResponse_GetResponse()
		o debug traces removed
	
2001-08-28  Adam Fedor  <fedor@gnu.org>

	* GSWExtensions.framework/Makefile.preamble: Add GSWeb framework
	include
	* GSWExtensionsGSW.framework/Makefile.preamble: Likewise
	* GSWAdaptors/Apache/GNUmakefile (APACHEHEADERS): Add include.

2001-08-20  Adam Fedor  <fedor@gnu.org>

	* Update for changes in gsantlr and use of antlr 2.7.1
	* GSWeb.framework/GSWHTMLLexer.m: Update.
	* GSWeb.framework/GSWPageDefTokenTypes.txt: Update.
	* GSWeb.framework/PageDef.g: Update.
	* GSWeb.framework/htmltag.g: Update.
	(patch from kim@tinker.com).

2001-03-14  Manuel Guesdon <mguesdon@orange-concept.com>

        * GSWeb.framework/GSWComponent.m: Traces
        * GSWeb.framework/GSWConstants.m/.h: new GSWAssociation special keys: GSLanguage
        * GSWeb.framework/GSWAssociations.m: Handle special keys: GSLanguage, handle EONull
        * GSWeb.framework/GSWBundle.m: traces, fix cached not found path in 
                lockedResourceNamed:ofType:withLanguages:usingCache:relativePath:absolutePath:
        * GSWeb.framework/GSWResourceManager.m: traces, fix bugs poblems in ISO/GS Languages (trim spaces and lowercase
        * GSWeb.framework/GSWeb.h: removed #include <Foundation/NSGArray.h> (thanks Sungjin Chun <ninja@linuxone.co.kr>)
        * GSWExtensions.framework: re-added GSWSessionRestorationErrorPage.gswd
        * INSTALL: minor changes (directory name,...)
        
2001-03-12  Manuel Guesdon <mguesdon@orange-concept.com>

	* GSWeb.framework/GSWTemplateParserXML.m: fix for autoclose tags
	* GSWeb.framework/GSWHTMLStaticElement.m: fix for autoclose tags

2001-03-11  Manuel Guesdon <mguesdon@orange-concept.com>

        * GSWeb.framework/GSWWOCompatibility.h/.m: added
        * GSWeb.framework/GNUmakefile: added GSWWOCompatibility.h/.m
        * GSWeb.framework/GSWApplication.h/m: added WOApplicationMain, handle WO/GSWeb names
        * GSWeb.framework/GSWContext.m: handle WO/GSWeb names, added traces
        * GSWeb.framework/GSWConstants.h/.m: handle WO/GSWeb names
        * GSWeb.framework/GSWDynamicURLString.m: handle WO/GSWeb names
        * GSWeb.framework/GSWProjectBundle.m/.h: handle WO/GSWeb names, suppress warnings
        * GSWeb.framework/GSWSession.m: handle WO/GSWeb names        
        * GSWeb.framework/GSWRequest.m: handle WO/GSWeb names
        * GSWeb.framework/GSWTemplateParser.m: handle WO/GSWeb names, 
                added tag counts to help errors hunt
        * GSWeb.framework/GSWBundle.m: handle WO/GSWeb names, added traces
        * GSWeb.framework/GSWResourceManager.m: handle WO/GSWeb names
        * GSWeb.framework/GSWURLValuedElementData.m: handle WO/GSWeb names
        * GSWeb.framework/GSWComponentRequestHandler.m: handle WO/GSWeb names
        * GSWeb.framework/GSWDirectAction.m: handle WO/GSWeb names
        * GSWeb.framework/GSWForm.m/.h: handle WO/GSWeb names
        * GSWeb.framework/GSWHyperlink.m/.h: handle WO/GSWeb names
        * GSWeb.framework/GSWResourceRequestHandler.m: handle WO/GSWeb names
        * GSWeb.framework/GSWDirectActionRequestHandler.m: handle WO/GSWeb names
        * GSWeb.framework/GSWActiveImage.m/.h: handle WO/GSWeb names
        * GSWeb.framework/GSWBindingNameAssociation.h/.m: handle WO/GSWeb names
        * GSWeb.framework/GSWBrowser.h/.m: handle WO/GSWeb names
        * GSWeb.framework/GSWComponent.h/.m: handle WO/GSWeb names
        * GSWeb.framework/GSWHTMLURLValuedElement.h/.m: handle WO/GSWeb names
        * GSWeb.framework/GSWImageButton.h/.m: handle WO/GSWeb names
        * GSWeb.framework/GSWInput.h/.m: handle WO/GSWeb names
        * GSWeb.framework/GSWPopUpButton.h/.m: handle WO/GSWeb names
        * GSWeb.framework/GSWString.h/.m: handle WO/GSWeb names
        * GSWeb.framework/GSWAssociation.m: handle WO/GSWeb names
        * GSWeb.framework/GSWCheckBox.m: handle WO/GSWeb names
        * GSWeb.framework/GSWCheckBoxList.m: handle WO/GSWeb names
        * GSWeb.framework/GSWComponentDefinition.m: handle WO/GSWeb names
        * GSWeb.framework/GSWRadioButton.m: handle WO/GSWeb names
        * GSWeb.framework/GSWRadioButtonList.m: handle WO/GSWeb names
        * GSWeb.framework/GSWText.m: handle WO/GSWeb names
        * GSWeb.framework/GSWTextField.m: handle WO/GSWeb names
        * GSWeb.framework/GSWDeployedBundle.m: warnings
        * GSWeb.framework/GSWeb.h: added include GSWeb/GSWSessionTimeOut.h, GSWWOCompatibility.h
        * GSWeb.framework/GSWAdaptor.m: traces
        * GSWeb.framework/GSWDefaultAdaptor.m: handle WO/GSWeb names, added traces
        * GSWeb.framework/GSWDefaultAdaptorThread.m/.h: handle WO/GSWeb names
        * GSWeb.framework/NSNonBlockingFileHandle.m: added traces
        * GSWeb.framework/GSWTemplateParserANTLR.m: handle WO/GSWeb names
        * GSWeb.framework/GSWTemplateParserXML.m: handle WO/GSWeb names
                added tag count to help errors hunt
                remove "Tag gsweb invalid" message
                handle unicode strings in node content traces
                remove html and body tags if they are not present in the template
        * GSWeb.framework/GSWTemplateParseXML.h: added ivar _isHTMLTag, _isBodyTag
        * GSWeb.framework/GSWSessionTimeOutManager.m: dealloc sessionOrderedTimeOuts instead 
                of deallocating 2 times sessionTimeOuts
        * GSWExtensions.framework/French.lproj/GSWSessionRestorationErrorPage.gswc/GSWSessionRestorationErrorPage.html: 
                tag mismatch, Encode french characters
        * GSWExtensions.framework/GSWSessionRestorationErrorPage.gswc/GSWSessionRestorationErrorPage.html: 
                tag mismatch
        * GSWHTMLBareString.m: handle unicode strings in description
        * GSWExtensions.framework/French.lproj/GSWExceptionPage.gswc/GSWExceptionPage.html: 
                Encode french characters, Tag Mismatch
        * GSWExtensions.framework/French.lproj/GSWPageRestorationErrorPage.gswc/GSWPageRestorationErrorPage.html: 
                Encode french characters
        * GSWExtensions.framework/French.lproj/GSWSessionCreationErrorPage.gswc/GSWSessionCreationErrorPage.html: 
                Encode french characters
        * GSWExtensions.framework/GSWExceptionPage.gswc/GSWExceptionPage.html: 
                Tag Mismatch
        * GSWExtensions.framework/GSWExceptionPage.gswc/GSWExceptionPage.gswd: 
                added convertHTMLEntities for strings
        * GSWeb.framework/GSWRepetition.m: added traces, fix "count" property bug, standardize ivars
        * GSWeb.framework/NSObject+IVarAccess+PerformSel.m: added traces, handle underscored ivars search

2001-02-23  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* GSWeb.framework/GSWApplication.m ([GSWApplication -dealloc]): reset
	GSWApp.
	* GSWeb.framework/GSWStatisticsStore.m ([GSWStatisticsStore -init]):
	retain startDate.
	* GSWAdaptors/common/GSWUtil.c: use vsnprintf to prevent buffer
	overflow.
	* GSWAdaptors/common/GSWHTTPRequest.c (GSWHTTPRequest_SendRequest):
	terminate buffer.

2001-01-29  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* GSWeb.framework/GSWApplication.m (GSWApplicationMain): use NSLog to
	print the exception.
	* GSWeb.framework/GSWTransactionRecord.m ([GSWTransactionRecord
	-initWithCoder:]), ([GSWTransactionRecord -encodeWithCoder:]): NSObject
	does not support NSCoding. Fixed.
	* GSWeb.framework/GSWPageDefElement.m ([GSWPageDefElement
	-initWithCoder:]), ([GSWPageDefElement -encodeWithCoder:]): likewise.
	* GSWeb.framework/GSWComponentDefinition.m ([GSWComponentDefinition
	-initWithCoder:]), ([GSWComponentDefinition -encodeWithCoder:]):
	likewise.
	* GSWeb.framework/GSWTemplateParserXML.h|m: fixed libxml includes.

	(patches by Sungjin Chun <ninja@linuxone.co.kr>)
	* GSWeb.framework/GSWUtils.m: changed implementation of
	NSMutableOrderedArray that now inherits from NSMutableArray.
	* GSWeb.framework/GSWUtils.h (NSMutableArray): added ivar.
	* GSWeb.framework/GSWMultiKeyDictionary.m: fixes.

2000-12-08  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* GSWeb.framework/GSWDisplayGroup.m ([GSWDisplayGroup
	-setSelectedObjects:]): implemented.
	* GSWeb.framework/GSWCheckBoxList.m ([GSWCheckBoxList
	-_slowTakeValuesFromRequest:inContext:]): implemented auto value
	attribute. Fixed object selections.
	([GSWCheckBoxList -appendToResponse:inContext:]): likewise.

2000-12-03  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* GSWeb.framework/GSWComponentRequestHandler.m
	([GSWComponentRequestHandler -lockedDispatchWithPreparedSession:
	inContext:elements:]): do not 'clear' cookie if not enabled.
	* GSWeb.framework/GSWComponent.m ([GSWComponent
	-performParentAction:]): implemented.

2000-11-28  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* GSWeb.framework/GSWDisplayGroup.m ([GSWDisplayGroup
	-insertObjectAtIndex:]): fixed missing method call.

2000-11-24  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* GSWeb.framework/GSWDisplayGroup.m ([GSWDisplayGroup
	-setCurrentBatchIndex:]): fixed index out of bound.

2000-11-04  Manuel Guesdon <mguesdon@orange-concept.com>

	* GSWeb.framework/GSWElementIDString.[hm]: fix bug

2000-11-01  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* GSWeb.framework/GSWElementIDString.m ([NSMutableString
	-parentElementIDString]): create a mutableCopy instead of a copy of
	the string.

2000-11-01  Manuel Guesdon <mguesdon@orange-concept.com>

	* GSWeb.framework/GSWTemplateParserXML.m: remove setExternalEntityLoader: call

2000-11-01  Manuel Guesdon <mguesdon@orange-concept.com>

	* GSWeb.framework/GSWTemplateParserXML.m: remove xml-error.h include

2000-11-01  Manuel Guesdon <mguesdon@orange-concept.com>

	* GSWeb.framework/GSWApplication.m: removed a trace
	* GSWeb.framework/GSWTemplateParserXML.m: fix XML 
		properties key case bug
	* GSWeb.framework/GSWElementIDString.[hm]: changed 
		implementation to conform to NSString cluster.
		
2000-11-01  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* GSWeb.framework/GSWApplication.m (GSWApplicationMain): fixed path
	for dynamically loading frameworks.

2000-10-30  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* GSWeb.framework/htmltag.g: changed gsweb include dir from
	gsweb/GSWeb.framework/ to GSWeb/
	* GSWeb.framework/html.g: likewise.
	* GSWeb.framework/PageDef.g: likewise.
	* GSWeb.framework/GSWResourceManager.m ([GSWResourceManager
	+_applicationGSWBundle]): fix location of MIME.plist and language.plist

2000-10-30  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* GSWExtensions.framework/GNUmakefile: rewrite using framework.make
	* GSWExtensions.framework/*.(h|m): changed gsweb include dir from
	gsweb/GSWeb.framework/ to GSWeb/

	* GSWeb.framework/GNUmakefile: rewrite using framework.make
	* GSWeb.framework/*.(h|m): changed gsweb include dir from
	gsweb/GSWeb.framework/ to GSWeb/
	* GSWeb.framework/GSWConstants.m: removed the frameworkd suffix.
	* GSWeb.framework/GSWUtils.m ([NSBundle +tmpAllFrameworks]): removed.

2000-10-29  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* GSWeb.framework/GSWElementIDString.h: use NSMutableString instead of
	the no longer present NSGMutableString.

2000-10-04  Manuel Guesdon <mguesdon@orange-concept.com>

        * GSWExtensions.framework/Makefile.preamble: added GDL2 FLAG
        * GSWExtensions.framework/*/*.html: lowercase tags
        * GSWExtensionsGSW.framework/*/*.html: lowercase tags
        * GSWeb.framework/GNUmakefile : added DTDs, modified Files list
        * GSWeb.framework/GSWApplication.m: commented [GSWHTMLParser printsDiagnostics]
                                            changes for GDL2
        * GSWeb.framework/GSWBrowser.h/.m: implementation
        * GSWeb.framework/GSWBundle.m: Parser call modification, handling of .gswi unarchiving
        * GSWeb.framework/GSWComponentContent.m: Logs
        * GSWeb.framework/GSWConfig.h: Added GSWEB_DEFAULT_HTML_PARSER_CLASS_NAME
        * GSWeb.framework/GSWConstants.h/.m: added keys
        * GSWeb.framework/GSWDisplayGroup.h/.m member variables renamed
                                                implementation of some missing parts
        * GSWeb.framework/GSWRequest.m: remove duplicate languages
        * GSWeb.framework/GSWTemplateParser.h/.m: make it base class for different parsers
        * GSWeb.framework/GSWTemplateParserXML.h/.m: XML parser
        * GSWeb.framework/GSWTemplateParserANTLR.h/.m: ANTLR (old) parser
        * GSWeb.framework/GSWUtils.h/.m: added  SBIsValueIsIn()
        * GSWeb.framework/GSWeb.h: added includes for parsers
        * GSWeb.framework/Makefile.postamble: DTDs install
        * GSWeb.framework/Makefile.preamble:  added GDL2 FLAG

2000-08-26  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* GSWMailDelivery.m/.h: rewritten sendEmail: with execlp() to avoid
	  email content manipulation.
	* GSWDisplayGroup.m: fixed a cursor bug.

2000-08-14  Manuel Guesdon <mguesdon@orange-concept.com>

	* GSWeb.framework/GSWApplication.m: added "exit" in terminate
		generate simple response in -handleException:inContext:
		be sure to have a context in -_handleException:inContext:
		generate simple response in  -_handleException:inContext:
		generate simple response in  -handlePageRestorationErrorInContext:
		be sure to have a context in -_handlePageRestorationErrorInContext:
		generate simple response in  -_handlePageRestorationErrorInContext:
		generate simple response in  -handleSessionCreationErrorInContext:
		generate simple response in  -handleSessionRestorationErrorInContext:
		be sure to have a context in -_handleSessionRestorationErrorInContext:
		generate simple response in  -_handleSessionRestorationErrorInContext:
	* GSWeb.framework/GSWComponentRequestHandler.m: added default response when we catch exceptions,...
		handle more exceptions
	* GSWeb.framework/GSWConstants.h/.m: added GSWHTTPHeader_UserAgent
	* GSWeb.framework/GSWDefaultAdaptor.m: terminate application if it is locked
	* GSWeb.framework/GSWDefaultAdaptorThread.m: Added default response to handle exceptions and various errors
		Correct bug in request data reading (request datas were sometimes not complely readen)
	* GSWeb.framework/GSWFileUpload.m: Added Exception handling
	* GSWeb.framework/GSWRequest.m: add exception handling
	* GSWeb.framework/GSWResponse.h/.m: added  GSWResponse (GSWResponseError)
	* GSWAdaptor/Apache/GNUmakefile: added -DEAPI
	* GSWAdaptor/Apache/mod_gsweb.c: added debug traces
	* GSWAdaptor/common/GSWConfig.c/.h: added debug traces, added init parameter
	* Makefile.postamble: added docs generation
	* Doc/GNUstepWeb-HOWTO moved to howto.gsdoc
	* Doc/gsweb.gsdoc: new file
	* GSWeb.framework/Makefile.postamble: added docs generation
	* GSWExtensions.framework/Makefile.postamble: added docs generation
	* GSWExtensionsGSW.framework/Makefile.postamble: added docs generation
		
2000-08-13  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* GSWDisplayGroup.m: fixed display next and previous batch.

2000-08-01  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* GSWDisplayGroup.m/.h: implemented (-setSelectedObject) to support
	  KeyValueCoding mechanism
	  (-selectObject:) now search object into allObjects array
	* GSWPopUpButton.m: removed dashes (--) in the label.
	* GSWActiveImage.m: if image is disabled whitin a FORM it displays its
	  image as a passive element
	* GSWComponent.m: displays start/stop comments if gswcomponents debug
	  is enabled

2000-07-27  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* GSWInput.m/.h: implemented (-valueInContext:) and (-resetAutoValue) to manage auto value attribute
	* GSWRadioButtonList.m/.h: fix to use the correct variable to set the selection binding.
	  Implemented auto value attribute
	* GSWPopUpButton.m/.h: fix to select object in the selection binding.
	  Implemented auto value attribute
	* GSWMailDelivery.m/.h: use the real sender in the sendmail command line
	  The following are changes made to support GDL2. Compile with -DGDL2
	* GSWSession.m: (-defaultEditingContext) create the default EOEditingContext
	* GSWComponent.m: (-setValue:forBinding:) if the parent doesn't provide the bindingName, attempts to set the value in the current component using takeValue:forKey:
	  (-valueForKeyBinding:) if the parent doesn't provide the bindingName, attempts to get the value from the current component using valueForKey:
	* GSWDisplayGroup.m/.h: implemented
	* NSObject+IVarAccess+PerfomSel.m: implemented (-getIVarNamed:) and (-setIVarNamed:withValue:) using EOKeyValueCoding protocol.
	  Now components have the responsibility to release its bindings.

2000-07-08  Manuel Guesdon <mguesdon@orange-concept.com>
	* GSWAdaptors/Apache/GNUmakefile: added -I/usr/include/apache in APACHEHEADERS
	* GSWAdaptors/common/GSWConfig.c: added directive name in GSWConfig_SetConfigFilePath errore message
	
2000-06-20  Karl Kraft <karl@nfox.com> 
  *  GSWCheckBoxList.m  Added support for the disabled key.

2000-06-20  Karl Kraft <karl@nfox.com>
  This is a series of minor bug fixes that I've been meaning to check in for some time.
  *  GSWAssociations.m  Added some exception handling when getting an ivar so that when this raises an exception the name of the ivar causing the exception can be recorded and reported.  The exception is then re-raised
  *  GSWPopupButton.m <option> tag should not have a </option> closing tag.
  *  GSWRepetition.m If a repetition had no list, it would iterate from 0 to INT_MAX.
  *  GSWUtils.m Added another category method to NSException that would allow you to modify and extend the userInfo key.  
  *  GSWCheckBoxList.m The selectionList would consists of the descriptions of the selected objects.  It has been fixed to contain the selected objects as per the spec.  Also the TYPE=check in the html has been changed to TYPE=checkbox.   
  


  
2000-05-01  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* GSWDebug.m: commented code for the new NSThread implementation.

2000-04-20  Karl Kraft <karl@nfox.com>
        *   Removed assignments to va_list because they don't work on PPC

2000-04-11  Karl Kraft <karl@nfox.com>
        *   Fixed a strcpy into a short malloc buffer in GSWAdaptors/common/GSWHTTPResponse.c

2000-04-06   Karl Kraft <karl@nfox.com>
	* Added two checks for non-nil key before calling removeObjectForKey:

2000-03-31  Manuel Guesdon <mguesdon@orange-concept.com>

	* GSWResourceManager.m: Added Debug Error Traces
	* GSWConstants.m: change frameworks extensions in debug mode
	* GSWeb.framework/GNUmakefile: changed GSWBUNDLE_EXTENSION for debug/non debug
	* GSWExtensions.framework/GNUmakefile: changed GSWBUNDLE_EXTENSION for debug/non debug
	* GSWExtensionsGSW.framework/GNUmakefile: changed GSWBUNDLE_EXTENSION for debug/non debug
	
2000-03-23  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	* GSWAdaptor/common/config.h: changed GSWAPP_EXTENSION from wa to woa.

2000-03-20  Manuel Guesdon <mguesdon@sbuilders.com>

	* GSWDebug.h: remove unused functions
	* GSWApplication.h/.m:Added:
		GSWDebuggingStatus category
		+isStatusDebuggingEnabled
		+setStatusDebuggingEnabled:
		+debugSetConfigFilePath
		+setDebugSetConfigFilePath:
	* GSWApplication.h/.m:	replaced GSWDebugStdLog by [GSWApp statusDebug...]
		replaced executeWithClasses: with executeWithClassArray:
		corrections for different warnings
		change in GSWApplicationDebugSetChange() to use GSWDebugSetConfigFilePath option
	* GSWConfig.h: added GSWOPTVALUE_StatusDebuggingEnabled
	* GSWConstants.h/.m: added GSWOPT_StatusDebuggingEnabled
		added GSWOPT_DebugSetConfigFilePath
	* INSTALL: reflect changes of adaptors,...
	* GSWUtil.h/.m: corrections for different warnings
		removed MD5HexDigest()
	* GSWCheckBoxListm: replaced LOGAssertGood by GSWLogAssertGood
	* GSWRadioButtonList.m: replaced LOGAssertGood by GSWLogAssertGood
	* GSWDefaultAdaptorThread.m: replaced GSWLogCStdOut by +statusLogWithFormat:
		corrections for different warnings
	* GSWDefaultAdaptor.m: replaced GSWLogCStdOut by +statusLogWithFormat:
	* GSWSessionTimeOutManager.m: replaced GSWLogCStdOut by +statusLogWithFormat:
	* GSWKeyValueAssociation.m: replaced LOGAssertGood by GSWLogAssertGood
	* GSWHTMLStaticElement.m: corrections for different warnings
	* GSWConstantValueAssociation.m: replaced LOGAssertGood by GSWLogAssertGood
	* GSWHTMLDynamicElement.m: corrections for different warnings
	* GSWStatsPage.m: corrections for different warnings
	* GSWExceptionPage.m: removed GSWLogCStdOut calls
	* GSWSession.m: replaced GSWLogCStdOut by +statusLogWithFormat:
		replaced LOGAssertGood by GSWLogAssertGood
	* GSWAssociation.m: replaced LOGAssertGood by GSWLogAssertGood
	* GSWComponent.m: replaced LOGAssertGood by GSWLogAssertGood
	* GSWContext.m: replaced LOGAssertGood by GSWLogAssertGood
	* GSWRequest.m: replaced LOGAssertGood by GSWLogAssertGood
	* GSWResponse.m: replaced LOGAssertGood by GSWLogAssertGood
	* GSWSessionStore.m: replaced LOGAssertGood by GSWLogAssertGood
	* Adator GSWAppRequest.c: test on instance in GSWAppRequest_SendAppRequestToApp
	* Adator GSWLoadBalancing.c: added debug messages
	* Adaptor GSWHTTPRequest.c: corrected bug in GSWHTTPRequest_SendRequest
	* Adaptor: GSWAppConnectSocket.c: added debug messages
	* GSWeb.framework/Makefile.preamble: removed -lNGReflection
	
2000-03-16  Manuel Guesdon <mguesdon@sbuilders.com>

	* All Files in GSWAdaptors: Clean code, changes in config file,...
		Netscap Adaptor hasn't been re-tested.
	
2000-03-16  Manuel Guesdon <mguesdon@sbuilders.com>

	* PageDef.g: handle escaped characters in strings
	* GSWPageDefParser.h: handle escaped characters in strings
	* GSWPageDefParser.m: handle escaped characters in strings
	* htmltag.g: changes on HEXDIGIT
	* html.g: changes on HEXDIGIT
		
2000-03-09  Karl Kraft <karl@nfox.com>
	Change to GSWPopUpButton
        * the <option> tag should not have a </option> closing tag.

2000-03-08  Mirko Viviani  <mirko.viviani@rccr.cremona.it>

	Added patches by Karl Kraft:
	* GSWGenericContainer.m/h: implemented
	* GSWConstants.m: changed dateFormat__Key to @"dateformat"
	and numberFormat__Key to @"numberformat"

2000-02-13  Manuel Guesdon <mguesdon@sbuilders.com>

	* GSWStatisticsStore.m: added comment
	* GSWSubmitButton.m: added log and assert
	* GSWImageButton.m: added log and assert
	* GSWHyperlink.m: added log and assert
	* GSWHTMLStaticElement.m: added log and assert
	* GSWForm.m: added log and assert
	* GSWElement.m: added log and assert
	* GSWConditional.m: added log and assert
	* GSWComponentReference.m: added log and assert
	* GSWComponent.m: added log and assert
	* GSWElement.m: added log and assert
	* GSWElement.h: added debug ivar
	* GSWTextField.m: added log and assert
	* GSWInput.m: added log and assert
	* GSWelementIDString.h/.m: added
		-parentElementIDString
		-copyWithZone:
		-mutableCopyWithZone:


2000-02-12  Manuel Guesdon <mguesdon@sbuilders.com>

	* GSWApplication.m: move DESTROY(appAutoreleasePool); 
		at the end of GSWApplicationMain to avoid bundle release.

2000-02-12  Manuel Guesdon <mguesdon@sbuilders.com>

	* GSWForm.m: Added senderId test in -invokeActionForRequest:inContext:
		and -takeValuesFromRequest:inContext:
	* GSWComponentReference.m: Added senderId test in 
		-invokeActionForRequest:inContext:
		and -takeValuesFromRequest:inContext:

2000-02-05  Mirko Viviani <mirko.viviani@rccr.cremona.it>

	* GSWeb/Application.m: in GSWApplicationMain() created an autorelease pool,
	  released GSWApp when it exits from the run loop
	* Doc/GNUstepWeb-HOWTO: updated

2000-01-29  Manuel Guesdon <mguesdon@sbuilders.com>
	
	* GSWeb/GSWConfig.h: changed GSWOPTVALUE_FrameworksBaseURL to
		@"/GSW/Frameworks"
	
2000-01-27  Manuel Guesdon <mguesdon@sbuilders.com>
	
	* GSWeb/GSWApplication.m removed #include <NGReflection/common.h>
	* GSWeb/GSWeb.h: removed #include <gnustep/base/...>
	
2000-01-23  Manuel Guesdon <mguesdon@sbuilders.com>

	* Added Mirko Viviani's GNUstepWeb-HOWTO
	
2000-01-23  Manuel Guesdon <mguesdon@sbuilders.com>

        * GSWeb.framework/html.g: modified Include 
        * GSWeb.framework/PageDef.g: modified Include 
        * GSWeb.framework/htmltag.g: modified Include 
        * GSWeb.framework/html.g: modified TEXT rule for " in PCDATA
        * GSWeb.framework/html.g: modified ATTR rule for spaces around =
	
2000-01-23  Manuel Guesdon <mguesdon@sbuilders.com>

        * GSWeb.framework/GSWApplication.m: tests added in GSWApplication _argsDictionaryWithUserDefaults:

	
